;----------------------------------------------------------------------
; Programmname : BODEN-KB.LSP    - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Konstruktion eines Korbbogenbodens
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL:  HTTP://MEMBERS.AOL.COM/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1WEITER.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\nP R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\n(c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n--------------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
(DEFUN C:BODEN-KB (/ s olderr)
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltLayer (getvar "CLAYER"))
  (SETQ H1v NIL)
  (prompt "\n-----------------------------------------------------------------------------")
  (prompt "\n       Konstruktionsprogramm   fr   Korbbogenboden         ")
  (prompt "\n-----------------------------------------------------------------------------")
  (prompt "\n                                                       ")
  (prompt "\n>>>>>>>    Angaben nur in mm mglich !!!!!    <<<<<<<<<")
  (prompt "\n                                                       ")
  (setq DAv (getreal"\n         Auendurchmesser, Boden   ---  Da : ")
        Sv  (getreal  "         Wandstrke, Boden         ---  s  : ")
        H1v (getreal  "         Bordhhe des Bodens       ---  H1 : ")
        DMv (getreal"\n         Auendurchmesser, Mantel  ---  DM : ")
  )

;**** Festlegen der Bordhhe
  (IF (= H1v NIL)
    (PROGN
      (IF (> Sv 120) (setq H1v 50))
      (IF (<= Sv 120) (setq H1v 75))
      (IF (<= Sv 100) (setq H1v 100))
      (IF (<= Sv 80) (setq H1v 120))
      (IF (<= Sv 50) (setq H1v 150))
    )
  )
  (prompt "\n-----------------------------------------------------------------------------")
  (setq EINGABE (getstring "\nKorbbogenboden links/rechts/oben/unten <L/R/O/U> ? "))
  (setq mf(getdist  "\n           Mastabsfaktor                      1 : "))
  (setq bp1(getpoint"\n           Aufhngepunkt (TL) ...................: "))

;**** Korbbogenbodenkonstruktion
  (SETQ R1v (* DAv 0.8) 
        R2v (* DAv 0.154)
        H2v (- (* DAv 0.255) (* Sv 0.635))
  )

;**** Mastabsumrechnung
  (SETQ DA (/ DAv mf) 
        RA (/ DA 2)
        DM (/ DMv mf) 
        RM (/ DM 2)
 
        S (/ Sv mf) 
        H1 (/ H1v mf)
        H2 (/ H2v mf)
        R1 (/ R1v mf)
        R1A (+ R1 S)
        R2 (/ R2v mf)
        R2A (+ R2 S)
  )

;**** Punktdefinitionen, Boden unten
  (IF (OR (= Eingabe "U") (= Eingabe "u"))
    (Progn	
      (SETQ bp2(polar bp1 (aib 90. ) (- R1 H2)))
      (SETQ bp3(polar bp1 (aib 90. ) H1))
      (SETQ lp1(polar bp1 (aib 180. ) RA))
      (SETQ rp1(polar bp1 (aib 0. ) RA))
      (SETQ lp2(polar lp1 (aib 0. ) S))
      (SETQ rp2(polar rp1 (aib 180. ) S))
      (SETQ lp3(polar lp2 (aib 0. ) R2))
      (SETQ rp3(polar rp2 (aib 180. ) R2))
      (SETQ lp7(polar bp2 (ANGLE BP2 lp3) R1))
      (SETQ rp7(polar bp2 (ANGLE BP2 rp3) R1))
      (SETQ lp9(polar bp2 (ANGLE BP2 lp3) R1A))
      (SETQ rp9(polar bp2 (ANGLE BP2 rp3) R1A))
      (SETQ lp12(polar bp3 (aib 180. ) RM))
      (SETQ rp12(polar bp3 (aib 0. ) RM))

;**** Geometrie erzeugen, unterer Boden
      (command "_layer" "_s" "STRP-025" "")
      (command "_line" lp1 rp1 "")
      (command "_layer" "_s" "VOLL-05" "")
      (command "_line" lp12 rp12 "")
      (command "_arc" lp2 "_E" lp7 "_r" R2)
      (command "_arc" rp7 "_E" rp2 "_r" R2)
      (command "_arc" lp1 "_E" lp9 "_r" R2A)
      (command "_arc" rp9 "_E" rp1 "_r" R2A)
      (command "_arc" "_ce" bp2 lp7 rp7)
      (command "_arc" "_ce" bp2 lp9 rp9)
    )
  )
;**** Punktdefinitionen, Boden oben
  (IF (OR (= Eingabe "O") (= Eingabe "o"))
    (Progn	
      (SETQ bp2(polar bp1 (aib 270. ) (- R1 H2)))
      (SETQ bp3(polar bp1 (aib 270. ) H1))
      (SETQ lp1(polar bp1 (aib 180. ) RA))
      (SETQ rp1(polar bp1 (aib 0. ) RA))
      (SETQ lp2(polar lp1 (aib 0. ) S))
      (SETQ rp2(polar rp1 (aib 180. ) S))
      (SETQ lp3(polar lp2 (aib 0. ) R2))
      (SETQ rp3(polar rp2 (aib 180. ) R2))
      (SETQ lp7(polar bp2 (ANGLE BP2 lp3) R1))
      (SETQ rp7(polar bp2 (ANGLE BP2 rp3) R1))
      (SETQ lp9(polar bp2 (ANGLE BP2 lp3) R1A))
      (SETQ rp9(polar bp2 (ANGLE BP2 rp3) R1A))
      (SETQ lp12(polar bp3 (aib 180. ) RM))
      (SETQ rp12(polar bp3 (aib 0. ) RM))

;**** Oberer Teil mit Boden
      (command "_layer" "_s" "STRP-025" "")
      (command "_line" lp1 rp1 "")
      (command "_layer" "_s" "VOLL-05" "")
      (command "_line" lp12 rp12 "")
      (command "_arc" lp7 "_e" lp2 "_r" R2)
      (command "_arc" rp2 "_e" rp7 "_r" R2)
      (command "_arc" "_ce" bp2 rp7 lp7)
      (command "_arc" lp9 "_e" lp1 "_r" R2A)
      (command "_arc" rp1 "_e" rp9 "_r" R2A)
      (command "_arc" "_ce" bp2 rp9 lp9)
    )
  )
;**** Punktdefinitionen, Boden links
  (IF (OR (= Eingabe "L") (= Eingabe "l"))
    (Progn	
      (SETQ bp2(polar bp1 (aib 0. ) (- R1 H2)))
      (SETQ bp3(polar bp1 (aib 0. ) H1))
      (SETQ lp1(polar bp1 (aib 90. ) RA))
      (SETQ rp1(polar bp1 (aib 270. ) RA))
      (SETQ lp2(polar lp1 (aib 270. ) S))
      (SETQ rp2(polar rp1 (aib 90. ) S))
      (SETQ lp3(polar lp2 (aib 270. ) R2))
      (SETQ rp3(polar rp2 (aib 90. ) R2))
      (SETQ lp7(polar bp2 (ANGLE BP2 lp3) R1))
      (SETQ rp7(polar bp2 (ANGLE BP2 rp3) R1))
      (SETQ lp9(polar bp2 (ANGLE BP2 lp3) R1A))
      (SETQ rp9(polar bp2 (ANGLE BP2 rp3) R1A))
      (SETQ lp12(polar bp3 (aib 90. ) RM))
      (SETQ rp12(polar bp3 (aib 270. ) RM))

;**** Geometrie erzeugen, unterer Boden
      (command "_layer" "_s" "STRP-025" "")
      (command "_line" lp1 rp1 "")
      (command "_layer" "_s" "VOLL-05" "")
      (command "_line" lp12 rp12 "")
      (command "_arc" lp2 "_e" lp7 "_r" R2)
      (command "_arc" rp7 "_e" rp2 "_r" R2)
      (command "_arc" lp1 "_e" lp9 "_r" R2A)
      (command "_arc" rp9 "_e" rp1 "_r" R2A)
      (command "_arc" "_ce" bp2 lp7 rp7)
      (command "_arc" "_ce" bp2 lp9 rp9)
    )
  )
;**** Punktdefinitionen, Boden rechts
  (IF (OR (= Eingabe "R") (= Eingabe "r"))
    (Progn	
      (SETQ bp2(polar bp1 (aib 180. ) (- R1 H2)))
      (SETQ bp3(polar bp1 (aib 180. ) H1))
      (SETQ lp1(polar bp1 (aib 90. ) RA))
      (SETQ rp1(polar bp1 (aib 270. ) RA))
      (SETQ lp2(polar lp1 (aib 270. ) S))
      (SETQ rp2(polar rp1 (aib 90. ) S))
      (SETQ lp3(polar lp2 (aib 270. ) R2))
      (SETQ rp3(polar rp2 (aib 90. ) R2))
      (SETQ lp7(polar bp2 (ANGLE BP2 lp3) R1))
      (SETQ rp7(polar bp2 (ANGLE BP2 rp3) R1))
      (SETQ lp9(polar bp2 (ANGLE BP2 lp3) R1A))
      (SETQ rp9(polar bp2 (ANGLE BP2 rp3) R1A))
      (SETQ lp12(polar bp3 (aib 90. ) RM))
      (SETQ rp12(polar bp3 (aib 270. ) RM))

;**** Oberer Teil mit Boden
      (command "_layer" "_s" "STRP-025" "")
      (command "_line" lp1 rp1 "")
      (command "_layer" "_s" "VOLL-05" "")
      (command "_line" lp12 rp12 "")
      (command "_arc" lp7 "_e" lp2 "_r" R2)
      (command "_arc" rp2 "_e" rp7 "_r" R2)
      (command "_arc" "_ce" bp2 rp7 lp7)
      (command "_arc" lp9 "_e" lp1 "_r" R2A)
      (command "_arc" rp1 "_e" rp9 "_r" R2A)
      (command "_arc" "_ce" bp2 rp9 lp9)
    )
  )
  (COMMAND "_layer" "_s" AltLayer "")
)

