;----------------------------------------------------------------------
; Programmname : BODEN-KE.LSP    - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Konstruktion eines ebenen Bodens
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL:  HTTP://MEMBERS.AOL.COM/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTELL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1WEITER.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\nP R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\n(c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n--------------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
(DEFUN C:BODEN-KE (/ s olderr)
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltLayer (getvar "CLAYER"))
  (SETVAR "cmdecho" 0)
  (prompt "\n-----------------------------------------------------------")
  (prompt "\n       Konstruktionsprogramm  fr ebenen Boden         ")
  (prompt "\n-----------------------------------------------------------")
  (prompt "\n                                                        ")
  (prompt "\n>>>>>>>>    Angaben nur in mm mglich !!!!!    <<<<<<<<<")
  (prompt "\n                                                        ")
  (setq 
      DBv(getreal"\n          Auendurchmesser, Boden              : ")
      SBv(getreal"\n          Wandstrke, Boden                    : ")
      Rv (getreal"\n          Radius                          <50> : ")
      H1v(getreal"\n          Bordhhe des Bodens                  : ")
  )
;**** Ebener Boden - Berechnung **************************************
  (IF (= Rv NIL)
    (PROGN
      (SETQ Rv 50)
    )
  )
  (SETQ H2v (+ (+ H1v Rv) SBv))

  (prompt "\n-----------------------------------------------------------")
  (setq EINGABE
         (getstring "\nEbener Boden links/rechts/oben/unten   <L/R/O/U> ? "))
  (setq mf(getdist  "\n           Mastabsfaktor                      1 : "))
  (graphscr)
  (setq bp1(getpoint"\n           Aufhngepunkt ........................: "))

;**** Mastabsumrechnung
  (SETQ DB (/ DBv mf)  
        RB (/ DB 2)
        SB (/ SBv mf) 
        H1 (/ H1v mf)
        H2 (/ H2v mf)
        R  (/ Rv mf)
        RA (+ R SB)
  )
;*** Boden rechts
  (IF (OR (= Eingabe "R") (= Eingabe "r"))
    (Progn	
      (SETQ bp3(polar bp1 (aib 180. ) H1))
      (SETQ lp1(polar bp1 (aib 270. ) RB))
      (SETQ rp1(polar bp1 (aib 90. ) RB))
      (SETQ lp2(polar lp1 (aib 90. ) SB))
      (SETQ rp2(polar rp1 (aib 270. ) SB))
      (SETQ lp3(polar lp2 (aib 90. ) R))
      (SETQ rp3(polar rp2 (aib 270. ) R))
      (SETQ lp7(polar lp3 (aib 0.) R))
      (SETQ rp7(polar rp3 (aib 0.) R))
      (SETQ lp9(polar lp3 (aib 0.) RA))
      (SETQ rp9(polar rp3 (aib 0.) RA))
      (SETQ lp11(polar lp2 (aib 180. ) H1))
      (SETQ rp11(polar rp2 (aib 180. ) H1))
      (SETQ lp12(polar lp1 (aib 180. ) H1))
      (SETQ rp12(polar rp1 (aib 180. ) H1))

;**** Geometrie erzeugen, rechter Boden
      (command "_layer" "_s" "STRP-025" "")
      (command "_line" lp1 rp1 "")
      (command "_layer" "_s" "VOLL-05" "")
      (command "_line" lp12 rp12 "")
      (command "_line" lp1 lp12 "")
      (command "_line" lp2 lp11 "")
      (command "_line" rp1 rp12 "")
      (command "_line" rp2 rp11 "")
      (command "_arc" lp2 "_e" lp7 "_r" R)
      (command "_arc" rp7 "_e" rp2 "_r" R)
      (command "_arc" lp1 "_e" lp9 "_r" RA)
      (command "_arc" rp9 "_e" rp1 "_r" RA)
      (command "_line" lp7 rp7 "")
      (command "_line" lp9 rp9 "")
    )
  )

;**** Konstruktion, Boden unten *********************************
  (IF (OR (= Eingabe "U") (= Eingabe "u"))
    (Progn	
      (SETQ bp3(polar bp1 (aib 90. ) H1))
      (SETQ lp1(polar bp1 (aib 180. ) RB))
      (SETQ rp1(polar bp1 (aib 0. ) RB))
      (SETQ lp2(polar lp1 (aib 0. ) SB))
      (SETQ rp2(polar rp1 (aib 180. ) SB))
      (SETQ lp3(polar lp2 (aib 0. ) R))
      (SETQ rp3(polar rp2 (aib 180. ) R))
      (SETQ lp7(polar lp3 (aib 270.) R))
      (SETQ rp7(polar rp3 (aib 270.) R))
      (SETQ lp9(polar lp3 (aib 270.) RA))
      (SETQ rp9(polar rp3 (aib 270.) RA))
      (SETQ lp11(polar lp2 (aib 90. ) H1))
      (SETQ rp11(polar rp2 (aib 90. ) H1))
      (SETQ lp12(polar lp1 (aib 90. ) H1))
      (SETQ rp12(polar rp1 (aib 90. ) H1))

;**** Geometrie erzeugen, unterer Boden *****************************
      (command "_layer" "_s" "STRP-025" "")
      (command "_line" lp1 rp1 "")
      (command "_layer" "_s" "VOLL-05" "")
      (command "_line" lp12 rp12 "")
      (command "_line" lp1 lp12 "")
      (command "_line" lp2 lp11 "")
      (command "_line" rp1 rp12 "")
      (command "_line" rp2 rp11 "")
      (command "_arc" lp2 "_e" lp7 "_r" R)
      (command "_arc" rp7 "_e" rp2 "_r" R)
      (command "_arc" lp1 "_e" lp9 "_r" RA)
      (command "_arc" rp9 "_e" rp1 "_r" RA)
      (command "_line" lp7 rp7 "")
      (command "_line" lp9 rp9 "")
    )
  )

;**** Konstruktion, Boden links *************************************
  (IF (OR (= Eingabe "L") (= Eingabe "l"))
    (Progn	
      (SETQ bp3(polar bp1 (aib 0. ) H1))
      (SETQ lp1(polar bp1 (aib 270. ) RB))
      (SETQ rp1(polar bp1 (aib 90. ) RB))
      (SETQ lp2(polar lp1 (aib 90. ) SB))
      (SETQ rp2(polar rp1 (aib 270. ) SB))
      (SETQ lp3(polar lp2 (aib 90. ) R))
      (SETQ rp3(polar rp2 (aib 270. ) R))
      (SETQ lp7(polar lp3 (aib 180.) R))
      (SETQ rp7(polar rp3 (aib 180.) R))
      (SETQ lp9(polar lp3 (aib 180.) RA))
      (SETQ rp9(polar rp3 (aib 180.) RA))
      (SETQ lp11(polar lp2 (aib 0. ) H1))
      (SETQ rp11(polar rp2 (aib 0. ) H1))
      (SETQ lp12(polar lp1 (aib 0. ) H1))
      (SETQ rp12(polar rp1 (aib 0. ) H1))

;**** Geometrie erzeugen, linker Boden *****************************
      (command "_layer" "_s" "STRP-025" "")
      (command "_line" lp1 rp1 "")
      (command "_layer" "_s" "VOLL-05" "")
      (command "_line" lp12 rp12 "")
      (command "_line" lp1 lp12 "")
      (command "_line" lp2 lp11 "")
      (command "_line" rp1 rp12 "")
      (command "_line" rp2 rp11 "")
      (command "_arc" lp7 "_e" lp2 "_r" R)
      (command "_arc" rp2 "_e" rp7 "_r" R)
      (command "_arc" lp9 "_e" lp1 "_r" RA)
      (command "_arc" rp1 "_e" rp9 "_r" RA)
      (command "_line" lp7 rp7 "")
      (command "_line" lp9 rp9 "")
    )
  )

;**** Konstruktion, Boden unten **************************************
  (IF (OR (= Eingabe "O") (= Eingabe "o"))
    (Progn	
      (SETQ bp3(polar bp1 (aib 270. ) H1))
      (SETQ lp1(polar bp1 (aib 0. ) RB))
      (SETQ rp1(polar bp1 (aib 180. ) RB))
      (SETQ lp2(polar lp1 (aib 180. ) SB))
      (SETQ rp2(polar rp1 (aib 0. ) SB))
      (SETQ lp3(polar lp2 (aib 180. ) R))
      (SETQ rp3(polar rp2 (aib 0. ) R))
      (SETQ lp7(polar lp3 (aib 90.) R))
      (SETQ rp7(polar rp3 (aib 90.) R))
      (SETQ lp9(polar lp3 (aib 90.) RA))
      (SETQ rp9(polar rp3 (aib 90.) RA))
      (SETQ lp11(polar lp2 (aib 270. ) H1))
      (SETQ rp11(polar rp2 (aib 270. ) H1))
      (SETQ lp12(polar lp1 (aib 270. ) H1))
      (SETQ rp12(polar rp1 (aib 270. ) H1))

;**** Geometrie erzeugen, oberer Boden *****************************
      (command "_layer" "_s" "STRP-025" "")
      (command "_line" lp1 rp1 "")
      (command "_layer" "_s" "VOLL-05" "")
      (command "_line" lp12 rp12 "")
      (command "_line" lp1 lp12 "")
      (command "_line" lp2 lp11 "")
      (command "_line" rp1 rp12 "")
      (command "_line" rp2 rp11 "")
      (command "_arc" lp2 "_e" lp7 "_r" R)
      (command "_arc" rp7 "_e" rp2 "_r" R)
      (command "_arc" lp1 "_e" lp9 "_r" RA)
      (command "_arc" rp9 "_e" rp1 "_r" RA)
      (command "_line" lp7 rp7 "")
      (command "_line" lp9 rp9 "")
    )
  )
  (SETVAR "cmdecho" 1)
  (graphscr)
)

