;----------------------------------------------------------------------
; Programmname : D28034.LSP  - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Vorschweiflansch DIN 28034 von NW300 bis NW 1300
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL:    http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\nP R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\n(c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n--------------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(DEFUN C:D28034 ()
  (Vorgaben)
  (command "_vslide" "D28034")
  (setq NWv (getint"\n Bitte Nenndurchmesser eingeben  -- NW :")
        h1v (getint"\n Bitte Blattdicke eingeben       -- h1 :")
	s1v (getint"\n Bitte Mantelwanddicke eingeben  -- s1 :"))
  (SETQ Hilf (rtos NWv 2 0))
  (setq NWv (strcat "NW" Hilf))
  (setq aus (open "c:/r13/lispdemo/D28034.tab" "r")
	schleife T)
  (while schleife
	 (setq NW (read-line aus))
	 (if (= NW nil)
	     (setq schleife nil)
	     (progn (setq d1 (atoi (read-line aus))
			  h1 (atoi (read-line aus))
			  d2 (atoi (read-line aus))
			  d3 (atoi (read-line aus))
			  h2 (atoi (read-line aus))
			  h3 (atoi (read-line aus))
			  s1 (atoi (read-line aus))
			  t  (atoi (read-line aus))
			  r  (atoi (read-line aus))
			  a  (atoi (read-line aus))
			  g  (read-line aus)
			  d4 (atoi (read-line aus))
			  d5 (atoi (read-line aus))
			  d6 (atoi (read-line aus))
			  d7 (atoi (read-line aus))
			  d8 (atoi (read-line aus))
			  wt (atof (read-line aus))
		    )
		    (if (= NW NWV)
			(if (= h1 h1V)
			    (setq schleife nil)
			)
		    )
	     )
	 )
  )
  (if (/= s1V nil)
      (setq s1 s1V)
  )
  (setq m  (getdist"\n Mastabsfaktor 1:"))
  (command "_redraw")
  (setq bp(getpoint"\n Basispunkt      :"))
  (setq d1(/ d1 m) d2 (/ d2 m) d3 (/ d3 m) d4 (/ d4 m) s1 (/ s1 m))
(print h1)
(print d1)
  (setq h1 (/ h1 m) h2 (/ h2 m) h3 (/ h3 m) t (/ t m) r (/ r m))
  (setvar"blipmode" 0)

;***  Punktdefinitionen
  (setq rp1(polar bp (aib 0.) (- (/ d1 2) s1)))
  (setq lp1(polar bp (aib 180.) (- (/ d1 2) s1)))
  (setq rp2(polar rp1 (aib 270.) h2))
  (setq lp2(polar lp1 (aib 270.) h2))
  (setq rp3(polar rp1 (aib 0.) (+ s1 (/ (- d3 d4 d1) 2))))
  (setq rp4(polar rp3 (aib 270.) h1))
  (setq rp5(polar rp4 (aib 180.) (- (/ (- d3 d4 d1) 2) t)))
  (setq rp6a(polar rp2 (aib 0.) s1))
  (setq rp6(polar rp6a (aib 90.) (- h2 h1 h3)))

  (setq s2(/ s1 (cos (aib 30.))))
  (setq rp7(polar rp2 (aib 30.) s2))
  (setq phi(- (angle rp6 rp5) (aib 90.)))
  (setq psi(- (aib 45.) (/ phi 2)))
  (setq b(* r (/ (sin psi) (cos psi))))
  (setq rp4a(polar rp5 (aib 0.) b))
  (setq rp6a(polar rp5 (+ (aib 270.) phi) b))

  (setq lp3(polar lp1 (aib 180.) (+ s1 (/ (- d3 d4 d1) 2))))
  (setq lp4(polar lp3 (aib 270.) h1))
  (setq lp5(polar lp4 (aib 0.) (- (/ (- d3 d4 d1) 2) t)))
  (setq lp6a(polar lp2 (aib 180.) s1))
  (setq lp6(polar lp6a (aib 90.) (- h2 h1 h3)))
  (setq lp7(polar lp2 (aib 150.) s2))
  (setq phi(- (angle lp6 lp5) (aib 90.)))
  (setq psi(- (aib 45.) (/ phi 2)))
  (setq b(* r (/ (sin psi) (cos psi))))
  (setq lp4a(polar lp5 (aib 180.) b))
  (setq lp6a(polar lp5 (+ (aib 270.) phi) b))

  (setq rp8(polar rp4 (aib 0.) d4))
  (setq rp9(polar rp3 (aib 0.) d4))
  (setq lp8(polar lp4 (aib 180.) d4))
  (setq lp9(polar lp3 (aib 180.) d4))

  (setq rp10(polar rp9 (aib 0.) (/ (- d2 d3 d4) 2)))
  (setq rp11(polar rp10 (aib 270.) h1))
  (setq lp10(polar lp9 (aib 180.) (/ (- d2 d3 d4) 2)))
  (setq lp11(polar lp10 (aib 270.) h1))

; ***Geometriedarstellung - AutoCAD
  (command "_layer" "_s" Vollinie05 "")
  (command "_line" lp4 lp11 lp10 rp10 rp11 rp4 "")
  (command "_line" lp1 lp2 "")
  (command "_line" lp3 lp4 "")
  (command "_line" lp9 lp8 "")
  (command "_line" rp1 rp2 "")
  (command "_line" rp3 rp4 "")
  (command "_line" rp9 rp8 "")
  (command "_line" rp2 lp2 "")
  (command "_pline" rp4 rp4a "_a" rp6a "_l" rp6 rp7 rp2 "")
  (command "_pline" lp4 lp4a "_a" lp6a "_l" lp6 lp7 lp2 "")
  (Endesequenz)
)







