;----------------------------------------------------------------------
; Programmname : DI2510.LSP  - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Dehnschrauben und Muttern nach DIN 2510 mit "C1" gerechnet
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL: HTTP://MEMBERS.AOL.COM/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1WEITER.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\nP R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\n(c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n--------------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(DEFUN C:DI2510 (/ schleife tab)
  (VORGABEN)
  (prompt "\n--------------------------------------------------")
  (prompt "\n----- Dehnschrauben nach DIN 2510 - Form L / NF - mit C1 gerechnet  -----")
  (prompt "\n--------------------------------------------------")
  (princ "\n")
  (setq GV (getstring"\n                    Schraubengre   M : ")
          klv  (getreal"                    Klemmlnge         : ")
         GV (strcat  "M" GV)
  )
  (setq tab  (open "C:/R13/LISPDEMO/DI2510.TAB" "r")
        schleife  T)

  (while schleife
      (setq G (read-line tab))
      (if (= G nil)
          (setq schleife nil)
          (progn
              (setq c1l  (atof (read-line tab))
                    d1l  (atof (read-line tab))
                    d3l  (atof (read-line tab))
                    d2l  (atof (read-line tab))
                    dz3l (atoi (read-line tab))
                    b1l  (atoi (read-line tab))
                    swl  (atoi (read-line tab))
                    z1l  (atof (read-line tab))
                    z2l  (atoi (read-line tab))
                    dsl  (atof (read-line tab))
                    el   (atof (read-line tab))
                    mbl  (atoi (read-line tab))
                    tl   (atoi (read-line tab))
               )
               (if (= G GV)
                   (setq schleife nil)
               )
           )
       )
   )
   (close tab)
   (setq l1 (+ (* 2 c1l) klv)
         l1b (fix (+ 0.5 l1)))
   (princ "\n")

   (setq Ausgabe1 (RTOS klv 2 0))
   (setq Ausgabe2 (RTOS l1b 2 0))
   (prompt (strcat " Bestellnge fr die Klemmlnge "Ausgabe1" mm (mit C1 gerechnet) l1 = " Ausgabe2" [mm]"))
   (princ "\n")
   (setq m  (getreal"\n                    Mastabsfaktor   1 : "))
   (setq bp1 (getpoint"                    Basispunkt.......... "))
   (if (= m nil)
        (setq m 1.0))

   (setq kl (/ klv m)  l1 (/ l1b m)  c1 (/ c1l m)  ds (/ dsl m)
         d1 (/ d1l m)    d3 (/ d3l m) b1 (/ b1l m) t (/ tl m)
         mb (/ mbl m)  z1 (/ z1l m)   z2 (/ z2l m) dz3 (/ dz3l m)
         sw (/ swl m)  e (/ el m)     d2 (/ d2l m)
   )

;*** Punktdefinitionen
   (setq op1 (polar bp1 (aib 90.) (/ ds 2))
         op3 (polar bp1 (aib 90.) (/ d1 2))
         op5 (polar bp1 (aib 90.) (/ d3 2))
         up1 (polar bp1 (aib 270.) (/ ds 2))
         up3 (polar bp1 (aib 270.) (/ d1 2))
         up5 (polar bp1 (aib 270.) (/ d3 2)))

   (setq bph (polar bp1 (aib 180.) kl))

   (setq op2 (polar bph (aib 90.) (/ ds 2))
         op4 (polar bph (aib 90.) (/ d1 2))
         op6 (polar bph (aib 90.) (/ d3 2))
         up2 (polar bph (aib 270.) (/ ds 2))
         up4 (polar bph (aib 270.) (/ d1 2))
         up6 (polar bph (aib 270.) (/ d3 2)))

   (setq op7  (polar op3 (aib 180.) (- b1 c1))
         op21 (polar op3 (aib 0.) mb)
         up7  (polar up3 (aib 180.) (- b1 c1))
         up21 (polar up3 (aib 0.) mb)
         op8  (polar op4 (aib 0.) (- b1 c1))
         op22 (polar op4 (aib 180.) mb)
         up8  (polar up4 (aib 0.) (- b1 c1))
         up22 (polar up4 (aib 180.) mb))

   (setq op9  (polar op1 (aib 0.) t)
         up9  (polar up1 (aib 0.) t)
         op10 (polar op2 (aib 180.) t)
         up10 (polar up2 (aib 180.) t))

   (setq dist1 (/ (- mb t) 11))

   (setq bph3 (polar bp1 (aib 0.) (+ t dist1))
         bph4 (polar bp1 (aib 0.) (- mb dist1))
         bph5 (polar bph (aib 180.) (+ t dist1))
         bph6 (polar bph (aib 180.) (- mb dist1)))

   (setq op11 (polar bph3 (aib 90.) (/ e 2))
         up11 (polar bph3 (aib 270.) (/ e 2))
         op13 (polar bph4 (aib 90.) (/ e 2))
         up13 (polar bph4 (aib 270.) (/ e 2))
         op12 (polar bph5 (aib 90.) (/ e 2))
         up12 (polar bph5 (aib 270.) (/ e 2))
         op14 (polar bph6 (aib 90.) (/ e 2))
         up14 (polar bph6 (aib 270.) (/ e 2)))

   (setq op15 (polar bph3 (aib 90.) (* e 0.25))
         op17 (polar bph4 (aib 90.) (* e 0.25))
         up15 (polar bph3 (aib 270.) (* e 0.25))
         up17 (polar bph4 (aib 270.) (* e 0.25))
         op16 (polar bph5 (aib 90.) (* e 0.25))
         up16 (polar bph5 (aib 270.) (* e 0.25))
         op18 (polar bph6 (aib 90.) (* e 0.25))
         up18 (polar bph6 (aib 270.) (* e 0.25)))

   (setq dist2 (/ (- d1 d2) (* 2 (sin (aib 20.)))))

   (setq up28 (polar up8 (aib 20.) dist2)
         op28 (polar op8 (aib 340.) dist2)
         up27 (polar up7 (aib 160.) dist2)
         op27 (polar op7 (aib 200.) dist2))

   (setq tan (/ (sin (aib 20.)) (cos (aib 20.))))

   (setq op29 (polar op5 (aib 180.) (+ (- b1 c1) (/ (/ (- d1 d3) 2) tan )))
         up29 (polar up5 (aib 180.) (+ (- b1 c1) (/ (/ (- d1 d3) 2) tan )))
         op30 (polar op6 (aib 0.) (+ (- b1 c1) (/ (/ (- d1 d3) 2) tan )))
         up30 (polar up6 (aib 0.) (+ (- b1 c1) (/ (/ (- d1 d3) 2) tan ))))

   (setq op32 (polar op27 (aib 270.) dist1)
         up34 (polar up27 (aib 90.) dist1)
         op36 (polar op28 (aib 270.) dist1)
         up38 (polar up28 (aib 90.) dist1))

   (setq op25 (polar op5 (aib 0.) mb)
         op23 (polar op5 (aib 0.) (+ mb z1))
         up25 (polar up5 (aib 0.) mb)
         up23 (polar up5 (aib 0.) (+ mb z1))
         op26 (polar op6 (aib 180.) mb)
         op24 (polar op6 (aib 180.) (+ mb z1))
         up26 (polar up6 (aib 180.) mb)
         up24 (polar up6 (aib 180.) (+ mb z1)))

   (setq bph1 (polar bp1 (aib 0.) (+ mb z1))
         bph2 (polar bp1 (aib 0.) (+ mb z1 z2)))

   (setq qua (- (expt (/ dz3 2) 2) (expt (/ SW 2) 2))
         h   (sqrt qua))

   (setq op31 (polar bph1 (aib 90.) (/ dz3 2))
         op35 (polar bph1 (aib 90.) h)
         up31 (polar bph1 (aib 270.) (/ dz3 2))
         up35 (polar bph1 (aib 270.) h)
         op33 (polar bph2 (aib 90.) (/ dz3 2))
         op37 (polar bph2 (aib 90.) h)
         up33 (polar bph2 (aib 270.) (/ dz3 2))
         up37 (polar bph2 (aib 270.) h))

   (setq mp1 (polar bp1 (aib 180.) (+ kl c1 (/ 8 m)))
         mp2 (polar bp1 (aib 0.)   (+ c1 z2 (/ 8 m))))

   (setq bg1 (polar bp1 (aib 0.) mb)
         bg2 (polar bp1 (aib 0.) t)
         bg3 (polar bph (aib 180.) t)
         bg4 (polar bph (aib 180.) mb))

   (setq bg5  (polar bg4 (aib 90.) (* e (/ 3. 8.)))
         bg6  (polar bg3 (aib 90.) (* e (/ 3. 8.)))
         bg7  (polar bg4 (aib 270.) (* e (/ 3. 8.)))
         bg8  (polar bg3 (aib 270.) (* e (/ 3. 8.)))
         bg9  (polar bg2 (aib 90.) (* e (/ 3. 8.)))
         bg10 (polar bg1 (aib 90.) (* e (/ 3. 8.)))
         bg11 (polar bg2 (aib 270.) (* e (/ 3. 8.)))
         bg12 (polar bg1 (aib 270.) (* e (/ 3. 8.))))

;*** Geometriedarstellung
    (command "_layer" "_s" Vollinie05 "")
   (command "_line" bg7 up22 up24 op24 op22 bg5 "")
   (command "_line" op22 up22 "")
   (command "_line" op10 op2 op4 op8 up8 up4 up2 up10 "_c")
   (command "_line" op4 up4 "")
   (command "_line" up9 up1 up3 up7 op7 op3 op1 op9 "_c")
   (command "_line" op3 up3 "")
   (command "_line" bg10 bg12 "")
   (command "_line" up21 up23 op23 op21 "")
   (command "_line" up31 up33 op33 op31 "")
   (command "_line" op35 op37 "")
   (command "_line" up35 up37 "")

   (command "_line" op8 op28 op27 op7 "")
   (command "_line" up8 up28 up27 up7 "")

   (command "_line" op14 op12 "")
   (command "_line" op18 op16 "")
   (command "_line" up18 up16 "")
   (command "_line" up14 up12 "")
   (command "_line" op11 op13 "")
   (command "_line" op15 op17 "")
   (command "_line" up15 up17 "")
   (command "_line" up11 up13 "")

   (command "_arc" op18 bg4 up18)
   (command "_arc" op16 bg3 up16)
   (command "_arc" op15 bg2 up15)
   (command "_arc" op17 bg1 up17)

   (command "_arc" op14 bg5 op18)
   (command "_arc" up18 bg7 up14)
   (command "_arc" op16 bg6 op12)
   (command "_arc" up12 bg8 up16)

   (command "_arc" op11 bg9 op15)
   (command "_arc" up15 bg11 up11)
   (command "_arc" op17 bg10 op13)
   (command "_arc" up13 bg12 up17)


   (command "_layer" "_s" Vollinie025 "")
   (command "_line" op37 up35 "")
   (command "_line" up37 op35 "")
   (command "_line" op25 op23 "")
   (command "_line" up25 up23 "")
   (command "_line" op26 op24 "")
   (command "_line" up26 up24 "")
   (command "_line" op5 op29 "")
   (command "_line" up5 up29 "")
   (command "_line" op6 op30 "")
   (command "_line" up6 up30 "")

   (command "_line" op32 up34 "")
   (command "_line" op36 up38 "")

   (Endesequenz)
)


