;----------------------------------------------------------------------
; Programmname : DI28034.LSP  - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Vorschweiflansch DIN 28034 Variantenprogramm
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL: http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTELL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\nP R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n--------------------------------------------------------------------------")
  (prompt "\n(c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n--------------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(DEFUN C:DI28034 ()
  (Vorgaben)
  (COMMAND "_vslide" "DI28034")
  (setq 
    0d1 (getreal"\n           Durchmesser      ---   d1 : ")
    0d2 (getreal"             Flansch          ---   d2 : ")
    0d3 (getreal"             Flansch          ---   d3 : ")
    0h1 (getreal"             Flansch          ---   h1 : ")
    0h2 (getreal"             Flansch          ---   h2 : ") 
    0h3 (getreal"             Flansch          ---   h3 : ") 
    0T  (getreal"             Ma f            ---   f  : ") 
    0d4 (getreal"             Schrauben        ---   d4 : ") 
  )

  (setq 0d12T (+ (* 0T 2) 0d1))
  (setq m(getdist   "\n             Mastabsfaktor       1 : "))
  (command "_redraw")
  (setq bp1(getpoint"\n             Basispunkt.............. "))

  (setq d1(/ 0d1 m) d2 (/ 0d2 m) h1 (/ 0h1 m) d3 (/ 0d3 m) h2 (/ 0h2 m)
        T (/ 0T m)  h3 (/ 0h3 m) d4 (/ 0d4 m) d12T (/ 0d12T m)
  )

;*** Punktedefinition
  (setq bp2(polar bp1 (aib 270.) h2))
  (setq pr1(polar bp1 (aib 0.) (/ d2 2)))
  (setq pl1(polar bp1 (aib 180.) (/ d2 2)))
  (setq pr2(polar pr1 (aib 270.) h1))
  (setq pl2(polar pl1 (aib 270.) h1))
  (setq pr3(polar pr2 (aib 180.) (- (/ d2 2) (/ d12T 2))))
  (setq pl3(polar pl2 (aib 0.) (- (/ d2 2) (/ d12T 2))))
  (setq pr4(polar bp2 (aib 0.) (/ d1 2)))
  (setq pl4(polar bp2 (aib 180.) (/ d1 2)))
  (setq pr5(polar pr4 (aib 90.) (- h2 (+ h1 h3))))
  (setq pl5(polar pl4 (aib 90.) (- h2 (+ h1 h3))))
  (setq pr6(polar BP1 (aib 0.) (- (/ d3 2) (/ d4 2)) ))
  (setq pr7(polar pr6 (aib 0.) d4))
  (setq pr8(polar pr6 (aib 270.) h1))
  (setq pr9(polar pr8 (aib 0.) d4))
  (setq pl6(polar BP1 (aib 180.) (- (/ d3 2) (/ d4 2)) ))
  (setq pl7(polar pl6 (aib 180.) d4))
  (setq pl8(polar pl6 (aib 270.) h1))
  (setq pl9(polar pl8 (aib 180.) d4))
  (setq pr10(polar pr5 (aib 180.) (/ d1 11)))
  (setq pl10(polar pl5 (aib 0.) (/ d1 11)))

;*** Hilfspunkte-Definition
  (setq hr1(polar BP1 (aib 0.) (/ d3 2) ))
  (setq hr2(polar hr1 (aib 90.) (/ h1 2)))
  (setq hr3(polar pr2 (aib 180.) (/ (- d2 d3) 2)))
  (setq hr4(polar hr3 (aib 270.) (/ h1 2)))
  (setq hl1(polar BP1 (aib 180.) (/ d3 2) ))
  (setq hl2(polar hl1 (aib 90.) (/ h1 2)))
  (setq hl3(polar pl2 (aib 0.) (/ (- d2 d3) 2)))
  (setq hl4(polar hl3 (aib 270.) (/ h1 2)))

;*** Geometriedarstellung
  (command "_layer" "_s" Vollinie05 "")
  (command "_line" pr1 pl1 "")
  (command "_line" pr1 pr2 "")
  (command "_line" pl1 pl2 "")
  (command "_line" pr2 pl2 "")
  (command "_line" pr3 pr5 "")
  (command "_line" pr5 pr4 "")
  (command "_line" pl3 pl5 "")
  (command "_line" pl5 pl4 "")
  (command "_line" pr4 pl4 "")

  (command "_layer" "_s" VerdeckteLinie "")
  (command "_line" pr6 pr8 "")
  (command "_line" pr7 pr9 "")
  (command "_line" pl6 pl8 "")
  (command "_line" pl7 pl9 "")

  (command "_layer" "_s" Vollinie035 "")
  (command "_line" pr10 pl10 "") 

  (command "_layer" "_s" Mittellinie "")
  (command "_line" hr2 hr4 "")
  (command "_line" hl2 hl4 "")
  (Endesequenz)
)
