;----------------------------------------------------------------------
; Programmname : DI28080D.LSP  - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            : Tragsttel "Form D" fr liegende Apparate
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL:    http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error*)
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 1)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   P R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   (c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n-----------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(DEFUN C:DI28080D ()
  (Vorgaben)
  (prompt "\n----------------------------------------------")
  (prompt "\n----- Tragsttel  DIN 28080 Form D -----")
  (prompt "\n----------------------------------------------")
  (prompt "\n")
  (prompt "\n        >>>>>>>    Angaben nur in mm mglich !!!!!    <<<<<<<<<     ")
  (prompt "\n")
  (TS_FORM_D)
  (Endesequenz)
)

;*** Unterprogramm Form D ***************************************
(defun TS_FORM_D ()
   (setq d1wahl (getreal "\n    Bitte Auendurchmesser eingeben: "))
   (setq tab (open "C:/R13/lispdemo/DI28080D.TAB" "r"))
   (setq gef (read-line tab))
   (WHILE (/= gef "**** Anfang Form D ****")
       (setq gef (read-line tab))
   )
   (read-line tab)
   (setq suche T eintr nil)
   (WHILE suche
      (setq gef (read-line tab))
      (IF (= gef "**** Ende Form D ****")
          (progn
             (setq suche nil eintr T)
          )
         (progn
            (setq zeile gef)
           (setq d1gef (atof (substr zeile 1 4)))
           (IF (>= d1gef d1wahl)
                (setq suche nil)
            )
         )
      )
   )
   (close tab)
   (setq d1s (substr zeile 1 4)
              h1s (substr zeile 6 4)
              l1s (substr zeile 11 4)
              b1s (substr zeile 16 3)
              s1s (substr zeile 20 2)
              b2s (substr zeile 23 3)
              s2s (substr zeile 27 2)
              e2s (substr zeile 30 3)
              bls (substr zeile 34 4)
              b3s (substr zeile 39 3)
              b4s (substr zeile 43 3)
              l2s (substr zeile 47 4)
              l4s (substr zeile 52 4)
              s3s (substr zeile 57 2)
              s4s (substr zeile 60 2)
              h2s (substr zeile 63 4)
              dGs (substr zeile 68 2)
              d2s (substr zeile 71 2)
              l3s (substr zeile 74 4)
              l5s (substr zeile 79 3)
              as  (substr zeile 83 2)
              sms (substr zeile 86 4)
        )
   (IF eintr
      (progn
         (prompt (strcat "\n                 Durchmesser " (rtos d1wahl 2 0) " mm nicht vorhanden!"))
         (prompt (strcat "\n     Vorgabewerte beziehen sich auf grten vorhandenen Wert = " (substr zeile 1 4) " mm"))
      )
   )
   (IF (> d1gef d1wahl)
      (progn
         (prompt (strcat "\n                 Durchmesser " (rtos d1wahl 2 0) " mm nicht vorhanden!"))
         (prompt (strcat "\n     Vorgabewerte beziehen sich auf vorhandenen Wert = " (substr zeile 1 4) " mm"))
      )
   )
   (setq fest nil)
   (setq ausf "Gleitsattel!")

(REPEAT 2  
     (command "_vslide" "DI28080D")
     (prompt (strcat "\n\n  Mae gelten nur fr Ausfhrung als " ausf))

     (IF (= fest T)               ;*** Vorgabewerte Festsattel
       (progn
         (setq d1vf (getreal  (strcat "\n\n 11111      Auendurchmesser  d1 <" (rtos d1v) "> : ")))
         (setq h1vf (getreal  (strcat "                   Hhe  h1 <" (rtos h1v) "> : ")))
         (setq l1vf (getreal   (strcat "            Grundplatte  l1 <" (rtos l1v) "> : ")))
         (setq b1vf (getreal  (strcat "                         b1  <" (rtos b1v) "> : ")))
         (setq s1vf (getreal  (strcat "                         s1   <" (rtos s1v) "> : ")))
         (setq b2vf (getreal  (strcat "      Verstrkungsblech  b2  <" (rtos b2v) "> : ")))
         (setq s2vf (getreal  (strcat "                         s2   <" (rtos s2v) "> : ")))
         (setq e2vf (getreal  (strcat "                         e2  <" (rtos e2v) "> : ")))
         (setq blvf (getreal   (strcat "                 Bogenlnge <" (rtos blv) "> : ")))
         (setq b3vf (getreal  (strcat "        Steg und Rippen  b3  <" (rtos b3v) "> : ")))
         (setq b4vf (getreal  (strcat "                         b4  <" (rtos b4v) "> : ")))
         (setq l2vf (getreal   (strcat "                         l2 <" (rtos l2v) "> : ")))
         (setq l4vf (getreal   (strcat "                         l4 <" (rtos l4v) "> : ")))
         (setq s3vf (getreal  (strcat "                         s3   <" (rtos s3v) "> : ")))
         (setq s4vf (getreal  (strcat "                         s4   <" (rtos s4v) "> : ")))
         (setq h2vf (getreal  (strcat "                   Hhe  h2  <" (rtos h2v) "> : ")))
         (setq dGvf (getreal (strcat "   Befestigungsschrauben     <M" (rtos dGv) "> : ")))
         (setq d2vf (getreal  (strcat "                         d2   <" (rtos d2v) "> : ")))
         (setq l3vf (getreal   (strcat "                         l3 <" (rtos l3v) "> : ")))
         (setq l5vf (getreal   (strcat "                         l5   <" (rtos l5v) "> : ")))
         (setq avf  (getreal   (strcat "                         a    <" (rtos av) ">  : ")))

;*** Vorgabewerte abfragen
         (IF (= d1vf nil)  (setq d1vf d1v))
         (IF (= h1vf nil)  (setq h1vf h1v))
         (IF (= l1vf nil)  (setq l1vf l1v))
         (IF (= b1vf nil)  (setq b1vf b1v))
         (IF (= s1vf nil)  (setq s1vf s1v))
         (IF (= b2vf nil)  (setq b2vf b2v))
         (IF (= s2vf nil)  (setq s2vf s2v))
         (IF (= e2vf nil)  (setq e2vf e2v))
         (IF (= blvf nil)  (setq blvf blv))
         (IF (= b3vf nil)  (setq b3vf b3v))
         (IF (= b4vf nil)  (setq b4vf b4v))
         (IF (= l2vf nil)  (setq l2vf l2v))
         (IF (= l4vf nil)  (setq l4vf l4v))
         (IF (= s3vf nil)  (setq s3vf s3v))
         (IF (= s4vf nil)  (setq s4vf s4v))
         (IF (= h2vf nil)  (setq h2vf h2v))
         (IF (= dGvf nil)  (setq dGvf dGv))
         (IF (= d2vf nil)  (setq d2vf d2v))
         (IF (= l3vf nil)  (setq l3vf l3v))
         (IF (= l5vf nil)  (setq l5vf l5v))
         (IF (= avf nil)  (setq avf av))

;*** Masstabs - Umrechnung
         (setq d1 (mass d1vf) h1 (mass h1vf) l1 (mass l1vf) b1 (mass b1vf))
         (setq s1 (mass s1vf) b2 (mass b2vf) s2 (mass s2vf) e2 (mass e2vf))
         (setq bl (mass blvf) b3 (mass b3vf) b4 (mass b4vf) l2 (mass l2vf))
         (setq l4 (mass l4vf) s3 (mass s3vf) s4 (mass s4vf) h2 (mass h2vf))
         (setq d2 (mass d2vf) l3 (mass l3vf) l5 (mass l5vf) a (mass avf))

         (setq bpv (polar bpv (aib 0.) (* l1 3)));   *** Basispunkt verschieben
    ) ;**** Ende Vorgabewerte Festsattel 
;*** Gleitsattel
      (progn
         (setq d1v (getreal (strcat "\n\n       Auendurchmesser  d1 <" d1s "> : ")))
         (setq h1v (getreal (strcat "                   Hhe  h1 <" h1s "> : ")))
         (setq l1v (getreal (strcat "            Grundplatte  l1 <" l1s "> : ")))
         (setq b1v (getreal (strcat "                         b1  <" b1s "> : ")))
         (setq s1v (getreal (strcat "                         s1   <" s1s "> : ")))
         (setq b2v (getreal (strcat "      Verstrkungsblech  b2  <" b2s "> : ")))
         (setq s2v (getreal (strcat "                         s2   <" s2s "> : ")))
         (setq e2v (getreal (strcat "                         e2  <" e2s "> : ")))
         (setq blv (getreal (strcat "                 Bogenlnge <" bls "> : ")))
         (setq b3v (getreal (strcat "        Steg und Rippen  b3  <" b3s "> : ")))
         (setq b4v (getreal (strcat "                         b4  <" b4s "> : ")))
         (setq l2v (getreal (strcat "                         l2 <" l2s "> : ")))
         (setq l4v (getreal (strcat "                         l4 <" l4s "> : ")))
         (setq s3v (getreal (strcat "                         s3   <" s3s "> : ")))
         (setq s4v (getreal (strcat "                         s4   <" s4s "> : ")))
         (setq h2v (getreal (strcat "                   Hhe  h2 <" h2s "> : ")))
         (setq dGv (getreal (strcat "   Befestigungsschrauben     <M" dGs "> : ")))
         (setq d2v (getreal (strcat "                         d2   <" d2s "> : ")))
         (setq l3v (getreal (strcat "                         l3 <" l3s "> : ")))
         (setq l5v (getreal (strcat "                         l5  <" l5s "> : ")))
         (setq av  (getreal (strcat "                         a   <" as ">  : ")))
         (setq sm  (getreal (strcat "      Masse je Sattel in kg <" sms "> : ")))
         (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
         (setq mTaste (getkword        "\n        Mastabsfaktor.......... 1 : "))
         (setq m (atof mTaste))
         (IF (= m nil) (setq m 1))
         (command "_redraw")
         (graphscr)
         (setq bpv  (getpoint"         Basispunkt (= Behltermitte) ............... "))
         (prompt "\n\n     Bitte warten ...")
         (textscr)

;*** Vorgabewerte abfragen
         (IF (= d1v nil)  (setq d1v (atoi d1s)))
         (IF (= h1v nil)  (setq h1v (atoi h1s)))
         (IF (= l1v nil)  (setq l1v (atoi l1s)))
         (IF (= b1v nil)  (setq b1v (atoi b1s)))
         (IF (= s1v nil)  (setq s1v (atoi s1s)))
         (IF (= b2v nil)  (setq b2v (atoi b2s)))
         (IF (= s2v nil)  (setq s2v (atoi s2s)))
         (IF (= e2v nil)  (setq e2v (atoi e2s)))
         (IF (= blv nil)  (setq blv (atoi bls)))
         (IF (= b3v nil)  (setq b3v (atoi b3s)))
         (IF (= b4v nil)  (setq b4v (atoi b4s)))
         (IF (= l2v nil)  (setq l2v (atoi l2s)))
         (IF (= l4v nil)  (setq l4v (atoi l4s)))
         (IF (= s3v nil)  (setq s3v (atoi s3s)))
         (IF (= s4v nil)  (setq s4v (atoi s4s)))
         (IF (= h2v nil)  (setq h2v (atoi h2s)))
         (IF (= dGv nil)  (setq dGv (atoi dgs)))
         (IF (= d2v nil)  (setq d2v (atoi d2s)))
         (IF (= l3v nil)  (setq l3v (atoi l3s)))
         (IF (= l5v nil)  (setq l5v (atoi l5s)))
         (IF (= av nil)  (setq av (atoi as)))

;*** Masstabs - Umrechnung
         (setq d1 (mass d1v) h1 (mass h1v) l1 (mass l1v) b1 (mass b1v))
         (setq s1 (mass s1v) b2 (mass b2v) s2 (mass s2v) e2 (mass e2v))
         (setq bl (mass blv) b3 (mass b3v) b4 (mass b4v) l2 (mass l2v))
         (setq l4 (mass l4v) s3 (mass s3v) s4 (mass s4v) h2 (mass h2v))
         (setq d2 (mass d2v) l3 (mass l3v) l5 (mass l5v) a (mass av))
         (setq me (/ 1 m) ms (rtos m 2 0))

;***** Variablen fr HOLEN des Bemassungsstils
         (setq bstaa (strcat "F" ms "AA"))
         (setq bstea (strcat "F" ms "AA"))
         (setq bstee (strcat "F" ms "AA"))

         (setq babst (mass 400));*** Abstand 1. Malinie von Kperkontur
      ) ;**** Ende Vorgabewerte Gleitsattel
   ) ;**** Ende IF

;*** VORDERANSICHT   Form D Punktdefinitionen
   (setq pv1 (polar bpv (aib 270.) h1)) ;*** Hilfspunkt pv1

;*** Punkte linke Seite
   (setq pvl1 (list (- (car bpv) (/ l2 2)) (+ (cadr pv1) s1)))
   (setq q1 (sqrt (- (* (+ (/ d1 2) s2) (+ (/ d1 2) s2)) (* (/ l2 2) (/ l2 2)))))
   (setq pvl2 (list (- (car bpv) (/ l2 2)) (- (cadr bpv) q1)))
   (setq pvl3 (polar pvl2 (aib 180.) s4))
   (setq pvl4 (polar pvl1 (aib 180.) s4))
   (setq beta (/ (* bl 180) (* pi d1)))
   (setq betal (- 270. beta))
   (setq pvl14 (polar bpv (aib betal) (/ d1 2)))
   (setq pvl13 (polar bpv (aib betal) (+ (/ d1 2) s2)))
   (setq pvl11 (list (- (car pv1) (/ l1 2)) (cadr pvl1)))
   (setq pvl12 (list (car pvl11) (cadr pv1)))
   (setq pvl9 (polar pvl11 (aib 0.) (mass 10)))
   (setq q3 (sqrt (- (* (+ (/ d1 2) s2) (+ (/ d1 2) s2)) (* h2 h2))))
   (setq pvl7 (list (- (car bpv) q3) (- (cadr bpv) h2)))
   (setq alfa1b (angle pvl9 pvl7))
   (setq l (distance pvl9 pvl7))
   (setq q2 (/ s4 l))
   (setq alfa2b (asin q2))
   (setq alfab (- (+ alfa1b alfa2b) (aib 90.)))
   (setq pvl10 (polar pvl9 alfab s4))
   (setq pvl8 (polar pvl7 (+ (aib 180.) alfab) s4))
   (setq pvl16 (list (- (car pv1) (/ l4 2)) (cadr pvl11)))
   (setq pvl17 (list (car pvl16) (+ (cadr pvl11) (mass 110))))
   (setq pvl17a (polar (polar pvl17 (aib 180.) (mass 40)) (aib 45) (mass 40)))
   (setq pvl18 (list (- (car pvl16) (mass 40)) (+ (cadr pvl11) (mass 150))))
   (setq q6 (- (cadr pvl18) (cadr pvl10)))
   (setq q7 (* (tan alfab) q6))
   (setq pvl15 (list (- (car pvl10) q7) (cadr pvl18)))
   (setq pv5 (list (- (car pvl13) 50) (- (cadr pvl7) (mass 50))))
   (setq pv6 (list (car bpv) (cadr pv5)))
   (setq pvl5 (INTERS pvl10 pvl7 pv5 pv6 nil))

;*** Punkte rechte Seite
   (setq pvr1 (list (+ (car bpv) (/ l2 2)) (+ (cadr pv1) s1)))
   (setq pvr2 (list (+ (car bpv) (/ l2 2)) (- (cadr bpv) q1)))
   (setq pvr3 (polar pvr2 (aib 0.) s4))
   (setq pvr4 (polar pvr1 (aib 0.) s4))
   (setq pvr5 (polar pvl5 (aib 0.) (* (abs (- (car bpv) (car pvl5))) 2)))
   (setq pvr7 (polar pvl7 (aib 0.) (* (abs (- (car bpv) (car pvl7))) 2)))
   (setq pvr10 (polar pvl10 (aib 0.) (* (abs (- (car bpv) (car pvl10))) 2)))
   (setq pvr11 (list (+ (car pv1) (/ l1 2)) (cadr pvl1)))
   (setq pvr12 (list (car pvr11) (cadr pv1)))
   (setq betar (+ 270. beta))
   (setq pvr14 (polar bpv (aib betar) (/ d1 2)))
   (setq pvr13 (polar bpv (aib betar) (+ (/ d1 2) s2)))
   (setq pvr15 (polar pvl15 (aib 0.) (* (abs (- (car bpv) (car pvl15))) 2)))
   (setq pvr16 (polar pvl16 (aib 0.) (* (abs (- (car bpv) (car pvl16))) 2)))

;*** Punkte fr Mittellinie
   (setq mpv1 (polar bpv (aib 90.) 4))
   (setq mpv2 (polar pv1 (aib 270.) (mass 100)))
   (setq mpv9 (polar bpv (aib 180.) (+ (/ d1 2) 4)))
   (setq mpv10 (polar bpv (aib 0.) (+ (/ d1 2) 4)))
   (setq mpv11 (polar bpv (aib (- 180. 5.)) (/ d1 2)))
   (setq mpv12 (polar bpv (aib 5.) (/ d1 2)))
   (setq mpl1 (list (- (car pv1) (/ l3 2)) (+ (cadr pvl11) (mass 50))))
   (setq mpl2 (list (car mpl1) (- (cadr pvl12) (mass 50))))
   (setq mpr1 (list (+ (car pv1) (/ l3 2)) (cadr mpl1)))
   (setq mpr2 (list (car mpr1) (cadr mpl2)))

;*** Entscheidung Fest- /Gleitsattel
   (IF (= fest T)
         (progn
            (setq mpv3 (polar pvl9 (+ (aib 90.) alfab) (mass 100)))
            (setq mpv4 (polar pvl9 (+ (aib 90.) alfab) (mass 130)))
            (setq mpv5 (polar mpv3 (+ (aib 180.) alfab) (mass 50)))
            (setq mpv6 (polar mpv3 alfab (mass 50)))
            (setq mpv7 (polar mpv4 (+ (aib 180.) alfab) (mass 50)))
            (setq mpv8 (polar mpv4 alfab (mass 50)))
         )
         (progn
         )
   )

;*** Auswahlstze initialisieren
   (setq stutz (SSADD))
   (setq spieg (SSADD))

;*** Geometrieerzeugung AutoCAD    VORDERANSICHT  Form D
   (command "_layer" "_s" Mittellinie "")
   (command "_line" mpl1 mpl2 "")
   (command "_line" mpr1 mpr2 "")
   (command "_line" mpv9 mpv10 "")
   (command "_arc" pvr14 "_c" bpv mpv12)

;*** Entscheidung Fest- /Gleitsattel
   (IF (= fest T)
         (progn
            (command "_line" mpv5 mpv6 "")
            (SSADD (ENTLAST) spieg)
            (command "_line" mpv7 mpv8 "")
            (SSADD (ENTLAST) spieg)
         )
         (progn
         )
   )
   (command "_layer" "_s" Vollinie05 "")
   (command "_line" pvl11 pvl12 pvr12 pvr11 "s")
   (command "_line" pvl1 pvl2 pvl3 pvl4 "")
   (command "_line" pvl10 pvl9 "")
   (SSADD (ENTLAST) spieg)
   (command "_line" pvl9 pvl8 "")
   (SSADD (ENTLAST) spieg)
   (command "_line" pvl8 pvl7 "")
   (SSADD (ENTLAST) spieg)
   (command "_line" pvl7 pvl10 "")
   (SSADD (ENTLAST) stutz)
   (SSADD (ENTLAST) spieg)
   (command "_line" pvl13 pvl14 "")
   (command "_line" pvr1 pvr2 pvr3 pvr4 "")
   (command "_line" pvr13 pvr14 "")
   (command "_arc" pvl13 "m" bpv pvr13)
   (SSADD (ENTLAST) stutz)
   (command "_arc" pvl14 "_c" bpv pvr14)
   (command "_line" pv5 pv6 "")
   (SSADD (ENTLAST) stutz)
   (command "_zoom" "_e")
   (command "_trim" stutz "" pv5 pv6 "")
   (SSADD (ENTLAST) spieg)
   (command "_pline" pvl16 pvl17 "_a" pvl17a pvl18 "_l" pvl15 "")
   (SSADD (ENTLAST) spieg)
   (command "_mirror" spieg "" mpv1 mpv2 "_n")

;*** Auswahlstze zurcksetzen
   (setq stutz nil)
   (setq spieg nil)

;*** Bemaung VORDERANSICHT Form D, Malinien
   (setq bvl1a (polar pv1 (aib 270.) babst))
   (setq bvl1b (polar bvl1a (aib 270.) 8))
   (setq bvl1c (polar bvl1b (aib 270.) 8))
   (setq bvl1d (polar bvl1c (aib 270.) 8))
   (setq bvl2a (polar pvr13 (aib 0.) babst))
   (setq bvl2b (polar bvl2a (aib 0.) 8))
   (setq bvl2c (polar bvl2b (aib 0.) 8))
   (setq bvl4 (polar pvl9 (+ (aib 90.) alfab) (/ l 2)))
   (setq bvl5a (polar pvr3 (aib 0) (mass 100)))

;*** Punkte fr Mahilfslinien-Unterbrechungen
   (setq bv1a (list (- (car pvr5) 2) (cadr pvr15)))
   (setq bv1b (list (+ (car bv1a) 4) (cadr pvr15)))
   (setq bv2a (list (- (car pvr5) 2) (cadr pvr11)))
   (setq bv2b (list (+ (car bv2a) 4) (cadr pvr11)))
   (setq bv3a (list (- (car pvr5) 2) (cadr pvr12)))
   (setq bv3b (list (+ (car bv3a) 4) (cadr pvr12)))
   (setq bv4z (polar pvl9 (+ (aib 180.) alfab) 50))
   (setq bv4y (list (car pvl5) (cadr bvl1d)))
   (setq bv4x (INTERS pvl5 bv4y pvl9 bv4z nil))
   (setq q10 (distance pvl9 bv4x))
   (setq bv4a (polar pvl9 (+ (aib 180.) alfab) (- q10 2)))
   (setq bv4b (polar pvl9 (+ (aib 180.) alfab) (+ q10 2)))
   (setq alfabem (+ (bia alfab) 90.))
   (setq bv5 (polar bvl4 alfab s4))
   (setq alfa (bia alfab))
   (setq bv6z (polar bvl4 (+ (aib 180.) alfab) 50))
   (setq bv6y (INTERS bvl4 bv6z pvl5 bv4y nil))
   (setq q11 (distance pvl5 bv6y))
   (setq bv6a (polar pvl5 (aib 270.) (- q11 6)))
   (setq bv6b (polar pvl5 (aib 270.) (+ q11 3)))

;*** Punkte fr Radien-Bemassung
   (setq bv7 (polar bpv (aib (- betal 10)) (+ (/ d1 2) s2)))
   (setq bv8 (polar bpv (aib (- betal 10)) (+ (/ d1 2) s2)))
   (setq bv9 (polar bpv (aib (- betal 4)) (+ (/ d1 2) s2)))
   (setq bv10 (polar bpv (aib (- betal 4)) (/ d1 2)))
   (setq bv11 (polar bpv (aib (- betal 10)) (/ d1 3)))
   (setq bv12 (polar bpv (aib (- betal 4)) (/ d1 3)))
   (setq gam (bia (angle bv9 bpv)))

;*** Punkte fr Bogenlngen
   (setq bv13 (polar bpv (aib betal) (- (/ d1 2) (mass 200))))
   (setq bv14 (polar bpv (aib betal) (- (/ d1 2) (mass 200) 3)))
   (setq bv15 (polar bpv (aib betar) (- (/ d1 2) (mass 200))))
   (setq bv17 (polar bpv (aib betar) (- (/ d1 2) (mass 400))))
   (setq bv16 (polar bpv (aib betar) (- (/ d1 2) (mass 400) 3)))
   (setq epslb (angle bpv pvl7))
   (setq epsrb (angle bpv pvr7))
   (setq bv18 (polar bpv epsrb (- (/ d1 2) (mass 400))))
   (setq bv19 (polar bpv (- epsrb (aib 13)) (- (/ d1 2) (mass 400))))
   (setq bv19a (polar bpv (- epsrb (aib 10)) (- (/ d1 2) (mass 400) 4)))
   (setq bv20 (polar bpv (+ epsrb (aib 12)) (- (/ d1 2) (mass 400))))
   (setq bv21 (polar bpv epslb (- (/ d1 2) (mass 200) 3)))
   (setq bv22 (polar bpv epslb (+ (- (/ d1 2) (mass 200)) 3)))
   (setq bv23 (polar bpv epsrb (- (/ d1 2) (mass 200) 3)))
   (setq bv24 (polar bpv epsrb (+ (- (/ d1 2) (mass 200)) 3)))
   (setq bv25 (polar bpv (aib 266) (- (/ d1 2) (mass 200) 2)))
   (setq bv26 (polar bpv (aib 270) (- (/ d1 2) (mass 600))))
   (setq bv27 (list (- (car bv26) 5) (+ (cadr bv26) 3)))
   (setq bv28 (polar bpv (aib 270) (/ d1 2)))

   (setq bv29 (polar bv28 (aib 145) 11))
   (setq bv30 (list (- (car bv29) 4) (+ (cadr bv29) 1)))
   (setq bv31 (polar pvl17a (aib 45) 9))
   (setq bv31a (polar pvl17a (aib 48) 4))
   (setq bv41 (polar bpv epslb (- (/ d1 2) (mass 600))))
   (setq bv42 (polar bpv epsrb (- (/ d1 2) (mass 600))))

;*** Mittellinie-Unterbrechung
   (setq mpv13 (list (car bpv) (+ (cadr bv27) 5)))
   (setq mpv14 (list (car bpv) (- (cadr bv26) 2)))
   (setq mpv15 (list (car bpv) (+ (cadr bv25) 5)))
   (setq mpv16 (list (car bpv) (- (cadr bv28) 2)))

;*** Entscheidung Fest-/Gleitsattel
   (IF (= fest T)
         (progn
            (setq bv32 (polar mpv3 (aib (+ 180 alfa)) babst))
            (setq bv32z (INTERS pvl5 bv4y mpv3 bv32 nil))
            (setq q12 (distance mpv3 bv32z))
            (setq bv32a (polar mpv3 (+ (aib 180.) alfab) (- q12 2)))
            (setq bv32b (polar mpv3 (+ (aib 180.) alfab) (+ q12 2)))
            (setq bv33 (polar mpv4 (aib (+ 180 alfa)) babst))
            (setq bv33z (INTERS pvl5 bv4y mpv4 bv33 nil))
            (setq q13 (distance mpv4 bv33z))
            (setq bv33a (polar mpv4 (+ (aib 180.) alfab) (- q13 2)))
            (setq bv33b (polar mpv4 (+ (aib 180.) alfab) (+ q13 2)))
            (setq bv34 (polar bv32 (+ (aib 180.) alfab) 3))
            (setq bv35 (polar bv33 (+ (aib 180.) alfab) 3))
            (setq bv37 (polar pvl9 (aib (+ 180 alfa)) babst))
            (setq bv38 (polar bv32 (aib 277) 16))
            (setq bvl3b (polar pvl9 (+ (aib 180) alfab) (+ babst 8)))
            (setq bv39 (polar bv37 (+ (aib 270) alfab) 10))
            (setq bv40 (polar bv33 (+ (aib 90) alfab) 10))
            (setq bv36 (list (car bv40) (- (cadr bv40) 5)))

            (command "_layer" "_s" Masslinie "")
            (command "_line" pvl9 bv4a "")
            (command "_line" mpv5 bv32a "")
            (command "_line" bv32b bv34 "")
            (command "_line" mpv7 bv33a "")
            (command "_line" bv33b bv35 "")
            (command "_line" bv39 bv40 "")
            (command "_text" bv36 "3" (+ alfa 90) "30")
            (command "_text" bv38 "3" (+ alfa 90) "100")
            (command "_insert" "*BEMPFEIL" bv33 "1" (+ alfa 90))
            (command "_insert" "*BEMPFEIL" bv37 "1" (+ 270 alfa))
            (command "_insert" "*BEMKREIS" bv32 "1" "0")
            (command "_dim")
            (command "_dimstyle _r" bstaa)
            (command "_rot" alfabem pvl8 bv4b bvl3b "")
            (command "_exit")
         )
         (progn
            (setq bvl3b (polar pvl9 (+ (aib 180) alfab) babst))
            (command "_layer" "_s" Masslinie "")
            (command "_dim")
            (command "_dimstyle _r" bstaa)
            (command "_rot" alfabem pvl8 bv4b bvl3b "")
            (command "_exit")
         )
   )
   (command "_layer" "_s" Mittellinie "")
   (command "_line" mpv1 mpv13 "")
   (command "_line" mpv14 mpv15 "")
   (command "_line" mpv16 mpv2 "")

   (command "_layer" "_s" Masslinie "")
   (command "_arc" bv7 "_c" bpv pvl13)
   (command "_line" pvl14 bv14 "")
   (command "_line" pvr14 bv16 "")
   (command "_line" bpv bv21 "")
   (command "_line" bv22 pvl7 "")
   (command "_line" bpv bv23 "")
   (command "_line" bv24 pvr7 "")
   (command "_arc" bv13 "_c" bpv bv15)
   (command "_arc" bv19 "_c" bpv bv20)
   (command "_text" bv25 "3" "0" (rtos blv))
   (command "_text" bv19a "3" "45" (rtos e2v))
   (command "_insert" "*BEMPFEIL" bv15 "1" "240")
   (command "_insert" "*BEMPFEIL" bv18 "1" "240")
   (command "_insert" "*BEMPFEIL" bv17 "1" "67")
   (command "_insert" "*BEMPFEIL" bv13 "1" "-65")
   (command "_line" bv28 bv29 "")
   (command "_insert" "*BEMPFEIL" bv28 "1" "145")
   (command "_text" bv30 "3" "0" "Entlftungsbohrung %%C6.8")

   (command "_line" pvl17a bv31 "")
   (command "_insert" "*BEMPFEIL" pvl17a "1" "45")
   (command "_text" bv31a "3" "50" "R40")
   (command "_arc" bv41 "_c" bpv bv42)
   (command "_text" bv27 "3" "0" "ca. 120%%D")
   (command "_insert" "*BEMPFEIL" bv41 "1" "-65")
   (command "_insert" "*BEMPFEIL" bv42 "1" "240")

   (command "_dim")
   (command "_dimstyle _r" bstee)
   (command "_rot" alfa bv5 bvl4 bvl4 "")
   (command "_rad" bv8 "" bv11)
   (command "_exit")

   (command "_layer" "_s" Mittellinie "")
   (command "_arc" mpv11 "m" bpv pvl14)

   (command "_layer" "_s" Masslinie "")
   (command "_dim")
   (command "_dimstyle _r" bstee)
   (command "_rad" bv10 "" bv12)
   (command "_rot" gam bv9 bv10 bv10 "")

   (command "_dimstyle _r" bstaa)
   (command "_hor" pvl1 pvr1 bvl1a "")
   (command "_hor" pvl16 pvr16 bvl1b "")
   (command "_hor" pvl10 pvr10 bvl1c "")
   (command "_hor" bv6b pvr5 bvl1d "")
   (command "_ver" bv2b pvr5 bvl2b "")
   (command "_ver" bv3b mpv10 bvl2c "")

   (command "_dimstyle _r" bstea)
   (command "_ver" bv2b bv1b bvl2a "")
   (command "_ver" pvr5 pvr7 bvl2b "ca. 50")
   (command "_ver" pvr4 pvr3 bvl5a "")
   (command "_exit")

   (command "_line" pvr15 bv1a "")
   (command "_line" pvr11 bv2a "")
   (command "_line" pvr12 bv3a "")
   (command "_line" pvl9 bv4a "")
   (command "_line" pvl5 bv6a "")

  
;*** DRAUFSICHT, Basispunkt Draufsicht
   (setq bpd (polar bpv (aib 270.) (* 2.5 h1)))

;*** Punkte linke Seite
   (setq pdl1 (list (car pvl12) (cadr bpd)))
   (setq pdl2 (list (car pdl1) (+ (cadr bpd) b1)))

   (setq pdl3 (list (- (car bpd) (/ l4 2))
                    (+ (cadr bpd) (- (/ b1 2) (/ s3 2)))))
   (setq pdl4 (list (car pdl3)
                    (- (cadr pdl2) (- (/ b1 2) (/ s3 2)))))
   (setq pdl5 (list (+ (car pdl1) (mass 10))
                    (+ (cadr pdl1) (- (/ b1 2) (/ b3 2)))))
   (setq pdl6 (list (+ (car pdl5) s4) (cadr pdl5)))
   (setq pdl7 (list (car pdl6) (+ (cadr pdl5) b3)))
   (setq pdl8 (list (car pdl5) (cadr pdl7)))
   (setq pdl9 (list (- (car bpd) (+ (/ l2 2) s4)) (cadr pdl5)))
   (setq pdl10 (polar pdl9 (aib 0.) s4))
   (setq pdl11 (list (car pdl10) (cadr pdl3)))
   (setq pdl12 (list (car pdl9) (cadr pdl11)))
   (setq pdl13 (list (car pdl9) (cadr pdl4)))
   (setq pdl14 (list (car pdl10) (cadr pdl13)))
   (setq pdl15 (list (car pdl10) (cadr pdl7)))
   (setq pdl16 (list (car pdl9) (cadr pdl7)))
   (setq pdl17 (list (- (car bpd) (/ l3 2)) (+ (cadr bpd) (/ b1 2))))

;*** Punkte rechte Seite
   (setq pdr1 (list (car pvr12) (cadr bpd)))
   (setq pdr2 (list (car pdr1) (+ (cadr bpd) b1)))
   (setq pdr3 (list (+ (car bpd) (/ l4 2)) (cadr pdl3)))
   (setq pdr4 (list (car pdr3) (cadr pdl4)))
   (setq pdr5 (list (- (car pdr1) (mass 10))
                    (+ (cadr pdr1) (- (/ b1 2) (/ b3 2)))))
   (setq pdr6 (list (- (car pdr5) s4) (cadr pdr5)))
   (setq pdr7 (list (car pdr6) (+ (cadr pdr5) b3)))
   (setq pdr8 (list (car pdr5) (cadr pdr7)))
   (setq pdr9 (list (+ (car bpd) (+ (/ l2 2) s4)) (cadr pdr5)))
   (setq pdr10 (polar pdr9 (aib 180.) s4))
   (setq pdr11 (list (car pdr10) (cadr pdr3)))
   (setq pdr12 (list (car pdr9) (cadr pdr11)))
   (setq pdr13 (list (car pdr9) (cadr pdr4)))
   (setq pdr14 (list (car pdr10) (cadr pdr13)))
   (setq pdr15 (list (car pdr10) (cadr pdr7)))
   (setq pdr16 (list (car pdr9) (cadr pdr7)))
   (setq pdr17 (list (+ (car bpd) (/ l3 2)) (+ (cadr bpd) (/ b1 2))))

;*** Entscheidung FEST- / GLEITsattel
   (IF (= fest T)
         (progn
            (setq mpd3 (list (car pdl17) (- (cadr pdl17) (mass 50))))
            (setq mpd4 (list (car pdl17) (+ (cadr pdl17) (mass 50))))
            (setq mpd5 (list (car pdr17) (cadr mpd3)))
            (setq mpd6 (list (car pdr17) (cadr mpd4)))
         )
         (progn
            (setq pdl18 (list (+ (car pdl17) (/ d2 2))
                              (- (cadr pdl17) (/ l5 2))))
            (setq pdl19 (polar pdl18 (aib 90.) l5))
            (setq pdl20 (polar pdl19 (aib 180.) d2))
            (setq pdl21 (list (car pdl20) (cadr pdl18)))
            (setq pdr18 (list (+ (car pdr17) (/ d2 2)) (cadr pdl18)))
            (setq pdr19 (polar pdr18 (aib 90.) l5))
            (setq pdr20 (polar pdr19 (aib 180.) d2))
            (setq pdr21 (list (car pdr20) (cadr pdr18)))
            (setq mpd3 (list (car pdl17) (- (cadr pdl18) (mass 50))))
            (setq mpd4 (list (car pdl17) (+ (cadr pdl19) (mass 50))))
            (setq mpd5 (list (car pdr17) (cadr mpd3)))
            (setq mpd6 (list (car pdr17) (cadr mpd4)))
            (GLEITPLATTE)
         )
   )

;*** Punkte fr Mittellinie
   (setq mpd1 (list (- (car pdl1) (mass 100)) (cadr pdl17)))
   (setq mpd2 (list (+ (car pdr1) (mass 100)) (cadr pdl17)))
   (setq mpd7 (polar bpd (aib 270.) (mass 100)))
   (setq mpd8 (list (car bpd) (+ (cadr pdl2) (mass 100))))

;*** Geometrieerzeugung AutoCAD     DRAUFSICHT
   (command "_layer" "_s" Mittellinie "")
   (command "_line" mpd1 mpd2 "")
   (command "_line" mpd3 mpd4 "")
   (command "_line" mpd5 mpd6 "")
   (command "_line" mpd7 mpd8 "")

   (command "_layer" "_s" Vollinie05 "")
   (command "_line" pdl1 pdr1 pdr2 pdl2 "s")
   (command "_line" pdl3 pdr3 pdr4 pdl4 "s")
   (command "_line" pdl5 pdl6 pdl7 pdl8 "s")
   (command "_line" pdl12 pdl9 pdl10 pdl11 "")
   (command "_line" pdl13 pdl16 pdl15 pdl14 "")
   (command "_line" pdr5 pdr6 pdr7 pdr8 "s")
   (command "_line" pdr12 pdr9 pdr10 pdr11 "")
   (command "_line" pdr13 pdr16 pdr15 pdr14 "")

;*** Entscheidung Fest-/Gleitattel
   (IF (= fest T)
         (progn
            (command "_circle" pdl17 "_d" d2)
            (command "_circle" pdr17 "_d" d2)
         )
         (progn
            (command "_pline" pdl18 pdl19 "_a" pdl20 "_l" pdl21 "_a" pdl18 "_l" "")
            (command "_pline" pdr18 pdr19 "_a" pdr20 "_l" pdr21 "_a" pdr18 "_l" "")
         )
   )

;*** Bemaung DRAUFSICHT
   (setq bdl1a (polar bpd (aib 270) babst))
   (setq bdl1b (polar bdl1a (aib 270) 8))
   (setq bdl2a (list (- (car pdl1) babst) (cadr mpd1)))
   (setq bdl2b (polar bdl2a (aib 180) 8))
   (setq bdl3a (polar pdl2 (aib 90) babst))
   (setq bdl4a (polar pdr2 (aib 0) babst))
   (setq bdl4b (polar bdl4a (aib 0) 8))

;*** Entscheidung FEST- / GLEITsattel
   (IF (= fest T)
         (progn
            (setq bd1 (polar pdr17 (aib 0) (/ d2 2)))
            (setq bd2 (polar pdr17 (aib 180) (/ d2 2)))
            (command "_layer" "_s" Masslinie "")
            (command "_dim")
            (command "_dimstyle _r" bstaa)
            (command "_ver" pdl3 pdl4 bdl2a "")
            (command "_ver" pdl5 pdl8 bdl2b "")
            (command "_hor" bd1 bd2 bdl3a "")
            (command "_ver" pdr1 pdr2 bdl4b "")
            (command "_dimstyle _r" bstea)
            (command "_ver" pdr2 mpd2 bdl4a "")
            (command "_exit")
         )
         (progn
            (setq bdl4c (polar bdl4b (aib 0) 8))
            (setq bd3a (list (+ (car bdl2a) 3) (cadr pdl5)))
            (setq bd3b (list (- (car bdl2a) 3) (cadr pdl5)))
            (setq bd4a (list (- (car bdl4a) 3) (cadr pdl19)))
            (setq bd4b (list (+ (car bdl4a) 3) (cadr pdl19)))
            (setq bd5a (list (car bd4a) (cadr pdl18)))
            (setq bd5b (list (car bd4b) (cadr pdl18)))
            (command "_layer" "_s" Masslinie "")
            (command "_line" pdr19 bd4a "")
            (command "_line" pdr18 bd5a "")
            (command "_line" pdl5 bd3a "")
            (command "_dim")
            (command "_dimstyle _r" bstaa)
            (command "_ver" pdr3 pdr4 bdl4a "")
            (command "_hor" pdr20 pdr19 bdl3a "")
            (command "_ver" bd3b pdl2 bdl2b "")
            (command "_ver" pdl1 pdl21 bdl2a "")
            (command "_ver" pdr1 pdr2 bdl4c "")
            (command "_ver" bd4b bd5b bdl4b "")
            (command "_exit")
         )
   )

   (command "_layer" "_s" Masslinie "")
   (command "_dim")
   (command "_dimstyle _r" bstaa)
   (command "_hor" mpd3 mpd5 bdl1a "")
   (command "_hor" pdl1 pdr1 bdl1b "")
   (command "_hor" pdl15 pdl16 bdl3a "")
   (command "_exit")

;*** SEITENANSICHT
   (setq bps (polar pv1 (aib 0.) (* l1 1.5)))
   (setq ps1 (polar bps (aib 180.) (/ b1 2)))
   (setq ps2 (polar ps1 (aib 90.) s1))
   (setq ps3 (polar ps2 (aib 0.) b1))
   (setq ps4 (polar ps1 (aib 0.) b1))
   (setq ps5 (list (- (car bps) (/ b3 2)) (cadr ps2)))
   (setq ps6 (list (car ps5) (cadr pvl7)))
   (setq ps7 (polar ps6 (aib 0.) b3))
   (setq ps8 (list (car ps7) (cadr ps2)))
   (setq ps9 (list (- (car bps) (/ s3 2)) (cadr ps2)))
   (setq ps10 (list (car ps9) (cadr pv5)))
   (setq ps11 (polar ps10 (aib 0.) s3))
   (setq ps12 (polar ps9 (aib 0.) s3))
   (setq ps13 (list (- (car bps) (/ b2 2)) (- (cadr bpv) (+ (/ d1 2) s2))))
   (setq ps14 (list (car ps5) (cadr ps13)))
   (setq ps15 (list (car ps9) (cadr ps13)))
   (setq ps16 (list (car ps12) (cadr ps13)))
   (setq ps17 (list (car ps8) (cadr ps13)))
   (setq ps18 (polar ps13 (aib 0.) b2))
   (setq ps19 (polar ps13 (aib 90.) s2))
   (setq ps20 (list (car ps9) (cadr ps19)))
   (setq ps21 (list (car ps12) (cadr ps19)))
   (setq ps22 (list (car ps18) (cadr ps19)))
   (setq ps23 (list (car ps13) (- (cadr pvl14) (mass 40))))
   (setq ps24 (list (+ (car ps13) (mass 40)) (cadr pvl14)))
   (setq ps25 (list (- (car ps18) (mass 40)) (cadr pvl14)))
   (setq ps26 (list (car ps18) (cadr ps23)))
   (setq ps27 (list (car ps13) (- (cadr pvl13) (mass 40))))
   (setq ps28 (list (car ps24) (cadr pvl13)))
   (setq ps29 (list (car ps25) (cadr pvl13)))
   (setq ps30 (list (car ps18) (cadr ps27)))

;*** Punkte fr Mittellinie
   (setq mps2 (polar bps (aib 270.) (mass 100)))
   (setq mps1 (list (car bps) (+ (cadr ps23) (mass 100))))

;*** Entscheidung Fest-/Gleitsattel
   (IF (= fest T)
         (progn
            (setq q8 (* (cos alfab) (mass 100)))
            (setq q9 (* (cos alfab) (mass 130)))
            (setq ps31 (list (+ (car ps5) (mass 25)) (+ (cadr ps5) q9)))
            (setq ps32 (list (car ps31) (+ (cadr ps5) q8)))
            (setq mps3 (polar ps31 (aib 90.) (mass 20)))
            (setq mps4 (polar ps32 (aib 270.) (mass 20)))
            (setq mps5 (polar ps31 (aib 180.) (mass 20)))
            (setq mps6 (polar ps31 (aib 0.) (mass 20)))
            (setq mps7 (polar ps32 (aib 180.) (mass 20)))
            (setq mps8 (polar ps32 (aib 0.) (mass 20)))
         )
         (progn
         )
   )

;*** Geometrieerzeugung AutoCAD    SEITENANSICHT
   (command "_layer" "_s" Mittellinie "")
   (command "_line" mps1 mps2 "")

;*** Entscheidung Fest-/Gleitsattel
   (IF (= fest T)
         (progn
            (command "_line" mps3 mps4 "")
            (command "_line" mps5 mps6 "")
            (command "_line" mps7 mps8 "")
            (command "_layer" "_s" Vollinie05 "")
            (command "_circle" ps31 "_d" (mass 11))
            (command "_circle" ps32 "_d" (mass 11))
         )
         (progn
         )
   )

   (command "_layer" "_s" Vollinie05 "")
   (command "_line" ps1 ps2 ps3 ps4 "s")
   (command "_line" ps5 ps6 ps7 ps8 "")
   (command "_pline" ps17 ps18 ps26 "_a" ps25 "_l" ps24 "_a" ps23 "_l" ps13 ps14 "")
   (command "_pline" ps30 "_a" "_r" (mass 40) ps29 "_l" ps28 "_a" ps27 "_l" "")

   (command "_layer" "_s" VerdeckteLinie "")
   (command "_line" ps14 ps15 "")
   (command "_line" ps16 ps17 "")
   (command "_line" ps19 ps20 "")
   (command "_line" ps21 ps22 "")
   (command "_line" ps9 ps10 ps11 ps12 "")

;*** Bemaung SEITENANSICHT
   (setq bsl1a (polar bps (aib 270) babst))
   (setq bsl2a (polar ps2 (aib 180) babst))
   (setq bsl3a (polar ps24 (aib 90) babst))
   (setq bsl3b (polar bsl3a (aib 90) 8))
   (setq bsl4a (polar ps4 (aib 0) babst))

;*** R40-Bemassung
   (setq bs1 (polar (polar ps23 (aib 0) (mass 40)) (aib 135) (mass 40)))
   (setq bs2 (polar bs1 (aib 135) 20))
   (setq bs3 (polar bs2 (aib 0) 1))
   (setq bs4a (polar ps23 (aib 90) 2))
   (setq bs4b (polar bs4a (aib 90) 3))

;*** Entscheidung FEST- / GLEITsattel
   (IF (= fest T)
         (progn
            (setq bsl1b (polar bsl1a (aib 270) 8))
            (setq bsl2b (polar bsl2a (aib 180) 8))
            (setq bs5a (list (car ps1) (+ (cadr bsl1a) 3)))
            (setq bs5b (list (car ps1) (- (cadr bsl1a) 3)))
            (setq bs6a (list (- (car bsl2a) 3) (cadr ps1)))
            (setq bs6b (list (+ (car bsl2a) 3) (cadr ps1)))
            (setq bs7 (polar ps31 (aib 90) (mass 5.5)))
            (setq bs8 (polar ps31 (aib 270) (mass 5.5)))
            (command "_layer" "_s" Masslinie "")
            (command "_line" ps1 bs5a "")
            (command "_line" ps1 bs6a "")
            (command "_dim")
            (command "_dimstyle _r" bstaa)
            (command "_hor" mps4 ps5 bsl1a "")
            (command "_hor" ps4 bs5b bsl1b "")
            (command "_ver" bs7 bs8 bsl2a "")
            (command "_ver" ps19 bs6b bsl2b "")
            (command "_exit")
         )
         (progn
            (command "_layer" "_s" Masslinie "")
            (command "_dim")
            (command "_dimstyle _r" bstaa)
            (command "_hor" ps1 ps4 bsl1a "")
            (command "_ver" ps1 ps19 bsl2a "")
            (command "_exit")
         )
   )

   (command "_layer" "_s" Masslinie "")
   (command "_line" bs1 bs2 "")
   (command "_line" ps23 bs4a "")
   (command "_text" bs3 "3" -45 "R40")
   (command "_insert" "*BEMPFEIL" bs1 "1" 135)
   (command "_dim")
   (command "_dimstyle _r" bstee)
   (command "_hor" ps7 ps26 bsl3a "")

   (command "_dimstyle _r" bstaa)
   (command "_hor" ps6 ps7 bsl3a "")
   (command "_hor" bs4b ps26 bsl3b "")
   (command "_ver" ps4 ps3 bsl4a "")
   (command "_exit")

;*** Variablen fr Festsattel
   (setq fest T)
   (setq ausf "Festsattel!")

  )
;*** REPEAT
)
;*** Ende Unterprogramm Form D ******************************************


;*** Unterprogramm   GLEITPLATTE ***************************************
(defun GLEITPLATTE ()
   (setq bpg1 (polar bpd (aib 270.) (* 1.5 h1)))
   (setq bpg2 (polar bpg1 (aib 270.) h1))
   (setq bpg3 (polar bpg1 (aib 0.) (* 1.5 l1)))

;*** Geometriepunkte Vorderansicht GLEITPLATTE
   (setq pg7 (list (- (car bpg1) (+ (/ l1 2) (mass 15)))
                   (+ (cadr bpg1) (mass 120))))
   (setq pg6 (polar pg7 (aib 90.) (mass 30)))
   (setq pg5 (polar pg6 (aib 180.) (mass 20)))
   (setq pg4 (list (car pg5) (cadr pg7)))
   (setq pg3 (polar pg4 (aib 180.) (mass 10)))
   (setq pg2 (polar pg3 (aib 270.) (mass 20)))
   (setq pg1 (polar pg2 (aib 270.) (mass 100)))
   (setq pg8 (polar pg7 (aib 0.) (+ l1 (mass 15))))
   (setq pg9 (list (car pg8) (cadr pg6)))
   (setq pg10 (polar pg9 (aib 0.) (mass 20)))
   (setq pg11 (list (car pg10) (cadr pg7)))
   (setq pg12 (polar pg11 (aib 0.) (mass 10)))
   (setq pg13 (list (car pg12) (cadr pg2)))
   (setq pg14 (list (car pg12) (cadr pg1)))

;*** Geometriepunkte Draufsicht  GLEITPLATTE
   (setq pg15 (list (car pg1) (cadr bpg2)))
   (setq pg16 (polar pg15 (aib 90.) (- (/ (+ b1 (mass 50)) 2) (mass 10))))
   (setq pg17 (polar pg16 (aib 90.) (mass 20)))
   (setq pg18 (polar pg15 (aib 90.) (+ b1 (mass 50))))
   (setq pg19 (list (car pg12) (cadr pg18)))
   (setq pg20 (list (car pg12) (cadr pg17)))
   (setq pg21 (list (car pg12) (cadr pg16)))
   (setq pg22 (list (car pg12) (cadr pg15)))
   (setq pg23 (list (car pg7) (+ (cadr bpg2) (mass 10))))
   (setq pg24 (list (car pg4) (cadr pg23)))
   (setq pg25 (list (car pg4) (- (cadr pg18) (mass 10))))
   (setq pg26 (list (car pg7) (cadr pg25)))
   (setq pg27 (list (car pg11) (cadr pg23)))
   (setq pg28 (list (car pg8) (cadr pg23)))
   (setq pg29 (list (car pg8) (cadr pg25)))
   (setq pg30 (list (car pg11) (cadr pg25)))

;*** Geometriepunkte Seitenansicht  GLEITPLATTE
   (setq pg31 (polar bpg3 (aib 180.) (mass 10)))
   (setq pg32 (list (car pg31) (cadr pg2)))
   (setq pg33 (list (- (car bpg3) (/ (+ b1 (mass 50)) 2)) (cadr pg2)))
   (setq pg34 (list (car pg33) (cadr pg3)))
   (setq pg35 (polar pg34 (aib 0.) (mass 10)))
   (setq pg36 (list (car pg35) (cadr pg6)))
   (setq pg42 (polar bpg3 (aib 0.) (mass 10)))
   (setq pg41 (list (car pg42) (cadr pg2)))
   (setq pg40 (list (+ (car bpg3) (/ (+ b1 (mass 50)) 2)) (cadr pg2)))
   (setq pg39 (list (car pg40) (cadr pg3)))
   (setq pg38 (polar pg39 (aib 180.) (mass 10)))
   (setq pg37 (list (car pg38) (cadr pg6)))

;*** Punkte fr Mittellinien
   (setq mpg1 (polar bpg1 (aib 270.) (mass 50)))
   (setq mpg2 (list (car bpg1) (+ (cadr pg6) (mass 50))))
   (setq mpg3 (polar bpg2 (aib 270.) (mass 50)))
   (setq mpg4 (list (car bpg2) (+ (cadr pg18) (mass 50))))
   (setq mpg5 (list (- (car pg15) (mass 50))
                    (+ (cadr bpg2) (/ (+ b1 (mass 50)) 2))))
   (setq mpg6 (list (+ (car pg19) (mass 50)) (cadr mpg5)))
   (setq mpg7 (polar bpg3 (aib 270.) (mass 50)))
   (setq mpg8 (list (car bpg3) (cadr mpg2)))

;*** Geometrieerzeugung AutoCAD    GLEITPLATTE
   (command "_layer" "_s" Mittellinie "")
   (command "_line" mpg1 mpg2 "")
   (command "_line" mpg3 mpg4 "")
   (command "_line" mpg5 mpg6 "")
   (command "_line" mpg7 mpg8 "")

   (command "_layer" "_s" VerdeckteLinie "")
   (command "_line" pg17 pg20 "")
   (command "_line" pg16 pg21 "")

   (command "_layer" "_s" Vollinie05 "")
   (command "_line" pg1 pg3 pg12 pg14 "s")
   (command "_line" pg4 pg5 pg6 pg7 "")
   (command "_line" pg8 pg9 pg10 pg11 "")
   (command "_line" pg2 pg13 "")

   (command "_line" pg15 pg18 pg19 pg22 "s")
   (command "_line" pg23 pg24 pg25 pg26 "s")
   (command "_line" pg27 pg28 pg29 pg30 "s")

   (command "_line" pg31 pg32 pg33 pg34 pg35 pg36 pg37 pg38 pg39 pg40 pg41 pg42 "s")
   (command "_line" pg32 pg41 "")
   (command "_line" pg35 pg38 "")

;*** Bemaung GLEITPLATTE, Punkte fr Malinien
   (setq bgl1 (list (car bpg1) (+ (cadr pg6) babst)))
   (setq bgl2 (polar pg1 (aib 180.) babst))
   (setq bgl3 (polar pg14 (aib 0.) babst))
   (setq bgl4 (polar pg16 (aib 180.) babst))
   (setq bgl5 (polar bpg2 (aib 270.) babst))
   (setq bgl6 (polar pg31 (aib 270.) babst))
   (setq bgl7 (list (car mpg4) (+ (cadr pg18) babst)))
   (setq bgl8 (polar pg20 (aib 0) babst))
   (setq bgl9 (polar pg33 (aib 180) babst))
   (setq bgl10 (polar pg36 (aib 90) babst))

   (command "_layer" "_s" Masslinie "")
   (command "_dim")
   (command "_dimstyle _r" bstaa)
   (command "_hor" pg6 pg9 bgl1 "")
   (command "_ver" pg15 pg18 bgl4 "")
   (command "_hor" pg15 pg22 bgl5 "")
   (command "_hor" pg31 pg42 bgl6 "")
   (command "_ver" pg2 pg3 bgl2 "")
   (command "_hor" pg18 pg25 bgl7 "")
   (command "_hor" pg19 pg30 bgl7 "")
   (command "_ver" pg31 pg33 bgl9 "")
   (command "_hor" pg36 pg37 bgl10 "")

   (command "_dimstyle _r" bstea)
   (command "_hor" pg6 pg5 bgl1 "")
   (command "_hor" pg9 pg10 bgl1 "")
   (command "_exit")
)
;*** Ende Unterprogramm GLEITPLATTE *************************************
