;----------------------------------------------------------------------
; Programmname : DI28080E.LSP - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            :  Tragsttel "Form E" fr liegende Apparate
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL:    http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error* )
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 1)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   P R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   (c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n-----------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(DEFUN C:DI28080E ()
  (Vorgaben)
  (prompt "\n---------------------------------------------------")
  (prompt "\n------  Tragsttel  DIN 28080 Form E -----")
  (prompt "\n---------------------------------------------------")
  (prompt "\n")
  (prompt "\n   >>>>>>>    Angaben nur in mm mglich !!!!!    <<<<<<<<<     ")
  (TSFORME)
  (Endesequenz)
)

;****************************************************
;*** Unterprogramm fr Form E
(defun TSFORME ()
   (prompt "\n")
   (prompt "\n")
   (setq d1wahl (getreal "\n      Bitte Auendurchmesser eingeben: "))
   (setq tab (open "C:/R13/lispdemo/DI28080E.TAB" "r"))
   (setq gef (read-line tab))
   (WHILE (/= gef "**** Anfang Form E ****")
             (setq gef (read-line tab))
   )
   (read-line tab)
   (setq suche T
         eintr nil)

   (WHILE suche
      (setq gef (read-line tab))
      (IF (= gef "**** Ende Form E ****")
        (progn
          (setq suche nil
                eintr T)

        )
        (progn
          (setq zeile gef)
          (setq d1gef (atof (substr zeile 1 4)))
          (IF (>= d1gef d1wahl)
               (setq suche nil)
          )
        )
      )
   )
   (close tab)
        (setq d1s (substr zeile 1 4)
              h1s (substr zeile 6 4)
              l1s (substr zeile 11 4)
              b1s (substr zeile 16 3)
              s1s (substr zeile 20 2)
              b2s (substr zeile 23 3)
              s2s (substr zeile 27 2)
              e1s (substr zeile 30 2)
              e2s (substr zeile 33 2)
              bls (substr zeile 36 4)
              b3s (substr zeile 41 3)
              b4s (substr zeile 45 3)
              l2s (substr zeile 49 3)
              s3s (substr zeile 53 2)
              h2s (substr zeile 56 3)
              dGs (substr zeile 60 2)
              l3s (substr zeile 63 4)
              as  (substr zeile 68 1)
              sms (substr zeile 70 3)
        )

   (IF eintr
     (progn
        (prompt (strcat "\n                 Durchmesser " (rtos d1wahl 2 0) " mm nicht vorhanden!"))
        (prompt (strcat "\n     Vorgabewerte beziehen sich auf grten vorhandenen Wert = " (substr zeile 1 4) " mm"))
     )
   )
   (IF (> d1gef d1wahl)
     (progn
        (prompt (strcat "\n                 Durchmesser " (rtos d1wahl 2 0) " mm nicht vorhanden!"))
        (prompt (strcat "\n     Vorgabewerte beziehen sich auf vorhandenen Wert = " (substr zeile 1 4) " mm"))
     )
   )

   (setq fest nil)
   (setq ausf "Gleitsattel!")

 (REPEAT 2
   (COMMAND "_vslide" "DI28080E")
   (prompt (strcat "\n\n  Mae gelten nur fr Ausfhrung als " ausf))
 (IF (= fest T)
;***Vorgabewerte Festsattel
  (progn
   (setq d1vf (getreal (strcat "\n\n       Auendurchmesser  d1 <" (rtos d1v) "> : ")))
   (setq h1vf (getreal (strcat "                   Hhe  h1 <" (rtos h1v) "> : ")))
   (setq l1vf (getreal (strcat "            Grundplatte  l1 <" (rtos l1v) "> : ")))
   (setq b1vf (getreal (strcat "                         b1  <" (rtos b1v) "> : ")))
   (setq s1vf (getreal (strcat "                         s1   <" (rtos s1v) "> : ")))
   (setq b2vf (getreal (strcat "      Verstrkungsblech  b2  <" (rtos b2v) "> : ")))
   (setq s2vf (getreal (strcat "                         s2   <" (rtos s2v) "> : ")))
   (setq e1vf (getreal (strcat "                         e1   <" (rtos e1v) "> : ")))
   (setq e2vf (getreal (strcat "                         e2   <" (rtos e2v) "> : ")))
   (setq blvf (getreal (strcat "                 Bogenlnge <" (rtos blv) "> : ")))
   (setq b3vf (getreal (strcat "        Steg und Rippen  b3  <" (rtos b3v) "> : ")))
   (setq b4vf (getreal (strcat "                         b4  <" (rtos b4v) "> : ")))
   (setq l2vf (getreal (strcat "                         l2  <" (rtos l2v) "> : ")))
   (setq s3vf (getreal (strcat "                         s3   <" (rtos s3v) "> : ")))
   (setq h2vf (getreal (strcat "                   Hhe  h2  <" (rtos h2v) "> : ")))
   (setq dGvf (getreal (strcat "   Befestigungsschrauben     <M" (rtos dGv) "> : ")))
   (setq l3vf (getreal (strcat "                         l3 <" (rtos l3v) "> : ")))
   (setq avf  (getreal (strcat "                         a    <" (rtos av) ">  : ")))

;***Vorgabewerte abfragen
   (IF (= d1vf nil)  (setq d1vf d1v))
   (IF (= h1vf nil)  (setq h1vf h1v))
   (IF (= l1vf nil)  (setq l1vf l1v))
   (IF (= b1vf nil)  (setq b1vf b1v))
   (IF (= s1vf nil)  (setq s1vf s1v))
   (IF (= b2vf nil)  (setq b2vf b2v))
   (IF (= s2vf nil)  (setq s2vf s2v))
   (IF (= e1vf nil)  (setq e1vf e1v))
   (IF (= e2vf nil)  (setq e2vf e2v))
   (IF (= blvf nil)  (setq blvf blv))
   (IF (= b3vf nil)  (setq b3vf b3v))
   (IF (= b4vf nil)  (setq b4vf b4v))
   (IF (= l2vf nil)  (setq l2vf l2v))
   (IF (= s3vf nil)  (setq s3vf s3v))
   (IF (= h2vf nil)  (setq h2vf h2v))
   (IF (= dGvf nil)  (setq dGvf dGv))
   (IF (= l3vf nil)  (setq l3vf l3v))
   (IF (= avf nil)  (setq avf av))

;***Masstabs - Umrechnung
   (setq d1 (mass d1vf) h1 (mass h1vf) l1 (mass l1vf) b1 (mass b1vf))
   (setq s1 (mass s1vf) b2 (mass b2vf) s2 (mass s2vf) e2 (mass e2vf))
   (setq bl (mass blvf) b3 (mass b3vf) b4 (mass b4vf) l2 (mass l2vf))
   (setq e1 (mass e1vf) s3 (mass s3vf) h2 (mass h2vf) l3 (mass l3vf))
   (setq a (mass avf))
   (setq me (/ 1 m) ms (rtos m))

;***Basispunkt verschieben
   (setq bpv (polar bpv (aib 0.) (* l1 4)))

  ) ;**** Ende Vorgabewerte Festsattel

    ;***Gleitsattel, dann
  (progn
   (setq d1v (getreal (strcat "\n\n       Auendurchmesser  d1 <" d1s "> : ")))
   (setq h1v (getreal (strcat "                   Hhe  h1 <" h1s "> : ")))
   (setq l1v (getreal (strcat "            Grundplatte  l1 <" l1s "> : ")))
   (setq b1v (getreal (strcat "                         b1  <" b1s "> : ")))
   (setq s1v (getreal (strcat "                         s1   <" s1s "> : ")))
   (setq b2v (getreal (strcat "      Verstrkungsblech  b2  <" b2s "> : ")))
   (setq s2v (getreal (strcat "                         s2   <" s2s "> : ")))
   (setq e1v (getreal (strcat "                         e1   <" e1s "> : ")))
   (setq e2v (getreal (strcat "                         e2   <" e2s "> : ")))
   (setq blv (getreal (strcat "                 Bogenlnge <" bls "> : ")))
   (setq b3v (getreal (strcat "        Steg und Rippen  b3  <" b3s "> : ")))
   (setq b4v (getreal (strcat "                         b4  <" b4s "> : ")))
   (setq l2v (getreal (strcat "                         l2  <" l2s "> : ")))
   (setq s3v (getreal (strcat "                         s3   <" s3s "> : ")))
   (setq h2v (getreal (strcat "                   Hhe  h2  <" h2s "> : ")))
   (setq dGv (getreal (strcat "   Befestigungsschrauben     <M" dGs "> : ")))
   (setq l3v (getreal (strcat "                         l3 <" l3s "> : ")))
   (setq av  (getreal (strcat "                         a    <" as ">  : ")))
   (setq sm  (getreal (strcat "      Masse je Sattel in kg  <" sms "> : ")))
   (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
   (setq mTaste (getkword        "\n        Mastabsfaktor.......... 1 : "))
   (setq m (atof mTaste))
   (IF (= m nil) (setq m 1))
   (command "_redraw")
   (graphscr)
   (setq bpv  (getpoint"         Basispunkt (= Behltermitte) ............... "))
   (prompt "\n\n     Bitte warten ...")
   (textscr)

;***Vorgabewerte abfragen
   (IF (= "F" (STRCASE ausf))
          (setq fest T)
          (setq fest nil)
   )
   (IF (= d1v nil)  (setq d1v (atoi d1s)))
   (IF (= h1v nil)  (setq h1v (atoi h1s)))
   (IF (= l1v nil)  (setq l1v (atoi l1s)))
   (IF (= b1v nil)  (setq b1v (atoi b1s)))
   (IF (= s1v nil)  (setq s1v (atoi s1s)))
   (IF (= b2v nil)  (setq b2v (atoi b2s)))
   (IF (= s2v nil)  (setq s2v (atoi s2s)))
   (IF (= e1v nil)  (setq e1v (atoi e1s)))
   (IF (= e2v nil)  (setq e2v (atoi e2s)))
   (IF (= blv nil)  (setq blv (atoi bls)))
   (IF (= b3v nil)  (setq b3v (atoi b3s)))
   (IF (= b4v nil)  (setq b4v (atoi b4s)))
   (IF (= l2v nil)  (setq l2v (atoi l2s)))
   (IF (= s3v nil)  (setq s3v (atoi s3s)))
   (IF (= h2v nil)  (setq h2v (atoi h2s)))
   (IF (= dGv nil)  (setq dGv (atoi dGs)))
   (IF (= l3v nil)  (setq l3v (atoi l3s)))
   (IF (= av nil)  (setq av (atoi as)))

;***Masstabs - Umrechnung
   (setq d1 (mass d1v) h1 (mass h1v) l1 (mass l1v) b1 (mass b1v))
   (setq s1 (mass s1v) b2 (mass b2v) s2 (mass s2v) e2 (mass e2v))
   (setq bl (mass blv) b3 (mass b3v) b4 (mass b4v) l2 (mass l2v))
   (setq e1 (mass e1v) s3 (mass s3v) h2 (mass h2v) l3 (mass l3v))
   (setq a (mass av))
   (setq me (/ 1 m) ms (rtos m 2 0))

;*****Variablen fr HOLEN des Bemassungsstils
   (setq bstaa (strcat "F" ms "AA"))
   (setq bstea (strcat "F" ms "AA"))
   (setq bstee (strcat "F" ms "AA"))

;***Abstand 1. Malinie von K"perkontur
   (setq babst (mass 400))

  ) ;**** Ende Vorgabewerte Gleitsattel
  ) ;**** Ende IF

;***************************************************
;*** VORDERANSICHT  

;*** Hilfspunkt pv1
   (setq pv1 (polar bpv (aib 270.) h1))

;*** Punkte linke Seite
   (setq pvl1 (list (- (car bpv) l2) (+ (cadr pv1) s1)))
   (setq q1 (sqrt (- (* (+ (/ d1 2) s2) (+ (/ d1 2) s2)) (* l2 l2))))
   (setq pvl2 (list (- (car bpv) l2) (- (cadr bpv) q1)))
   (setq pvl3 (polar pvl2 (aib 180.) s3))
   (setq pvl4 (polar pvl1 (aib 180.) s3))
   (setq beta (/ (* bl 180) (* pi d1)))
   (setq betal (- 270. beta))
   (setq pvl14 (polar bpv (aib betal) (/ d1 2)))
   (setq pvl13 (polar bpv (aib betal) (+ (/ d1 2) s2)))
   (setq pvl11 (list (- (car pv1) (/ l1 2)) (cadr pvl1)))
   (setq pvl12 (list (car pvl11) (cadr pv1)))
   (setq pvl9 (polar pvl11 (aib 0.) (mass 20)))
   (setq q3 (sqrt (- (* (+ (/ d1 2) s2) (+ (/ d1 2) s2)) (* h2 h2))))
   (setq pvl7 (list (- (car bpv) q3) (- (cadr bpv) h2)))
   (setq alfa1b (angle pvl9 pvl7))
   (setq l (distance pvl9 pvl7))
   (setq q2 (/ s3 l))
   (setq alfa2b (asin q2))
   (setq alfab (- (+ alfa1b alfa2b) (aib 90.)))
   (setq pvl10 (polar pvl9 alfab s3))
   (setq pvl8 (polar pvl7 (+ (aib 180.) alfab) s3))
   (setq pv5 (list (- (car pvl13) 50) (- (cadr pvl7) (mass 50))))
   (setq pv6 (list (car bpv) (cadr pv5)))
   (setq pvl15 (polar pvl11 (aib 0.) (mass 10)))
   (setq pvl17 (INTERS pvl8 pvl9 pv5 pv6 nil))
   (setq pvl16a (polar pvl17 (aib 225.) 10))
   (setq pvl16b (polar pvl15 (+ (aib 90.) alfab) 10))
   (setq pvl16 (INTERS pvl17 pvl16a pvl15 pvl16b nil))

;*** Punkte rechte Seite
   (setq pvr1 (list (+ (car bpv) l2) (+ (cadr pv1) s1)))
   (setq pvr2 (list (+ (car bpv) l2) (- (cadr bpv) q1)))
   (setq pvr3 (polar pvr2 (aib 0.) s3))
   (setq pvr4 (polar pvr1 (aib 0.) s3))
   (setq pvl5 (INTERS pv5 pv6 pvl7 pvl10 nil))
   (setq pvr5 (polar pvl5 (aib 0) (* (- (car bpv) (car pvl5)) 2)))
   (setq pvr7 (polar pvl7 (aib 0) (* (- (car bpv) (car pvl7)) 2)))
   (setq pvr10 (polar pvl10 (aib 0) (* (- (car bpv) (car pvl10)) 2)))
   (setq pvr11 (list (+ (car pv1) (/ l1 2)) (cadr pvl1)))
   (setq pvr12 (list (car pvr11) (cadr pv1)))
   (setq betar (+ 270. beta))
   (setq pvr14 (polar bpv (aib betar) (/ d1 2)))
   (setq pvr13 (polar bpv (aib betar) (+ (/ d1 2) s2)))
   (setq pvr16 (polar pvl16 (aib 0) (* (- (car bpv) (car pvl16)) 2)))
   (setq pvr17 (polar pvl17 (aib 0) (* (- (car bpv) (car pvl17)) 2)))

;***Punkte fr Mittellinie
   (setq mpv1 (polar bpv (aib 90.) 4))
   (setq mpv2 (polar pv1 (aib 270.) (mass 100)))
   (setq mpv9 (polar bpv (aib 180.) (+ (/ d1 2) 4)))
   (setq mpv10 (polar bpv (aib 0.) (+ (/ d1 2) 4)))
   (setq mpv11 (polar bpv (aib (- 180. 5.)) (/ d1 2)))
   (setq mpv12 (polar bpv (aib 5.) (/ d1 2)))
   (setq mpl1 (list (- (car pv1) (/ l3 2)) (+ (cadr pvl11) (mass 50))))
   (setq mpl2 (list (car mpl1) (- (cadr pvl12) (mass 50))))
   (setq mpr1 (list (+ (car pv1) (/ l3 2)) (cadr mpl1)))
   (setq mpr2 (list (car mpr1) (cadr mpl2)))

;***Entscheidung FEST- / GLEITsattel
   (IF (= fest T)
         (progn
           (setq mpv3 (polar pvl9 (+ (aib 90.) alfab) (mass 100)))
           (setq mpv4 (polar pvl9 (+ (aib 90.) alfab) (mass 130)))
           (setq mpv5 (polar mpv3 (+ (aib 180.) alfab) (mass 50)))
           (setq mpv6 (polar mpv3 alfab (mass 50)))
           (setq mpv7 (polar mpv4 (+ (aib 180.) alfab) (mass 50)))
           (setq mpv8 (polar mpv4 alfab (mass 50)))
         )
         (progn
         )
   )

;***Auswahlstze initialisieren
   (setq stutz (SSADD))
   (setq spieg (SSADD))

;*********************************************************************
;***********Geometrieerzeugung AutoCAD    VORDERansicht  
   (command "_layer" "_S" Mittellinie "")
   (command "_line" mpl1 mpl2 "")
   (command "_line" mpr1 mpr2 "")
   (command "_line" mpv9 mpv10 "")
   (command "_arc" pvr14 "_c" bpv mpv12)

;***Entscheidung FEST- / GLEITsattel
   (IF (= fest T)
         (progn
            (command "_line" mpv5 mpv6 "")
            (SSADD (ENTLAST) spieg)
            (command "_line" mpv7 mpv8 "")
            (SSADD (ENTLAST) spieg)
         )
   )

   (command "_layer" "_S" Vollinie05 "")
   (command "_line" pvl11 pvl12 pvr12 pvr11 "_c")
   (command "_line" pvl1 pvl2 pvl3 pvl4 "")
   (command "_line" pvl10 pvl9 "")
   (SSADD (ENTLAST) spieg)
   (command "_line" pvl9 pvl8 "")
   (SSADD (ENTLAST) spieg)
   (command "_line" pvl8 pvl7 "")
   (SSADD (ENTLAST) spieg)
   (command "_line" pvl7 pvl10 "")
   (SSADD (ENTLAST) stutz)
   (SSADD (ENTLAST) spieg)
   (command "_line" pvl17 pvl16 "")
   (SSADD (ENTLAST) spieg)
   (command "_line" pvl16 pvl15 "")
   (SSADD (ENTLAST) spieg)
   (command "_line" pvl13 pvl14 "")
   (command "_line" pvr1 pvr2 pvr3 pvr4 "")
   (command "_line" pvr13 pvr14 "")
   (command "_arc" pvl13 "_c" bpv pvr13)
   (SSADD (ENTLAST) stutz)
   (command "_arc" pvl14 "_c" bpv pvr14)
   (command "_line" pv5 pv6 "")
   (SSADD (ENTLAST) stutz)
   (command "_zoom" "_e")
   (command "_trim" stutz "" pv5 pv6 "")
   (SSADD (ENTLAST) spieg)
   (command "_mirror" spieg "" mpv1 mpv2 "N")

;***Auswahlstze zurcksetzen
   (setq stutz nil)
   (setq spieg nil)

;***********************************************************
;*************Bemaung VORDERANSICHT 
;***Malinien
   (setq bvl1a (polar pv1 (aib 270.) babst))
   (setq bvl1b (polar bvl1a (aib 270.) 8))
   (setq bvl1c (polar bvl1b (aib 270.) 8))
   (setq bvl1d (polar bvl1c (aib 270.) 8))
   (setq bvl2a (polar pvr13 (aib 0.) babst))
   (setq bvl2b (polar bvl2a (aib 0.) 8))
   (setq bvl2c (polar bvl2b (aib 0.) 8))
   (setq bvl4a (polar pvl9 (+ (aib 90.) alfab) (/ l 2)))
   (setq bvl5a (polar pvr3 (aib 0) (mass 100)))

;***Punkte fr Mahilfslinien-Unterbrechungen
   (setq pvl5 (INTERS pv5 pv6 pvl7 pvl10 nil))
   (setq bv4z (polar pvl9 (+ (aib 180.) alfab) 50))
   (setq bv4y (list (car pvl16) (cadr bvl1d)))
   (setq bv4x (INTERS pvl16 bv4y pvl9 bv4z nil))
   (setq q10 (distance pvl9 bv4x))
   (setq bv4a (polar pvl9 (+ (aib 180.) alfab) (- q10 2)))
   (setq bv4b (polar pvl9 (+ (aib 180.) alfab) (+ q10 2)))
   (setq alfabem (+ (bia alfab) 90.))
   (setq bv5 (polar bvl4a alfab s3))
   (setq alfa (bia alfab))

;***Punkte fr Radien-Bemassung
   (setq bv7 (polar bpv (aib (- betal 20)) (+ (/ d1 2) s2)))
   (setq bv8 (polar bpv (aib (- betal 15)) (+ (/ d1 2) s2)))
   (setq bv9 (polar bpv (aib (- betal 4)) (+ (/ d1 2) s2)))
   (setq bv10 (polar bpv (aib (- betal 4)) (/ d1 2)))
   (setq bv11 (polar bpv (aib (- betal 10)) (/ d1 3)))
   (setq bv12 (polar bpv (aib (- betal 4)) (/ d1 3)))
   (setq gam (bia (angle bv9 bpv)))

;***Punkte fr Bogenlngen
   (setq bv13 (polar bpv (aib betal) (- (/ d1 2) (mass 200))))
   (setq bv14 (polar bpv (aib betal) (- (/ d1 2) (mass 200) 3)))
   (setq bv15 (polar bpv (aib betar) (- (/ d1 2) (mass 200))))
   (setq bv17 (polar bpv (aib betar) (- (/ d1 2) (mass 400))))
   (setq bv16 (polar bpv (aib betar) (- (/ d1 2) (mass 400) 3)))
   (setq epslb (angle bpv pvl7))
   (setq epsrb (angle bpv pvr7))
   (setq bv18 (polar bpv epsrb (- (/ d1 2) (mass 400))))
   (setq bv19 (polar bpv (- epsrb (aib 13)) (- (/ d1 2) (mass 400))))
   (setq bv19a (polar bpv (- epsrb (aib 10)) (- (/ d1 2) (mass 400) 4)))
   (setq bv20 (polar bpv (+ epsrb (aib 12)) (- (/ d1 2) (mass 400))))
   (setq bv21 (polar bpv epslb (- (/ d1 2) (mass 200) 3)))
   (setq bv22 (polar bpv epslb (+ (- (/ d1 2) (mass 200)) 3)))
   (setq bv23 (polar bpv epsrb (- (/ d1 2) (mass 200) 3)))
   (setq bv24 (polar bpv epsrb (+ (- (/ d1 2) (mass 200)) 3)))
   (setq bv25 (polar bpv (aib 266) (- (/ d1 2) (mass 200) 2)))
   (setq bv26 (polar bpv (aib 270) (- (/ d1 2) (mass 600))))
   (setq bv27 (list (- (car bv26) 5) (+ (cadr bv26) 3)))
   (setq bv28 (polar bpv (aib 270) (/ d1 2)))
   (setq bv29 (polar bv28 (aib 145) 11))
   (setq bv30 (list (- (car bv29) 4) (+ (cadr bv29) 1)))
   (setq bv41 (polar bpv epslb (- (/ d1 2) (mass 600))))
   (setq bv42 (polar bpv epsrb (- (/ d1 2) (mass 600))))
   (setq bv43 (INTERS pvl17 pvr17 pvl15 pvl16b nil))
   (setq bv44 (polar bv43 (aib 0) (* (- (car bpv) (car bv43)) 2)))
   (setq bv6z (polar bvl4a (+ (aib 180.) alfab) 50))
   (setq bv6y (INTERS bvl4a bv6z bv43 bv4y nil))
   (setq q11 (distance bv43 bv6y))
   (setq bv6a (polar bv43 (aib 270.) (- q11 6)))
   (setq bv6b (polar bv43 (aib 270.) (+ q11 3)))
   (setq bv2a (list (- (car bv44) 2) (cadr pvr11)))
   (setq bv2b (list (+ (car bv2a) 4) (cadr pvr11)))
   (setq bv3a (list (- (car bv44) 2) (cadr pvr12)))
   (setq bv3b (list (+ (car bv3a) 4) (cadr pvr12)))
   (setq bv45 (polar pvr17 (aib 0) (mass 200)))
   (setq bv46 (polar bv45 (aib 180) 3))
   (setq bv47 (polar pvr17 (aib 315) (mass 200)))
   (setq bv48 (polar bv47 (aib 135) 3))
   (setq bv49 (polar pvr17 (aib 330) (- (mass 200) 4)))

;***Mittellinie-Unterbrechung
   (setq mpv13 (list (car bpv) (+ (cadr bv27) 5)))
   (setq mpv14 (list (car bpv) (- (cadr bv26) 2)))
   (setq mpv15 (list (car bpv) (+ (cadr bv25) 5)))
   (setq mpv16 (list (car bpv) (- (cadr bv28) 2)))

;***Entscheidung FEST- / GLEITsattel
   (IF (= fest T)
         (progn
           (setq bv32 (polar mpv3 (aib (+ 180 alfa)) babst))
           (setq bv32z (INTERS pvl5 bv4y mpv3 bv32 nil))
           (setq q12 (distance mpv3 bv32z))
           (setq bv32a (polar mpv3 (+ (aib 180.) alfab) (- q12 2)))
           (setq bv32b (polar mpv3 (+ (aib 180.) alfab) (+ q12 2)))
           (setq bv33 (polar mpv4 (aib (+ 180 alfa)) babst))
           (setq bv33z (INTERS pvl5 bv4y mpv4 bv33 nil))
           (setq q13 (distance mpv4 bv33z))
           (setq bv33a (polar mpv4 (+ (aib 180.) alfab) (- q13 2)))
           (setq bv33b (polar mpv4 (+ (aib 180.) alfab) (+ q13 2)))
           (setq bv34 (polar bv32 (+ (aib 180.) alfab) 3))
           (setq bv35 (polar bv33 (+ (aib 180.) alfab) 3))
           (setq bv37 (polar pvl9 (aib (+ 180 alfa)) babst))
           (setq bv38 (polar bv32 (aib 277) 16))
           (setq bvl3b (polar pvl9 (+ (aib 180) alfab) (+ babst 8)))
           (setq bv39 (polar bv37 (+ (aib 270) alfab) 10))
           (setq bv40 (polar bv33 (+ (aib 90) alfab) 10))
           (setq bv36 (list (car bv40) (- (cadr bv40) 5)))

           (command "_layer" "_S" Masslinie "")
           (command "_line" mpv5 bv32a "")
           (command "_line" bv32b bv34 "")
           (command "_line" mpv7 bv33a "")
           (command "_line" bv33b bv35 "")
           (command "_line" bv39 bv40 "")
           (command "_text" bv36 "3" (+ alfa 90) "30")
           (command "_text" bv38 "3" (+ alfa 90) "100")
           (command "_insert" "*BEMPFEIL" bv33 "1" (+ alfa 90))
           (command "_insert" "*BEMPFEIL" bv37 "1" (+ 270 alfa))
           (command "_insert" "*BEMKREIS" bv32 "1" "0")
           (command "_dim")
           (command "_dimstyle _r" bstaa)
           (command "_rot" alfabem pvl8 bv4b bvl3b "")
           (command "_exit")
         )
         (progn
           (setq bvl3b (polar pvl9 (+ (aib 180) alfab) babst))
           (command "_layer" "_S" Masslinie "")
           (command "_dim")
           (command "_dimstyle _r" bstaa)
           (command "_rot" alfabem pvl8 bv4b bvl3b "")
           (command "_exit")
         )
   )

   (command "_layer" "_S" Mittellinie "")
   (command "_line" mpv1 mpv13 "")
   (command "_line" mpv14 mpv15 "")
   (command "_line" mpv16 mpv2 "")

   (command "_layer" "_S" Masslinie "")
   (command "_line" pvl14 bv14 "")
   (command "_line" pvr14 bv16 "")
   (command "_line" bpv bv21 "")
   (command "_line" bv22 pvl7 "")
   (command "_line" bpv bv23 "")
   (command "_line" bv24 pvr7 "")
   (command "_line" pvl9 bv4a "")
   (command "_line" bv43 bv6a "")
   (command "_line" pvr11 bv2a "")
   (command "_line" pvr12 bv3a "")
   (command "_line" pvr16 bv47 "")
   (command "_arc" bv48 "_c" pvr17 bv46)
   (command "_text" bv49 "3" "65" "45")
   (command "_insert" "*BEMPFEIL" bv46 "1" "264")
   (command "_insert" "*BEMPFEIL" bv48 "1" "52")
   (command "_arc" bv13 "_c" bpv bv15)
   (command "_arc" bv19 "_c" bpv bv20)
   (command "_text" bv25 "3" "0" (rtos blv))
   (command "_text" bv19a "3" "45" (rtos e2v))
   (command "_insert" "*BEMPFEIL" bv15 "1" "240")
   (command "_insert" "*BEMPFEIL" bv18 "1" "240")
   (command "_insert" "*BEMPFEIL" bv17 "1" "67")
   (command "_insert" "*BEMPFEIL" bv13 "1" "-65")
   (command "_line" bv28 bv29 "")
   (command "_insert" "*BEMPFEIL" bv28 "1" "145")
   (command "_text" bv30 "3" "0" "Entlftungsbohrung %%C6.8")
   (command "_arc" bv41 "_c" bpv bv42)
   (command "_text" bv27 "3" "0" "ca. 120%%D")
   (command "_insert" "*BEMPFEIL" bv41 "1" "-65")
   (command "_insert" "*BEMPFEIL" bv42 "1" "240")
   (command "_arc" bv7 "_c" bpv pvl13)
   (command "_dim")
   (command "_dimstyle _r" bstee)
   (command "_rot" alfa bv5 bvl4a bvl4a "")
   (command "_rad" bv8 "" bv11)
   (command "_exit")

   (command "_layer" "_S" Mittellinie "")
   (command "_arc" mpv11 "_c" bpv pvl14)

   (command "_layer" "_S" Masslinie "")
   (command "_dim")
   (command "_dimstyle _r" bstee)
   (command "_rad" bv10 "" bv12)
   (command "_rot" gam bv9 bv10 bv10 "")

   (command "_dimstyle _r" bstaa)
   (command "_hor" pvl1 pvr1 bvl1a "")
   (command "_hor" pvl10 pvr10 bvl1b "")
   (command "_ver" bv2b pvr17 bvl2b "")
   (command "_ver" bv3b mpv10 bvl2c "")
   (command "_hor" bv6b bv44 bvl1c "")

   (command "_dimstyle _r" bstea)
   (command "_hor" pvr1 pvr4 bvl1a "")
   (command "_hor" pvl1 pvl4 bvl1a "")
   (command "_ver" pvr4 pvr3 bvl5a "")
   (command "_exit")

;*** DRAUFSICHT, Punkte linke Seite
   (setq bpd (polar bpv (aib 270.) (* 2.5 h1)))

   (setq pdl1 (polar bpd (aib 180.) (/ l1 2)))
   (setq pdl2 (list (car pdl1) (+ (cadr bpd) b1)))
   (setq pdl3 (list (+ (car pdl1) (mass 10))
                    (- (cadr pdl2) (+ (mass 10) s3))))
   (setq pdl4 (list (car pdl3) (+ (cadr pdl3) s3)))
   (setq pdl5 (list (+ (car pdl3) (mass 10)) (cadr pdl3)))
   (setq pdl6 (list (car pdl5) (- (cadr pdl5) b3)))
   (setq pdl7 (list (+ (car pdl6) s3) (cadr pdl6)))
   (setq pdl8 (list (car pdl7) (cadr pdl5)))
   (setq pdl9 (list (+ (car pdl8) l2) (cadr pdl3)))
   (setq pdl10 (list (car pdl9) (cadr pdl6)))
   (setq pdl11 (list (+ (car pdl10) s3) (cadr pdl6)))
   (setq pdl12 (list (car pdl11) (cadr pdl3)))
   (setq pdl13 (list (- (car bpd) (/ l3 2)) (- (cadr pdl2) (/ b1 2))))

;***Punkte rechte Seite
   (setq pdr1 (polar bpd (aib 0.) (/ l1 2)))
   (setq pdr2 (list (car pdr1) (cadr pdl2)))
   (setq pdr3 (list (- (car pdr1) (mass 10)) (cadr pdl3)))
   (setq pdr4 (list (car pdr3) (cadr pdl4)))
   (setq pdr5 (list (- (car pdr3) (mass 10)) (cadr pdl3)))
   (setq pdr6 (list (car pdr5) (cadr pdl6)))
   (setq pdr7 (list (- (car pdr6) s3) (cadr pdl6)))
   (setq pdr8 (list (car pdr7) (cadr pdl5)))
   (setq pdr9 (list (- (car pdr8) l2) (cadr pdl3)))
   (setq pdr10 (list (car pdr9) (cadr pdl6)))
   (setq pdr11 (list (- (car pdr10) s3) (cadr pdl6)))
   (setq pdr12 (list (car pdr11) (cadr pdl3)))
   (setq pdr13 (list (+ (car bpd) (/ l3 2)) (cadr pdl13)))

;***Entscheidung FEST- / GLEITsattel
   (IF (= fest T)
         (progn
            (setq mpd1 (polar pdl13 (aib 180.) (mass 20)))
            (setq mpd2 (polar pdl13 (aib 0.) (mass 20)))
            (setq mpd3 (polar pdl13 (aib 270.) (mass 20)))
            (setq mpd4 (polar pdl13 (aib 90.) (mass 20)))
            (setq mpd5 (polar pdr13 (aib 180.) (mass 20)))
            (setq mpd6 (polar pdr13 (aib 0.) (mass 20)))
            (setq mpd7 (polar pdr13 (aib 270.) (mass 20)))
            (setq mpd8 (polar pdr13 (aib 90.) (mass 20)))
         )
         (progn
            (setq pdl14 (list (+ (car pdl13) (mass 12))
                              (- (cadr pdl13) (mass 20))))
            (setq pdl15 (polar pdl14 (aib 90.) (mass 40)))
            (setq pdl16 (polar pdl15 (aib 180.) (mass 24)))
            (setq pdl17 (polar pdl14 (aib 180.) (mass 24)))
            (setq pdr14 (list (+ (car pdr13) (mass 12)) (cadr pdl14)))
            (setq pdr15 (polar pdr14 (aib 90.) (mass 40)))
            (setq pdr16 (polar pdr15 (aib 180.) (mass 24)))
            (setq pdr17 (polar pdr14 (aib 180.) (mass 24)))
            (setq mpd1 (polar pdl13 (aib 180.) (mass 20)))
            (setq mpd2 (polar pdl13 (aib 0.) (mass 20)))
            (setq mpd3 (list (car pdl13) (- (cadr pdl14) (mass 20))))
            (setq mpd4 (list (car pdl13) (+ (cadr pdl15) (mass 20))))
            (setq mpd5 (polar pdr13 (aib 180.) (mass 20)))
            (setq mpd6 (polar pdr13 (aib 0.) (mass 20)))
            (setq mpd7 (list (car pdr13) (cadr mpd3)))
            (setq mpd8 (list (car pdr13) (cadr mpd4)))
            (GLEITPLATTE)
         )
   )

;*** Geometrieerzeugung, DRAUFSICHT
   (command "_layer" "_S" Mittellinie "")
   (command "_line" mpd1 mpd2 "")
   (command "_line" mpd3 mpd4 "")
   (command "_line" mpd5 mpd6 "")
   (command "_line" mpd7 mpd8 "")

   (command "_layer" "_S" Vollinie05 "")
   (command "_line" pdl1 pdr1 pdr2 pdl2 "_c")
   (command "_line" pdl3 pdr3 pdr4 pdl4 "_c")
   (command "_line" pdl5 pdl6 pdl7 pdl8 "")
   (command "_line" pdl9 pdl10 pdl11 pdl12 "")
   (command "_line" pdr5 pdr6 pdr7 pdr8 "")
   (command "_line" pdr9 pdr10 pdr11 pdr12 "")

   (IF (= fest T)
         (progn
            (command "kreis" pdl13 "d" (mass 24))
            (command "kreis" pdr13 "d" (mass 24))
         )
         (progn
            (command "plinie" pdl14 pdl15 "K" pdl16 "L" pdl17 "K" pdl14 "L" "")
            (command "plinie" pdr14 pdr15 "K" pdr16 "L" pdr17 "K" pdr14 "L" "")
         )
   )

;*** Bemaung DRAUFSICHT 
;*** Malinien
   (setq bdl1a (polar bpd (aib 270) babst))
   (setq bdl1b (polar bdl1a (aib 270) 8))
   (setq bdl2a (list (- (car pdl1) babst) (cadr mpd1)))
   (setq bdl2b (polar bdl2a (aib 180) 8))
   (setq bdl3a (polar pdl2 (aib 90) babst))
   (setq bdl4a (polar pdr2 (aib 0) babst))
   (setq bdl4b (polar bdl4a (aib 0) 8))

;***Unterbrechungen der Mahilfslinien 
   (setq bd3a (list (- (car bdl4a) 5) (cadr pdr1)))
   (setq bd3b (list (+ (car bdl4a) 2) (cadr pdr1)))

;***Entscheidung FEST- / GLEITsattel
   (IF (= fest T)
         (progn
            (setq bd1 (polar pdr13 (aib 0) (mass 12)))
            (setq bd2 (polar pdr13 (aib 180) (mass 12)))
            (command "_layer" "_S" Masslinie "")
            (command "_dim")
            (command "_dimstyle _r" bstaa)
            (command "_ver" pdl3 pdl6 bdl2a "")
            (command "_ver" bd3b pdr2 bdl4b "")
            (command "_hor" bd1 bd2 bdl3a "")
            (command "_dimstyle _r" bstea)
            (command "_ver" pdl3 pdl4 bdl2a "")
            (command "_ver" pdl6 pdl1 bdl2a "")
            (command "_ver" pdr2 mpd6 bdl4a "")
            (command "_exit")
         )
         (progn
            (command "_layer" "_S" Masslinie "")
            (command "_dim")
            (command "_dimstyle _r" bstaa)
            (command "_ver" pdl3 pdl6 bdl2a "")
            (command "_ver" bd3b pdr2 bdl4b "")
            (command "_hor" pdr16 pdr15 bdl3a "")
            (command "_ver" pdr15 pdr14 bdl4a "")
            (command "_dimstyle _r" bstea)
            (command "_ver" pdl3 pdl4 bdl2a "")
            (command "_ver" pdl6 pdl1 bdl2a "")
            (command "_exit")
         )
   )

   (command "_layer" "_S" Masslinie "")
   (command "_dim")
   (command "_dimstyle _r" bstee)

   (command "_dimstyle _r" bstaa)
   (command "_hor" mpd3 mpd7 bdl1a "")
   (command "_hor" pdl1 pdr1 bdl1b "")
   (command "_exit")

   (command "_line" pdr1 bd3a "")

;***Entscheidung FEST- / GLEITsattel fr Seitenansichten
(IF (= fest T)
 (progn

;*** SEITENANSICHT,  links
;***Basispunkt / Hilfspunkt
   (setq bpsl (polar bpv (aib 180.) (* l1 1.5)))
   (setq pshl (polar bpsl (aib 270.) h1))

;***Punkte
   (setq ps1l (polar pshl (aib 180.) (/ b1 2)))
   (setq ps2l (polar ps1l (aib 90.) s1))
   (setq ps3l (polar ps2l (aib 0.) b1))
   (setq ps4l (polar ps3l (aib 270.) s1))
   (setq ps5l (polar ps2l (aib 0.) (mass 10)))
   (setq ps7l (list (- (car ps3l) (mass 10) s3) (- (cadr bpsl) h2)))
   (setq ps6l (polar ps7l (aib 180.) b4))
   (setq ps8l (list (car ps7l) (cadr ps3l)))
   (setq ps9l (polar ps8l (aib 0.) s3))
   (setq ps10l (list (car ps9l) (- (cadr ps7l) (mass 50))))
   (setq ps11l (list (car ps8l) (cadr ps10l)))
   (setq ps19l (list (car ps9l) (- (cadr bpsl) (+ (/ d1 2) s2))))
   (setq ps18l (polar ps19l (aib 0.) e1))
   (setq beta (/ (* bl 180) (* pi d1)))
   (setq betal (- 270. beta))
   (setq pvl14s (polar bpv (aib betal) (/ d1 2)))
   (setq pvl13s (polar bpv (aib betal) (+ (/ d1 2) s2)))
   (setq ps17l (list (car ps18l) (- (cadr pvl14s) (mass 40))))
   (setq ps16l (list (- (car ps18l) (mass 40)) (cadr pvl14s)))
   (setq ps15l (polar ps16l (aib 180.) (- b2 (mass 80))))
   (setq ps14l (list (- (car ps15l) (mass 40)) (cadr ps17l)))
   (setq ps13l (list (car ps14l) (cadr ps18l)))
   (setq deltl (- (angle ps5l ps6l) (aib 90.)))
   (setq q6l (- (cadr ps6l) (cadr ps13l)))
   (setq q7l (* (tan deltl) q6l))
   (setq ps12l (list (+ (car ps6l) q7l) (cadr ps13l)))
   (setq ps23l (list (car ps18l) (- (cadr pvl13s) (mass 40))))
   (setq ps22l (list (car ps16l) (cadr pvl13s)))
   (setq ps21l (list (car ps15l) (cadr ps22l)))
   (setq ps20l (list (car ps14l) (cadr ps23l)))
   (setq ps26l (polar ps18l (aib 90) s2))
   (setq ps27l (list (car ps13l) (cadr ps26l)))

   (setq q8l (* (cos alfab) (mass 100)))
   (setq q9l (* (cos alfab) (mass 130)))
   (setq ps24l (list (+ (car ps5l) (/ b3 2)) (+ (cadr ps5l) q9l)))
   (setq ps25l (list (car ps24l) (+ (cadr ps5l) q8l)))
   (setq mps1l (polar ps24l (aib 90.) (mass 20)))
   (setq mps2l (polar ps25l (aib 270.) (mass 20)))
   (setq mps3l (polar ps24l (aib 180.) (mass 20)))
   (setq mps4l (polar ps24l (aib 0.) (mass 20)))
   (setq mps5l (polar ps25l (aib 180.) (mass 20)))
   (setq mps6l (polar ps25l (aib 0.) (mass 20)))

;*** Geometrieerzeugung, SEITENANSICHT   links
   (command "_layer" "_S" VerdeckteLinie "")
   (command "_line" ps26l ps27l "")
   (command "_line" ps19l ps12l "")

   (command "_layer" "_S" Mittellinie "")
   (command "_line" mps1l mps2l "")
   (command "_line" mps3l mps4l "")
   (command "_line" mps5l mps6l "")

   (command "_layer" "_S" Vollinie05 "")
   (command "kreis" ps24l "D" (mass 11))
   (command "kreis" ps25l "D" (mass 11))
   (command "_line" ps1l ps2l ps3l ps4l "_c")
   (command "_line" ps5l ps6l ps7l ps8l "")
   (command "_line" ps9l ps10l ps11l "")
   (command "plinie" ps19l ps18l ps17l "K" ps16l "L" ps15l "K" ps14l "L" ps13l ps12l "")
   (command "plinie" ps23l "K" "RA" (mass 40) ps22l "L" ps21l "K" ps20l "L" "")

;*** Bemaung SEITENANSICHT   links
;***Malinien
   (setq bsl1a (polar pshl (aib 270) babst))
   (setq bsl1b (polar bsl1a (aib 270) 8))
   (setq bsl2a (polar ps3l (aib 0) babst))
   (setq bsl2b (polar bsl2a (aib 0) 8))
   (setq bsl3a (polar ps16l (aib 90) babst))
   (setq bsl3b (polar bsl3a (aib 90) 8))
   (setq bsl4a (polar ps13l (aib 180) babst))

;***R40-Bemaung
   (setq bs1 (polar (polar ps17l (aib 180) (mass 40)) (aib 45) (mass 40)))
   (setq bs2 (polar bs1 (aib 45) 20))
   (setq bs3 (polar bs2 (aib 223) 6))
   (setq bs4a (polar ps17l (aib 90) 2))
   (setq bs4b (polar bs4a (aib 90) 4))

   (setq bs5a (list (car ps1l) (+ (cadr bsl1a) 6)))
   (setq bs5b (list (car ps1l) (- (cadr bsl1a) 3)))
   (setq bs6a (list (- (car bsl2a) 5) (cadr ps1)))
   (setq bs6b (list (+ (car bsl2a) 3) (cadr ps1)))
   (setq bs7 (polar ps25l (aib 90) (mass 5.5)))
   (setq bs8 (polar ps25l (aib 270) (mass 5.5)))

   (command "_layer" "_S" Masslinie "")
   (command "_line" bs1 bs2 "")
   (command "_line" ps17l bs4a "")
   (command "_text" bs3 "3" 45 "R40")
   (command "_insert" "*BEMPFEIL" bs1 "1" 45)
   (command "_line" ps4l bs6a "")
   (command "_line" ps1l bs5a "")

   (command "_dim")
   (command "_dimstyle _r" bstee)
   (command "_hor" ps6l ps14l bsl3a "")

   (command "_dimstyle _r" bstaa)
   (command "_hor" ps7l ps6l bsl3a "")
   (command "_hor" bs4b ps14l bsl3b "")
   (command "_hor" ps4l bs5b bsl1b "")
   (command "_ver" bs7 bs8 bsl2a "")
   (command "_ver" ps26l bs6b bsl2b "")
   (command "_ver" ps1l ps2l bsl4a "")

   (command "_dimstyle _r" bstea)
   (command "_hor" ps8l mps2l bsl1a "")

   (command "_exit")

 )
;****wenn fest=nil
 (progn
;***  SEITENANSICHT   
;*** Basispunkt / Hilfspunkt
   (setq bps (polar bpv (aib 0.) (* l1 1.5)))
   (setq psh (polar bps (aib 270.) h1))

;***Punkte
   (setq ps1 (polar psh (aib 0.) (/ b1 2)))
   (setq ps2 (polar ps1 (aib 90.) s1))
   (setq ps3 (polar ps2 (aib 180.) b1))
   (setq ps4 (polar ps3 (aib 270.) s1))
   (setq ps5 (polar ps2 (aib 180.) (mass 10)))
   (setq ps7 (list (+ (car ps3) (mass 10) s3) (- (cadr bps) h2)))
   (setq ps6 (polar ps7 (aib 0.) b4))
   (setq ps8 (list (car ps7) (cadr ps3)))
   (setq ps9 (polar ps8 (aib 180.) s3))
   (setq ps10 (list (car ps9) (- (cadr ps7) (mass 50))))
   (setq ps11 (list (car ps8) (cadr ps10)))
   (setq ps19 (list (car ps9) (- (cadr bps) (+ (/ d1 2) s2))))
   (setq ps18 (polar ps19 (aib 180.) e1))
   (setq beta (/ (* bl 180) (* pi d1)))
   (setq betal (- 270. beta))
   (setq pvl14s (polar bpv (aib betal) (/ d1 2)))
   (setq pvl13s (polar bpv (aib betal) (+ (/ d1 2) s2)))
   (setq ps17 (list (car ps18) (- (cadr pvl14s) (mass 40))))
   (setq ps16 (list (+ (car ps18) (mass 40)) (cadr pvl14s)))
   (setq ps15 (polar ps16 (aib 0.) (- b2 (mass 80))))
   (setq ps14 (list (+ (car ps15) (mass 40)) (cadr ps17)))
   (setq ps13 (list (car ps14) (cadr ps18)))
   (setq delt (- (aib 90.) (angle ps5 ps6)))
   (setq q6 (- (cadr ps6) (cadr ps13)))
   (setq q7 (* (tan delt) q6))
   (setq ps12 (list (- (car ps6) q7) (cadr ps13)))
   (setq ps23 (list (car ps18) (- (cadr pvl13s) (mass 40))))
   (setq ps22 (list (car ps16) (cadr pvl13s)))
   (setq ps21 (list (car ps15) (cadr ps22)))
   (setq ps20 (list (car ps14) (cadr ps23)))
   (setq ps26 (polar ps18 (aib 90) s2))
   (setq ps27 (list (car ps13) (cadr ps26)))

;*** Geometrieerzeugung SEITENANSICHT  
   (command "_layer" "_S" VerdeckteLinie "")
   (command "_line" ps26 ps27 "")
   (command "_line" ps19 ps12 "")

   (command "_layer" "_S" Vollinie05 "")
   (command "_line" ps1 ps2 ps3 ps4 "_c")
   (command "_line" ps5 ps6 ps7 ps8 "")
   (command "_line" ps9 ps10 ps11 "")
   (command "plinie" ps12 ps13 ps14 "K" ps15 "L" ps16 "K" ps17 "L" ps18 ps19 "")
   (command "plinie" ps20 "K" "RA" (mass 40) ps21 "L" ps22 "K" ps23 "L" "")

;***********************************************************
;*** Bemaung SEITENANSICHT  
;***Malinien
   (setq bsl1a (polar psh (aib 270) babst))
   (setq bsl1b (polar bsl1a (aib 270) 8))
   (setq bsl2a (polar ps2 (aib 180) babst))
   (setq bsl3a (polar ps16 (aib 90) babst))
   (setq bsl3b (polar bsl3a (aib 90) 8))
   (setq bsl4a (polar ps13 (aib 0) babst))

;***R40-Bemaung
   (setq bs1 (polar (polar ps17 (aib 0) (mass 40)) (aib 135) (mass 40)))
   (setq bs2 (polar bs1 (aib 135) 20))
   (setq bs3 (polar bs2 (aib 0) 1))
   (setq bs4a (polar ps17 (aib 90) 2))
   (setq bs4b (polar bs4a (aib 90) 4))

   (command "_layer" "_S" Masslinie "")
   (command "_line" bs1 bs2 "")
   (command "_line" ps17 bs4a "")
   (command "_text" bs3 "3" -45 "R40")
   (command "_insert" "*BEMPFEIL" bs1 "1" 135)

   (command "_dim")
   (command "_dimstyle _r" bstee)
   (command "_hor" ps6 ps14 bsl3a "")

   (command "_dimstyle _r" bstaa)
   (command "_hor" ps7 ps6 bsl3a "")
   (command "_hor" bs4b ps14 bsl3b "")
   (command "_hor" ps1 ps4 bsl1a "")
   (command "_ver" ps4 ps26 bsl2a "")
   (command "_ver" ps1 ps2 bsl4a "")
   (command "_exit")

   ) ;***** Ende fest=nil
  ) ;***** Ende IF fest=nil

;***Variablen fr Festsattel
   (setq fest T)
   (setq ausf "Festsattel!")

) ;**** Ende REPEAT-Schleife

)
;*** Ende Unterprogramm 

;********************************************************************
;*** Unterprogramm   GLEITPLATTE
(defun GLEITPLATTE ()
   (setq bpg1 (polar bpd (aib 270.) (* 1.5 h1)))
   (setq bpg2 (polar bpg1 (aib 270.) h1))
   (setq bpg3 (polar bpg1 (aib 0.) (* 1.5 l1)))

;****** Geometriepunkte Vorderansicht GLEITPLATTE
   (setq pg7 (list (- (car bpg1) (+ (/ l1 2) (mass 15)))
                   (+ (cadr bpg1) (mass 120))))
   (setq pg6 (polar pg7 (aib 90.) (mass 30)))
   (setq pg5 (polar pg6 (aib 180.) (mass 20)))
   (setq pg4 (list (car pg5) (cadr pg7)))
   (setq pg3 (polar pg4 (aib 180.) (mass 10)))
   (setq pg2 (polar pg3 (aib 270.) (mass 20)))
   (setq pg1 (polar pg2 (aib 270.) (mass 100)))
   (setq pg8 (polar pg7 (aib 0.) (+ l1 (mass 15))))
   (setq pg9 (list (car pg8) (cadr pg6)))
   (setq pg10 (polar pg9 (aib 0.) (mass 20)))
   (setq pg11 (list (car pg10) (cadr pg7)))
   (setq pg12 (polar pg11 (aib 0.) (mass 10)))
   (setq pg13 (list (car pg12) (cadr pg2)))
   (setq pg14 (list (car pg12) (cadr pg1)))

;****** Geometriepunkte Draufsicht  GLEITPLATTE
   (setq pg15 (list (car pg1) (cadr bpg2)))
   (setq pg16 (polar pg15 (aib 90.) (- (/ (+ b1 (mass 50)) 2) (mass 10))))
   (setq pg17 (polar pg16 (aib 90.) (mass 20)))
   (setq pg18 (polar pg15 (aib 90.) (+ b1 (mass 50))))
   (setq pg19 (list (car pg12) (cadr pg18)))
   (setq pg20 (list (car pg12) (cadr pg17)))
   (setq pg21 (list (car pg12) (cadr pg16)))
   (setq pg22 (list (car pg12) (cadr pg15)))
   (setq pg23 (list (car pg7) (+ (cadr bpg2) (mass 10))))
   (setq pg24 (list (car pg4) (cadr pg23)))
   (setq pg25 (list (car pg4) (- (cadr pg18) (mass 10))))
   (setq pg26 (list (car pg7) (cadr pg25)))
   (setq pg27 (list (car pg11) (cadr pg23)))
   (setq pg28 (list (car pg8) (cadr pg23)))
   (setq pg29 (list (car pg8) (cadr pg25)))
   (setq pg30 (list (car pg11) (cadr pg25)))

;****** Geometriepunkte Seitenansicht  GLEITPLATTE
   (setq pg31 (polar bpg3 (aib 180.) (mass 10)))
   (setq pg32 (list (car pg31) (cadr pg2)))
   (setq pg33 (list (- (car bpg3) (/ (+ b1 (mass 50)) 2)) (cadr pg2)))
   (setq pg34 (list (car pg33) (cadr pg3)))
   (setq pg35 (polar pg34 (aib 0.) (mass 10)))
   (setq pg36 (list (car pg35) (cadr pg6)))
   (setq pg42 (polar bpg3 (aib 0.) (mass 10)))
   (setq pg41 (list (car pg42) (cadr pg2)))
   (setq pg40 (list (+ (car bpg3) (/ (+ b1 (mass 50)) 2)) (cadr pg2)))
   (setq pg39 (list (car pg40) (cadr pg3)))
   (setq pg38 (polar pg39 (aib 180.) (mass 10)))
   (setq pg37 (list (car pg38) (cadr pg6)))

;*** Punkte fr Mittellinien
   (setq mpg1 (polar bpg1 (aib 270.) (mass 50)))
   (setq mpg2 (list (car bpg1) (+ (cadr pg6) (mass 50))))
   (setq mpg3 (polar bpg2 (aib 270.) (mass 50)))
   (setq mpg4 (list (car bpg2) (+ (cadr pg18) (mass 50))))
   (setq mpg5 (list (- (car pg15) (mass 50))
                    (+ (cadr bpg2) (/ (+ b1 (mass 50)) 2))))
   (setq mpg6 (list (+ (car pg19) (mass 50)) (cadr mpg5)))
   (setq mpg7 (polar bpg3 (aib 270.) (mass 50)))
   (setq mpg8 (list (car bpg3) (cadr mpg2)))

;*** Geometrieerzeugung GLEITPLATTE
   (command "_layer" "_S" Mittellinie "")
   (command "_line" mpg1 mpg2 "")
   (command "_line" mpg3 mpg4 "")
   (command "_line" mpg5 mpg6 "")
   (command "_line" mpg7 mpg8 "")

   (command "_layer" "_S" VerdeckteLinie "")
   (command "_line" pg17 pg20 "")
   (command "_line" pg16 pg21 "")

   (command "_layer" "_S" Vollinie05 "")
   (command "_line" pg1 pg3 pg12 pg14 "_c")
   (command "_line" pg4 pg5 pg6 pg7 "")
   (command "_line" pg8 pg9 pg10 pg11 "")
   (command "_line" pg2 pg13 "")

   (command "_line" pg15 pg18 pg19 pg22 "_c")
   (command "_line" pg23 pg24 pg25 pg26 "_c")
   (command "_line" pg27 pg28 pg29 pg30 "_c")

   (command "_line" pg31 pg32 pg33 pg34 pg35 pg36 pg37 pg38 pg39 pg40 pg41 pg42 "_c")
   (command "_line" pg32 pg41 "")
   (command "_line" pg35 pg38 "")

;*** Bemaung GLEITPLATTE, Punkte fr Malinien
   (setq bgl1 (list (car bpg1) (+ (cadr pg6) babst)))
   (setq bgl2 (polar pg1 (aib 180.) babst))
   (setq bgl3 (polar pg14 (aib 0.) babst))
   (setq bgl4 (polar pg16 (aib 180.) babst))
   (setq bgl5 (polar bpg2 (aib 270.) babst))
   (setq bgl6 (polar pg31 (aib 270.) babst))
   (setq bgl7 (list (car mpg4) (+ (cadr pg18) babst)))
   (setq bgl8 (polar pg20 (aib 0) babst))
   (setq bgl9 (polar pg33 (aib 180) babst))
   (setq bgl10 (polar pg36 (aib 90) babst))

   (command "_layer" "_S" Masslinie "")
   (command "_dim")
   (command "_dimstyle _r" bstaa)
   (command "_hor" pg6 pg9 bgl1 "")
   (command "_ver" pg15 pg18 bgl4 "")
   (command "_hor" pg15 pg22 bgl5 "")
   (command "_hor" pg31 pg42 bgl6 "")
   (command "_ver" pg2 pg3 bgl2 "")
   (command "_hor" pg18 pg25 bgl7 "")
   (command "_hor" pg19 pg30 bgl7 "")
   (command "_ver" pg31 pg33 bgl9 "")
   (command "_hor" pg36 pg37 bgl10 "")

   (command "_dimstyle _r" bstea)
   (command "_hor" pg6 pg5 bgl1 "")
   (command "_hor" pg9 pg10 bgl1 "")
   (command "_exit")
)
;*** Ende Unterprogramm GLEITPLATTE



