;----------------------------------------------------------------------
; Programmname : DI28082.LSP - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            :  Standzargen Konstruktionsprogramm
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL:    http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x mf))
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung Detail
(defun massD (x) (/ x mfTS))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error* )
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 1)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   P R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   (c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n-----------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(DEFUN C:DI28082 ()
  (Vorgaben)
  (prompt "\n------------------------------")
  (prompt "\n----- Standzargen DIN 28082  -----")
  (prompt "\------------------------------")
  (prompt "\n")
  (prompt "\n        >>>>>>>        Angaben nur in mm mglich !!!!!        <<<<<<<<<     ")
  (command "_vslide" "DI280824")
  (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
  (setq mfTASTE (getkword"\n            Mastabsfaktor..................... 1 : "))
  (setq mf (atof mfTASTE))
  (IF (= mf nil) (setq mf 1))
  (SETQ mfk (rtos mf 2 0))
  (COMMAND "_redraw")
  (setq AHP1(getpoint"\n            Aufhngepunkt......................  : "))
  (command "_vslide" "DI280824")
  (setq 
     BaTLv(getreal "\n            Abstand Basis bis TL .................: ")
  )
;**** Bemaungsstile
  (setq BStilAA (strcat "F" mfk "AA"))
  (setq BStilEA (strcat "F" mfk "AA"))
  (setq BStilEE (strcat "F" mfk "AA"))

  (SETQ BaTL (/ BaTLv mf))
  (setq bp1(polar AHP1 (aib 180.) (+ BaTL 10)))
  (setq AHP3(polar AHP1 (aib 180.) 10))
  (setq bemp1(polar AHP1 (aib 180. ) 10))
  (setq 
    NDwahl(getreal"\n            Bitte Auendurchmesser eingeben             : ")
    dGwahl(getreal"\n            Schraubengre - Furing eingeben (M24-M80) : M")
    dAwahl(getint "\n            Anzahl der Schrauben                        : ")
  )
  (setq JNZu(getstring"            Grundri der Zarge konstruieren       (J/N) : "))
  (prompt   "\n            Welcher Bodentyp wird verwendet ?        ")
  (prompt   "\n------------------------------")
  (prompt   "\n            Korbbogenboden                       <1> ")
  (prompt   "\n            Klpperboden                         <2> ")
  (prompt   "\n            Ebener Boden                         <3> ")
  (prompt   "\n            Halbkugelboden                       <4> ")
  (initget 1 "1 2 3 4")
  (setq Boden (getkword"\n            Bitte whlen Sie eine Option          : "))
  (IF (= boden "1") (setq korb T stdzarg T))
  (IF (= boden "3") (setq korb T stdzarg T))
  (IF (= boden "4") (setq korb T stdzarg T))
  (IF (= boden "2") (setq korb nil stdzarg T))
  (IF stdzarg
    (progn
      (command "_vslide" "DI280823")
      (setq JNstzd
      (getstring"          Detailzeichnung einfgen    (J/N) : "))
      (IF (OR (= JNstzd "J" )(= JNstzd "j"))
        (PROGN
          (COMMAND "_redraw")
          (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
          (setq mfTSTASTE
            (getkword"\n         Mastabsfaktor - Detailzeichnung         1 : "))
          (setq mfTS (atof mfTSTASTE))
          (IF (= mfTS nil) (setq mfTS 1))
          (setq bpstzd  (getpoint"         Basispunkt, Detailzeichnung................: "))
        )
      )
    (setq tab (open "C:/R13/lispdemo/DI28082.TAB" "r"))
    (setq gef (read-line tab))
    (WHILE (/= gef "**** Anfang Konstruktionsmae ****")
             (setq gef (read-line tab))
   )
   (read-line tab)
   (setq suche T
         eintr nil)
   (WHILE suche
      (setq gef (read-line tab))
      (IF (= gef "**** Ende Konstruktionsmae ****")
        (progn
          (setq suche nil
                eintr T)
        )
        (progn
          (setq zeile gef)
          (setq NDgef (atof (substr zeile 1 4)))
          (IF (>= NDgef NDwahl)
               (setq suche nil)
          )
        )
      )
   )
   (close tab)
        (setq NDs (substr zeile 1 4)
              d1s (substr zeile 6 4)
              h1s (substr zeile 11 4)
              h2s (substr zeile 16 4)
              h3s (substr zeile 21 4)
              h4s (substr zeile 26 4)
              h5s (substr zeile 31 4)
              s1s (substr zeile 36 2)
              masbs (substr zeile 39 4)
              masps (substr zeile 44 4)
        )
   (IF eintr
     (progn
        (prompt (strcat "\n                 Durchmesser " (rtos NDwahl 2 0) " mm nicht vorhanden!"))
        (prompt (strcat "\n     Vorgabewerte beziehen sich auf grten vorhandenen Wert = " (substr zeile 1 4) " mm"))
     )
   )
   (IF (> NDgef NDwahl)
     (progn
        (prompt (strcat "\n                 Durchmesser " (rtos NDwahl 2 0) " mm nicht vorhanden!"))
        (prompt (strcat "\n     Vorgabewerte beziehen sich auf vorhandenen Wert = " (substr zeile 1 4) " mm"))
     )
   )
   (setq tab (open "C:/R13/lispdemo/DI28082.TAB" "r"))
   (setq gef (read-line tab))
   (WHILE (/= gef "**** Anfang Gewindemae ****")
             (setq gef (read-line tab))
   )
   (read-line tab)
   (setq suche T
         eintr nil)

   (WHILE suche
      (setq gef (read-line tab))
      (IF (= gef "**** Ende Gewindemae ****")
        (progn
          (setq suche nil
                eintr T)
        )
        (progn
          (setq zeile gef)
          (setq dGgef (atof (substr zeile 1 2)))
          (IF (>= dGgef dGwahl)
               (setq suche nil)
          )
        )
      )
   )
   (close tab)
        (setq dGs (substr zeile 1 2)
              c1s (substr zeile 4 3)
              c2s (substr zeile 8 3)
              d6s (substr zeile 12 2)
              d7s (substr zeile 15 3)
              es  (substr zeile 19 3)
              gs  (substr zeile 23 3)
              h7s (substr zeile 27 3)
              s2s (substr zeile 31 2)
              s4s (substr zeile 34 2)
              s5s (substr zeile 37 2)
              Ad3s (substr zeile 40 6)
              Fm37s (substr zeile 47 5)
              Fm52s (substr zeile 53 5)
        )
   (IF eintr
     (progn
        (prompt (strcat "\n                 Gewindedurchmesser  M" (rtos dGwahl 2 0) "  nicht vorhanden!"))
        (prompt (strcat "\n     Vorgabewerte beziehen sich auf grten vorhandenen Wert =  M" (substr zeile 1 2)))
     )
   )
   (IF (> dGgef dGwahl)
     (progn
        (prompt (strcat "\n                Gewindedurchmesser  M" (rtos dGwahl 2 0) "  nicht vorhanden!"))
        (prompt (strcat "\n     Vorgabewerte beziehen sich auf vorhandenen Wert =  M" (substr zeile 1 2)))
     )
   )
   (setq ND (rtos NDwahl 2 0))
   (setq tltrags "200")	;*** Tragring, voreingestellte Daten
   (setq btrags  "60")
   (setq dtrags "10")
   (setq vrds "60.3")	;*** Ventilationsrohre, voreingestellte Daten
   (setq vrss "5.6")
   (setq vrals  "50")
   (setq vrils "50")
   (command "_vslide" "DI280821")
   (prompt                 "\n- Standzarge ----------------------------------------")
   (setq d1v(getreal(strcat"\n            Zargen-Auendurchmesser   d1 <" ND "> : ")))
   (setq s1v  (getreal(strcat"            Wandstrke                s1 <" s1s "> : ")))
   (prompt                 "\n- Grundring ----------------------------------------")
   (setq c2v(getreal(strcat"\n            uerer berstand         c2 <" c2s "> : ")))
   (setq c3v  (getreal(strcat"            innerer berstand         c3 <" c2s "> : ")))
   (setq s2v  (getreal(strcat"            Dicke                     s2 <" s2s "> : ")))
   (setq gv   (getreal(strcat"  Abstand : Zargenmantel - Lochmitte  g  <" gs  "> : ")))
   (setq d7v  (getreal(strcat"            Langlochbreite            d7 <" d7s "> : ")))
   (prompt                 "\n- Furing ----------------------------------------")
   (setq c1v(getreal(strcat"\n            Furing-Breite            c1 <" c1s "> : ")))
   (setq s4v  (getreal(strcat"            Furing-Dicke             s4 <" s4s "> : ")))
   (setq d6v  (getreal(strcat"            Langlochbreite            d6 <" d6s "> : ")))
   (setq h7v  (getreal(strcat"            Abstand Basis - Oberkante h7 <" h7s "> : ")))
   (prompt                 "\n- Rippen ----------------------------------------")
   (setq ev (getreal(strcat"\n            lichter Abstand           e  <" es "> : ")))
   (setq s5v  (getreal(strcat"            Dicke                     s5 <" s5s "> : ")))
   (command "_vslide" "DI280822")
   (prompt                      "\n- Tragring (Isolationsring) ------------------------")
   (setq tltragv (getreal(strcat"\n            Abstand Tragring - TL        <" tltrags "> :")))
   (setq btragv  (getreal(strcat  "            Tragring-Breite              <" btrags "> :")))
   (setq dtragv  (getreal(strcat  "            Tragring-Dicke               <" dtrags "> :")))
   (prompt                    "\n- Ventilationsrohre ----------------------------------------")
   (setq vrdv  (getreal(strcat"\n            Auendurchmesser             <" vrds "> :")))
   (setq vrsv  (getreal(strcat  "            Wandstrke                   <" vrss "> :")))
   (setq vralv (getreal(strcat  "            uere Lnge                 <" vrals "> :")))
   (setq vrilv (getreal(strcat  "            innere Lnge                 <" vrils "> :")))
   (prompt                 "\n- Info ----------------------------------------")
   (prompt          (strcat"\n Kernquerschnitt nach DIN 13 T28     = " Ad3s ))
   (prompt          (strcat"\n Zugkraft je Ankerschraube fr St37  = " Fm37s))
   (prompt          (strcat"\n Zugkraft je Ankerschraube fr St52  = " Fm52s))
   (command "_redraw")

;****** Vorgabewerte abfragen
   (IF (= d1v nil)  (setq d1v NDWahl))
   (IF (= s1v nil)  (setq s1v (atoi s1s)))
   (IF (= c1v nil)  (setq c1v (atoi c1s)))
   (IF (= c2v nil)  (setq c2v (atoi c2s)))
   (IF (= c3v nil)  (setq c3v (atoi c2s)))
   (IF (= d6v nil)  (setq d6v (atoi d6s)))
   (IF (= d7v nil)  (setq d7v (atoi d7s)))
   (IF (= ev nil)   (setq ev (atoi es)))
   (IF (= gv nil)   (setq gv (atoi gs)))
   (IF (= h7v nil)  (setq h7v (atoi h7s)))
   (IF (= s2v nil)  (setq s2v (atoi s2s)))
   (IF (= s4v nil)  (setq s4v (atoi s4s)))
   (IF (= s5v nil)  (setq s5v (atoi s5s)))

   (IF (= tltragv nil) (setq tltragv (atoi tltrags)))
   (IF (= btragv nil)  (setq btragv (atoi btrags)))
   (IF (= dtragv nil)  (setq dtragv (atoi dtrags)))
   (IF (= vrdv nil)    (setq vrdv (atof vrds)))
   (IF (= vrsv nil)    (setq vrsv (atof vrss)))
   (IF (= vralv nil)    (setq vralv (atoi vrals)))
   (IF (= vrilv nil)    (setq vrilv (atoi vrils)))

   (SETQ h1v BaTLv)
   (SETQ H3v BaTLv)
   (SETQ H2v (- BaTlv S2v))
   (SETQ H4v (- BaTlv S2v))

;****** Masstabs - Umrechnung fr bersichtszeichnung
   (setq d1 (Mass d1v) h1 (Mass h1v) h2 (Mass h2v))
   (setq h3 (Mass h3v) h4 (Mass h4v) s1 (Mass s1v))
   (setq c1 (Mass c1v) c3 (Mass c3v) tltrag (Mass tltragv))
   (setq c2 (Mass c2v) d6 (Mass d6v) d7 (Mass d7v) e (Mass ev))
   (setq g (Mass gv) h7 (Mass h7v) s4 (Mass s4v) s2 (Mass s2v))
   (setq s5 (Mass s5v) btrag (Mass btragv) dtrag (Mass dtragv))
   (setq vrd (Mass vrdv) vrs (Mass vrsv) vral (Mass vralv))
   (setq vril (Mass vrilv) DG (Mass DGwahl))

;**** Punktdefinitionen Vorderansicht, obere Hlfte (Standzarge)
   (setq po1 (polar AHP3 (aib 90) (+ (/ d1 2) c2)))
   (setq po2 (polar po1 (aib 180) s2))
   (setq po4 (polar po2 (aib 270) c2))
   (setq po3 (polar po4 (aib 270) s1))
   (IF (= korb T)
     (progn
       (setq po5 (polar po4 (aib 180) h2))
       (setq po17 (list (- (car AHP3) (- h1 tltrag)) (cadr po4)))
     )
     (progn
       (setq po5 (polar po4 (aib 180) h4))
       (setq po17 (list (- (car AHP3) (- h3 tltrag)) (cadr po4)))
     )
   )
   (setq po6 (polar po5 (aib 270) s1))
   (setq po7 (list (car AHP3) (+ (cadr po4) (- g (/ d7 2)))))
   (setq po8 (polar po7 (aib 180) s2))
   (setq po9 (list (car AHP3) (- (cadr po4) c3)))
   (setq po10 (polar po9 (aib 180) s2))
   (setq po12 (list (- (car AHP3) h7) (+ (cadr po4) c1)))
   (setq po11 (polar po12 (aib 0) s4))
   (setq po13 (list (car po12) (cadr po4)))
   (setq po14 (list (car po11) (cadr po4)))
   (setq po15 (list (car po12) (cadr po7)))
   (setq po16 (list (car po11) (cadr po7)))
   (setq po18 (polar po17 (aib 90) btrag))
   (setq po19 (polar po18 (aib 0) dtrag))
   (setq po20 (polar po19 (aib 270) btrag))

;**** Punktdefinitionen Vorderansicht, untere Hlfte (Standzarge)
   (setq pu1 (polar AHP3 (aib 270) (+ (/ d1 2) c2)))
   (setq pu2 (polar pu1 (aib 180) s2))
   (setq pu4 (polar pu2 (aib 90) c2))
   (setq pu3 (polar pu4 (aib 90) s1))
   (setq pu5 (list (car po5) (cadr pu4)))
   (setq pu6 (polar pu5 (aib 90) s1))
   (setq pu7 (list (car AHP3) (- (cadr pu4) (- g (/ d7 2)))))
   (setq pu8 (polar pu7 (aib 180) s2))
   (setq pu9 (list (car AHP3) (+ (cadr pu4) c3)))
   (setq pu10 (polar pu9 (aib 180) s2))
   (setq pu12 (list (car po12) (- (cadr pu4) c1)))
   (setq pu11 (polar pu12 (aib 0) s4))
   (setq pu13 (list (car po12) (cadr pu4)))
   (setq pu14 (list (car po11) (cadr pu4)))
   (setq pu15 (list (car po12) (cadr pu7)))
   (setq pu16 (list (car po11) (cadr pu7)))
   (setq pu17 (list (car po17) (cadr pu4)))
   (setq pu18 (polar pu17 (aib 270) btrag))
   (setq pu19 (polar pu18 (aib 0) dtrag))
   (setq pu20 (polar pu19 (aib 90) btrag))

   (setq pu21 (list (- (+ (car pu19) (Mass 80)) (/ vrd 2))
                    (+ (cadr pu6) vril)))
   (setq pu22 (polar pu21 (aib 270) (+ vril vral s1)))
   (setq pu23 (polar pu21 (aib 0) vrs))
   (setq pu24 (list (car pu23) (cadr pu22)))
   (setq pu27 (polar pu21 (aib 0) vrd))
   (setq pu25 (polar pu27 (aib 180) vrs))
   (setq pu26 (list (car pu25) (cadr pu22)))
   (setq pu28 (list (car pu27) (cadr pu22)))
   (setq pu29 (list (car pu21) (cadr pu3)))
   (setq pu30 (list (car pu21) (cadr pu4)))
   (setq pu31 (list (car pu27) (cadr pu4)))
   (setq pu32 (list (car pu27) (cadr pu3)))

;****** Punktdefinitionen fr Mittellinien
   (setq mp1 (polar AHP3 (aib 0) (Mass 500)))
   (setq mp2 (list (- (car po5) (Mass 500)) (cadr AHP3)))
   (setq mp3 (list (+ (car AHP3) (Mass 150)) (+ (cadr po4) g)))
   (setq mp4 (list (- (car po12) (Mass 150)) (cadr mp3)))
   (setq mp5 (list (car mp3) (- (cadr pu4) g)))
   (setq mp6 (list (car mp4) (cadr mp5)))
   (setq mp8 (list (+ (car pu21) (/ vrd 2)) (+ (cadr pu21) (Mass 70))))
   (setq mp7 (list (car mp8) (- (cadr pu22) (Mass 70))))

;**** Seitenansicht, Lochkreis und Bohrungen ************************
  (SETQ d1g (/ (+ d1 (* g 2)) 2) SA (aib (/ 360. (* DAwahl 2.))))
  (SETQ SAW (/ 360. (* DAwahl 2.)))
  (setq ps1 (polar AHP1 (aib 0) d1))
  (setq ps2 (polar ps1 SA d1g))
  (setq ps3 (polar ps2 SA DG))
  (setq ps4 (polar ps2 (+ SA (aib 180.)) DG))

  (SETQ dp1(polar ps1 (aib 0. ) (+ d1g 8)))
  (SETQ dp2(polar ps1 (aib 90. ) (+ d1g 8)))
  (SETQ dp3(polar ps1 (aib 180. ) (+ d1g 8)))
  (SETQ dp4(polar ps1 (aib 270. ) (+ d1g 8)))

  (SETQ dt1(polar dp1 (aib 348. ) 5))
  (SETQ dt2(polar dp2 (aib 98. ) 5))
  (SETQ dt3(polar dp3 (aib 187. ) 15))
  (SETQ dt4(polar dp4 (aib 250. ) 10))

  (SETQ bemp21(polar ps1 (aib 30. ) d1g))
  (SETQ bemp22(polar ps1 (aib 210. ) d1g))

  (setq ps5 (polar dp1 (aib 0.) 11))
  (setq ps6 (polar ps5 (aib 0.) 7))
  (setq ps7 (polar ps5 (aib 0.) 4))

  (setq ps8 (polar ps1 (aib SAW) (+ d1g 13)))
  (setq ps9 (polar ps8 (aib SAW) 13))
  (setq ps10 (polar ps8 (aib SAW) 10))

  (setq ps11 (polar ps1 (aib (* SAW 3)) (+ d1g 13)))
  (setq ps12 (polar ps11 (aib (* SAW 3)) 13))
  (setq ps13 (polar ps11 (aib (* SAW 3)) 10))

  (setq ps14 (polar ps1 (aib (- 0. SAW)) (+ d1g 23)))

  (SETQ Text1 "90%%D")
  (SETQ Text2 "0%%D")
  (SETQ Text3 "270%%D")
  (SETQ Text4 "180%%D")
  (SETQ Text (RTOS SAW 2 1))
  (SETQ Text5 (strcat Text "%%D"))
  (SETQ Text (RTOS (* SAW 2) 2 1))
  (SETQ Text6 (strcat Text "%%D"))

  (SETQ Tps1(polar ps1 (aib 70. ) (* d1g 1.3)))
  (SETQ Tps2(polar Tps1 (aib 270. ) 6))
  (SETQ Tps3(polar ps1 (aib (* SAW 0.6)) (+ d1g 24)))
  (SETQ Tps4(polar ps1 (aib (* SAW 2.1)) (+ d1g 24)))

  (SETQ Text (RTOS DAwahl 2 0))
  (SETQ TextS1 (strcat "%%U" Text " Ankerschrauben"))
  (SETQ Text (RTOS DGwahl 2 0))
  (SETQ TextS2 (strcat "%%UM" Text " x 6 x "))

;**** Geometrieerzeugung, Vorderansicht (Standzarge) ****************
(IF (OR (= JNZu "J" )(= JNZu "j"))
 (PROGN
   (command "_layer" "_s" Mittellinie "")
   (command "_line" mp3 mp4 "")
   (command "_line" mp5 mp6 "")
   (command "_line" mp7 mp8 "")

   (command "_layer" "_s" Vollinie05 "")
   (command "_line" po1 po2 pu2 pu1 "_c")
   (command "_line" po4 po5 po6 po3 "")
   (command "_line" pu3 pu32 "")
   (command "_line" pu4 pu31 "")
   (command "_line" pu29 pu6 pu5 pu30 "")
   (command "_line" po2 po11 po12 po13 "")
   (command "_line" po15 po16 "")
   (command "_line" po11 po14 "")
   (command "_line" po7 po8 "")
   (command "_line" po9 po10 "")
   (command "_line" po17 po18 po19 po20 "")
   (command "_line" pu2 pu11 pu12 pu13 "")
   (command "_line" pu15 pu16 "")
   (command "_line" pu11 pu14 "")
   (command "_line" pu7 pu8 "")
   (command "_line" pu9 pu10 "")
   (command "_line" pu17 pu18 pu19 pu20 "")
   (command "_line" pu21 pu22 pu28 pu27 "_c")
   (command "_line" pu23 pu24 "")
   (command "_line" pu25 pu26 "")

;**** Geometrie erzeugen, Seitenansicht
  (COMMAND "_layer" "_s" Vollinie05 "")
  (Command "_circle" (Polar ps1 SA d1g) "_d" DG)
  (Command "_array" "_l" "" "_p" ps1 DAwahl "" "")
  (COMMAND "_layer" "_s" Vollinie025 "")
  (Command "_circle" ps1 d1g)
  (Command "_line" ps4 ps3 "")
  (Command "_array" "_l" "" "_p" ps1 DAwahl "" "")

  (COMMAND "_layer" "_s" Mittellinie "")
  (command "_line" ps1 dp1 "")
  (command "_line" ps1 dp2 "")
  (command "_line" ps1 dp3 "")
  (command "_line" ps1 dp4 "")

  (command "_layer" "_s" Text05 "")
  (command "_text" Tps1 "4" "0" TEXTS1)
  (command "_text" Tps2 "4" "0" TEXTS2)
  (command "_text" dt1 "4" "0" Text1)
  (command "_text" dt2 "4" "0" Text2)
  (command "_text" dt3 "4" "0" Text3)
  (command "_text" dt4 "4" "0" Text4)

  (setq mfS (rtos mf 2 0))
  (setq BStilEE (strcat "F" mfS "AA"))
  (command "_layer" "_s" Masslinie "")
  (command "_dim" "_dimstyle _r" BSTilEE )
  (command "_dimaligned" bemp21 bemp22 ps1 "")
  (command "_exit")
  (command "_line" ps5 ps6 "")
  (command "_line" ps8 ps9 "")
  (command "_line" ps11 ps12 "")
  (command "_arc" "_c" ps1 ps14 ps13)
  (command "_insert" "*bempfeil" ps7 "" 270) 
  (SETQ Wink (+ 90. SAW))
  (command "_insert" "*bempfeil" ps10 "" Wink) 
  (SETQ Wink (+ 270. (* SAW 3)))
  (command "_insert" "*bempfeil" ps13 "" Wink) 
  (setq Wink (+ 270. (* SAW 0.5)))
  (command "_text" Tps3 "2.7" Wink TEXT5)
  (setq Wink (+ 270. (* SAW 2)))
  (command "_text" Tps4 "2.7" Wink TEXT6)
))
;****** Mastabsumrechnung fr Detailzeichnung, Standzarge *******
  (if (OR (= JNStzd "J") (= JNStzd "j"))
    (PROGN
      (setq d1DZ (MassD d1v) h1DZ (MassD h1v) h2DZ (MassD h2v))
      (setq h3DZ (MassD h3v) h4DZ (MassD h4v) s1DZ (MassD s1v))
      (setq c1DZ (MassD c1v) c3DZ (MassD c3v) tltragDZ (MassD tltragv))
      (setq c2DZ (MassD c2v) d6DZ (MassD d6v) d7DZ (MassD d7v) eDZ (MassD ev))
      (setq gDZ (MassD gv) h7DZ (MassD h7v) s4DZ (MassD s4v) s2DZ (MassD s2v))
      (setq s5DZ (MassD s5v) btragDZ (MassD btragv) dtragDZ (MassD dtragv))
      (setq vrdDZ (MassD vrdv) vrsDZ (MassD vrsv) vralDZ (MassD vralv))
      (setq vrilDZ (MassD vrilv))

;**** Standzarge Detail Grundring/Furing, linke Ansicht*************
      (setq pu1DZ bpstzd)
      (setq pu2DZ (polar pu1DZ (aib 90.) s2DZ))
      (setq pu4DZ (polar pu2DZ (aib 0.) c2DZ))
      (setq pu3DZ (polar pu4DZ (aib 0.) s1DZ))
      (setq pu5DZ (polar pu4DZ (aib 90.) (+ h7DZ 19)))
      (setq pu6DZ (polar pu3DZ (aib 90.) (+ h7DZ 20)))
      (setq pu7DZ (list (- (car pu4DZ) (- gDZ (/ d7DZ 2))) (cadr pu1DZ)))
      (setq pu8DZ (polar pu7DZ (aib 90.) s2DZ))
      (setq pu9DZ (list (+ (car pu4DZ) c3DZ) (cadr pu1DZ)))
      (setq pu10DZ (polar pu9DZ (aib 90.) s2DZ))

      (setq pu12DZ (list (- (car pu4DZ) c1DZ) (+ (cadr pu1DZ) h7DZ)))
      (setq pu11DZ (polar pu12DZ (aib 270.) s4DZ))
      (setq pu13DZ (list (car pu4DZ) (cadr pu12DZ)))
      (setq pu14DZ (list (car pu4DZ) (cadr pu11DZ)))

      (setq pu15DZ (polar pu13DZ (aib 180.) (- gDZ (/ d6DZ 2))))
      (setq pu16DZ (polar pu15DZ (aib 270.) s4DZ))

      (setq pu17DZ (polar pu10DZ (aib 0.) 20))
      (setq pu18DZ (polar pu9DZ (aib 0.) 21))
      (setq pu19DZ (polar pu17DZ (aib 85.) 5))
      (setq pu20DZ (polar pu18DZ (aib 265.) 4))
      (setq pu21DZ (polar pu6DZ (aib 5.) 5))
      (setq pu22DZ (polar pu5DZ (aib 175.) 4))

;****** Mittellinien
      (setq mp5DZ (list (- (car pu4DZ) gDZ) (- (cadr pu1DZ) 10)))
      (setq mp6DZ (list (car mp5DZ) (+ (cadr pu12DZ) 10)))
 
;**** Bemaung, linkes Detail, horizontale Bemaung *****************
      (SETQ pu23DZ (polar pu9DZ (aib 270. ) 8))
      (SETQ pu24DZ (polar pu23DZ (aib 270. ) 1.8))
      (SETQ pu25DZ (polar pu23DZ (aib 0. ) 5))
      (SETQ pu26DZ (polar pu23DZ (aib 0. ) 30))
      (SETQ pu27DZ (polar pu7DZ (aib 270. ) 8))

      (SETQ pu28DZ (polar pu1DZ (aib 270. ) 8))
      (SETQ pu29DZ (polar pu27DZ (aib 270. ) 1.8 ))
      (SETQ pu30DZ (polar pu28DZ (aib 270. ) 16 ))
      (SETQ pu31DZ (polar pu28DZ (aib 180. ) 10 ))
      (SETQ pu32DZ (polar pu27DZ (aib 0. ) 7 ))
      (SETQ pu33DZ (polar pu27DZ (aib 180. ) (/ d7DZ 2) ))
      (SETQ pu34DZ (polar pu27DZ (aib 0. ) 4))
      (SETQ pu35DZ (polar pu31DZ (aib 0. ) 2))

      (SETQ pu36DZ (polar pu33DZ (aib 270. ) 8 ))
      (SETQ pu37DZ (polar pu36DZ (aib 270. ) 1.8 ))
      (SETQ pu38DZ (polar pu26DZ (aib 270. ) 8 ))
      (SETQ pu39DZ (polar pu36DZ (aib 0. ) 11 ))
      (SETQ pu40DZ (polar pu30DZ (aib 270. ) 1.8 ))
      (SETQ pu41DZ (polar pu38DZ (aib 270. ) 8 ))
      (SETQ pu42DZ (polar pu39DZ (aib 270. ) 8 ))
      (SETQ pu43DZ (polar pu38DZ (aib 180. ) 21 ))
      (SETQ pu44DZ (polar pu2DZ (aib 90. ) 8 ))

      (SETQ pu45DZ (polar pu15DZ (aib 90. ) 8))
      (SETQ pu46DZ (polar pu12DZ (aib 90. ) 8))
      (SETQ pu47DZ (polar pu45DZ (aib 90. ) 1.8))
      (SETQ pu48DZ (polar pu46DZ (aib 90. ) 24))
      (SETQ pu49DZ (polar pu46DZ (aib 180. ) 9))
      (SETQ pu50DZ (polar pu45DZ (aib 0. ) 12 ))
      (SETQ pu51DZ (polar pu45DZ (aib 180. ) (/ d6DZ 2)))
      (SETQ pu52DZ (polar pu45DZ (aib 0. ) 9))
      (SETQ pu53DZ (polar pu49DZ (aib 0. ) 1))
      (SETQ pu54DZ (polar pu12DZ (aib 90. ) 16))
      (SETQ pu55DZ (polar pu14DZ (aib 270. ) 8))

      (SETQ pu56DZ (polar pu48DZ (aib 90. ) 1.8 ))
      (SETQ pu57DZ (polar pu48DZ (aib 0. ) 40 ))
      (SETQ pu58DZ (polar pu48DZ (aib 0. ) 22 ))
      (SETQ pu59DZ (polar pu13DZ (aib 0. ) s1DZ))
      (SETQ pu60DZ (polar pu57DZ (aib 270. ) 32))
      (SETQ pu61DZ (polar pu59DZ (aib 0. ) 10))

      (SETQ pu62DZ (polar pu12DZ (aib 180. ) 16))
      (SETQ pu63DZ (polar pu62DZ (aib 180. ) 8))

      (SETQ TP1 (polar pu25DZ (aib 90. ) 1.3))
      (SETQ TP2 (polar pu35DZ (aib 90. ) 1.3 ))
      (SETQ TP3 (polar pu34DZ (aib 90. ) 1.3 ))
      (SETQ TP4 (polar pu39DZ (aib 90. ) 1.3))
      (SETQ TP5 (polar pu42DZ (aib 90. ) 1.3))
      (SETQ TP6 (polar pu43DZ (aib 90. ) 1.3))
      (SETQ TP7 (polar pu53DZ (aib 90. ) 1.3 ))
      (SETQ TP8 (polar pu52DZ (aib 90. ) 1.3 ))
      (SETQ TP9 (polar pu58DZ (aib 90. ) 1.3 ))
      (SETQ TP10 (polar pu61DZ (aib 90. ) 1.3 ))
      (SETQ TP11 (polar pu48DZ (aib 160. ) 34 ))
      (SETQ TP12 (polar pu57DZ (aib 0. ) 12 ))

      (SETQ BemText (RTOS (- d1v (* c3v 2)) 2 0))
      (SETQ BemText1 (strcat "%%C" BemText))
      (SETQ BemText2 (RTOS (- c2v gv) 2 0))
      (SETQ BemText3 (RTOS (/ d7v 2) 2 0))
      (SETQ BemText (RTOS (+ d1v (* gv 2)) 2 0))
      (SETQ BemText4 (strcat "%%C" BemText))
      (SETQ BemText (RTOS (+ d1v (* c2v 2)) 2 0))
      (SETQ BemText5 (strcat "%%C" BemText))

      (SETQ BemT1 (RTOS DGwahl 2 0))
      (SETQ BemT2 (RTOS DAwahl 2 0))
      (SETQ BemText6 (strcat BemT2 " x M" BemT1 " x 6"))

      (SETQ BemText7 (RTOS (- c1v gv) 2 0))
      (SETQ BemText8 (RTOS (/ d6v 2) 2 0))
      (SETQ BemText (RTOS (+ D1v (* c1v 2)) 2 0))
      (SETQ BemText9 (strcat "%%C" BemText))
      (SETQ BemText (RTOS (- D1v (* s1v 2)) 2 0))
      (SETQ BemText10 (strcat "%%C" BemText))
      (SETQ Text1 "%%UDetail Standzarge")
      (SETQ Text2 "%%UAlle Kehlnhte a = ?")

      (command "_layer" "_s" Masslinie "")
      (command "_text" TP1 "2.7" "0." BemText1)
      (command "_text" TP2 "2.7" "0." BemText2)
      (command "_text" TP3 "2.7" "0." BemText3)
      (command "_text" TP4 "2.7" "0." BemText4)
      (command "_text" TP5 "2.7" "0." BemText5)
      (command "_text" TP6 "2.7" "0." BemText6)
      (command "_text" TP7 "2.7" "0." BemText7)
      (command "_text" TP8 "2.7" "0." BemText8)
      (command "_text" TP9 "2.7" "0." BemText9)
      (command "_text" TP10 "2.7" "0." BemText10)

      (command "_insert" "*bempfeil" pu23DZ "" "0") 
      (command "_insert" "*bempfeil" pu27DZ "" "0") 
      (command "_insert" "*bempfeil" pu28DZ "" "180") 
      (command "_insert" "*bemkreis" pu33DZ "" "0") 
      (command "_insert" "*bempfeil" pu36DZ "" "0") 
      (command "_insert" "*bempfeil" pu30DZ "" "0") 
      (command "_insert" "*bempfeil" pu45DZ "" "0") 
      (command "_insert" "*bempfeil" pu46DZ "" "180") 
      (command "_insert" "*bemkreis" pu51DZ "" "0") 
      (command "_insert" "*bempfeil" pu48DZ "" "0") 
      (command "_insert" "*bempfeil" pu59DZ "" "0") 

      (setq mfTSS (rtos mfTS 2 0))
      (setq BStilAA (strcat "F" mfTSS "AA"))
      (setq BStilEA (strcat "F" mfTSS "AA"))
      (setq BStilEE (strcat "F" mfTSS "AA"))

      (command "_dim" "_dimstyle _r" BSTilEA )
      (command "_hor" pu4DZ pu2DZ pu44DZ "")
      (command "_dimstyle _r" BSTilEE )
      (command "_hor" pu13DZ pu12DZ pu54DZ "")
      (command "_hor" pu4DZ pu3DZ pu55DZ "")
      (command "_ver" pu11DZ pu12DZ pu62DZ "")
      (command "_ver" pu2DZ pu1DZ pu62DZ "")
      (command "_dimstyle _r" BSTilAA )
      (command "_ver" pu2DZ pu11DZ pu62DZ "")
      (command "_ver" pu1DZ pu12DZ pu63DZ "")
      (command "_exit")

      (command "_line" pu9DZ pu24DZ "")
      (command "_line" pu23DZ pu26DZ "")
      (command "_line" pu1DZ pu40DZ "")
      (command "_line" pu7DZ pu29DZ "")
      (command "_line" pu31DZ pu32DZ "")
      (command "_line" mp5DZ pu37DZ "")
      (command "_line" pu36DZ pu38DZ "")
      (command "_line" pu30DZ pu41DZ "")

      (command "_line" pu49DZ pu50DZ "")
      (command "_line" pu15DZ pu47DZ "")

      (command "_line" pu48DZ pu57DZ "")
      (command "_line" pu12DZ pu56DZ "")
      (command "_line" pu59DZ pu60DZ "")

      (command "_layer" "_s" Mittellinie "")
      (command "_line" mp5DZ mp6DZ "")

      (command "_layer" "_s" Vollinie05 "")
      (command "_line" pu18DZ pu1DZ pu2DZ pu17DZ "")
      (command "_line" pu7DZ pu8DZ "")
      (command "_line" pu9DZ pu10DZ "")
      (command "_line" pu3DZ pu6DZ "")
      (command "_line" pu4DZ pu5DZ "")
      (command "_line" pu2DZ pu11DZ pu12DZ pu13DZ "")
      (command "_line" pu11DZ pu14DZ "")
      (command "_line" pu15DZ pu16DZ "")

      (command "_layer" "_s" Vollinie025 "")
      (command "_pline" pu22DZ pu5DZ pu6DZ pu21DZ "")
      (command "_pline" pu19DZ pu17DZ pu18DZ pu20DZ "")

      (command "_layer" "_s" Text07 "")
      (command "_text" TP11 "8" "0." Text1)
      (command "_layer" "_s" Text05 "")
      (command "_text" TP12 "3.5" "0." Text2)

;**** Standzarge Detail Grundring/Furing, rechte Ansicht ***********
      (setq pu64DZ (polar pu18DZ (aib 0.) 40))
      (setq pu65DZ (polar pu64DZ (aib 90.) s2DZ))
      (setq pu66DZ (polar pu65DZ (aib 180.) 1))
      (setq pu67DZ (polar pu66DZ (aib 85.) 4))
      (setq pu68DZ (polar pu64DZ (aib 265.) 4))

      (setq pu69DZ (polar pu64DZ (aib 0.) (* eDZ 2.5)))

      (setq pu70DZ (polar pu69DZ (aib 0.) (* eDZ 2.5)))
      (setq pu71DZ (polar pu70DZ (aib 90.) s2DZ))
      (setq pu72DZ (polar pu71DZ (aib 0.) 1))
      (setq pu73DZ (polar pu72DZ (aib 85.) 4))
      (setq pu74DZ (polar pu70DZ (aib 275.) 4))

      (setq pu75DZ (polar pu69DZ (aib 90.) h7DZ))
      (setq pu76DZ (polar pu75DZ (aib 0.) (* eDZ 2.5)))
      (setq pu77DZ (polar pu75DZ (aib 180.) (* eDZ 2.5)))
      (setq pu78DZ (polar pu72DZ (aib 90.) (- h7DZ (+ s2DZ s4DZ))))
      (setq pu79DZ (polar pu66DZ (aib 90.) (- h7DZ (+ s2DZ s4DZ))))
      (setq pu80DZ (polar pu79DZ (aib 275.) 4))
      (setq pu81DZ (polar pu77DZ (aib 95.) 5))
      (setq pu82DZ (polar pu78DZ (aib 265.) 4))
      (setq pu83DZ (polar pu76DZ (aib 85.) 5))

      (setq pu84DZ (polar pu69DZ (aib 180.) (/ d7DZ 2)))
      (setq pu85DZ (polar pu69DZ (aib 0.) (/ d7DZ 2)))
      (setq pu86DZ (polar pu69DZ (aib 90.) s2DZ))
      (setq pu87DZ (polar pu86DZ (aib 180.) (/ d7DZ 2)))
      (setq pu88DZ (polar pu86DZ (aib 0.) (/ d7DZ 2)))

      (setq pu89DZ (polar pu75DZ (aib 270.) s4DZ))
      (setq pu90DZ (polar pu75DZ (aib 180.) (/ d6DZ 2)))
      (setq pu91DZ (polar pu75DZ (aib 0.) (/ d6DZ 2)))
      (setq pu92DZ (polar pu89DZ (aib 180.) (/ d6DZ 2)))
      (setq pu93DZ (polar pu89DZ (aib 0.) (/ d6DZ 2)))

      (setq pu94DZ (polar pu86DZ (aib 180.) (/ eDZ 2)))
      (setq pu95DZ (polar pu86DZ (aib 0.) (/ eDZ 2)))
      (setq pu96DZ (polar pu89DZ (aib 180.) (/ eDZ 2)))
      (setq pu97DZ (polar pu89DZ (aib 0.) (/ eDZ 2)))
      (setq pu98DZ (polar pu94DZ (aib 180.) s5DZ))
      (setq pu99DZ (polar pu95DZ (aib 0.) s5DZ))
      (setq pu100DZ (polar pu96DZ (aib 180.) s5DZ))
      (setq pu101DZ (polar pu97DZ (aib 0.) s5DZ))
      (setq pu102DZ (polar pu84DZ (aib 270.) 8))
      (setq pu103DZ (polar pu90DZ (aib 90.) 8))
      (setq pu104DZ (polar pu84DZ (aib 90.) (/ h7DZ 3)))
      (setq pu105DZ (polar pu84DZ (aib 90.) (* (/ h7DZ 3) 2)))

      (setq mp1DZ (polar pu75DZ (aib 90.) 4))
      (setq mp2DZ (polar pu69DZ (aib 270.) 4))

      (command "_layer" "_s" Masslinie "")
      (command "_dim" "_dimstyle _r" BSTilAA )
      (command "_hor" pu90DZ pu91DZ pu103DZ "")
      (command "_hor" pu84DZ pu85DZ pu102DZ "")
      (command "_dimstyle _r" BSTilEE )
      (command "_hor" pu95DZ pu99DZ pu104DZ "")
      (command "_hor" pu94DZ pu95DZ pu105DZ "")
      (command "_exit")

      (command "_layer" "_s" Vollinie05 "")
      (command "_line" pu64DZ pu70DZ "")
      (command "_line" pu66DZ pu72DZ "")
      (command "_line" pu79DZ pu78DZ "")
      (command "_line" pu77DZ pu76DZ "")
      (command "_line" pu98DZ pu100DZ "")
      (command "_line" pu94DZ pu96DZ "")
      (command "_line" pu84DZ pu87DZ "")
      (command "_line" pu92DZ pu90DZ "")
      (command "_line" pu85DZ pu88DZ "")
      (command "_line" pu93DZ pu91DZ "")
      (command "_line" pu95DZ pu97DZ "")
      (command "_line" pu99DZ pu101DZ "")

      (command "_layer" "_s" Mittellinie "")
      (command "_line" mp1DZ mp2DZ "")

      (command "_layer" "_s" Vollinie025 "")
      (command "_pline" pu67DZ pu66DZ pu64DZ pu68DZ "")
      (command "_pline" pu73DZ pu72DZ pu70DZ pu74DZ "")
      (command "_pline" pu81DZ pu77DZ pu79DZ pu80DZ "")
      (command "_pline" pu83DZ pu76DZ pu78DZ pu82DZ "")

;**** Standzarge Detail Grundring/Furing, untere Ansicht************
      (setq mp1DZ (polar mp2DZ (aib 90.) (- (/ d1DZ 2) 25)))
      (setq pu1DZ (polar mp1DZ (aib 259.) (- (/ d1DZ 2) (* s1DZ 2))))
      (setq pu2DZ (polar mp1DZ (aib 259.3) (/ d1DZ 2)))
      (setq pu3DZ (polar mp1DZ (aib 260.1) (+ (/ d1DZ 2) gDZ)))
      (setq pu4DZ (polar mp1DZ (aib 260.4) (+ (/ d1DZ 2) c2DZ)))
      (setq pu5DZ (polar mp1DZ (aib 260.7) (+ (/ d1DZ 2) c1DZ)))
      (setq pu6DZ (polar mp1DZ (aib 270.) (+ (/ d1DZ 2) gDZ)))
      (setq pu7DZ (polar pu6DZ (aib 180.) (/ d6DZ 2)))
      (setq pu8DZ (polar pu6DZ (aib 0.) (/ d6DZ 2)))
      (setq pu9DZ (polar pu6DZ (aib 180.) (/ d7DZ 2)))
      (setq pu10DZ (polar pu6DZ (aib 0.) (/ d7DZ 2)))

      (setq pu11DZ (polar mp1DZ (aib 270.) (- (/ d1DZ 2) (* s1DZ 2))))
      (setq pu12DZ (polar mp1DZ (aib 270.) (+ (/ d1DZ 2) c1DZ)))
      (setq C (+ (/ d1DZ 2) c1DZ))
      (setq A (/ d6DZ 2))
      (phyt c a)
      (setq pu13DZ (polar mp1DZ (aib 270.) Laenge))
      (setq pu14DZ (polar pu13DZ (aib 180.) (/ d6DZ 2)))
      (setq pu15DZ (polar pu13DZ (aib 0.) (/ d6DZ 2)))

      (setq C (+ (/ d1DZ 2) c2DZ))
      (setq A (/ d7DZ 2))
      (phyt c a)
      (setq pu16DZ (polar mp1DZ (aib 270.) Laenge))
      (setq pu17DZ (polar pu16DZ (aib 180.) (/ d7DZ 2)))
      (setq pu18DZ (polar pu16DZ (aib 0.) (/ d7DZ 2)))

      (setq pu24DZ (polar mp1DZ (aib 279.6) (+ (/ d1DZ 2) c2DZ)))
      (setq pu25DZ (polar mp1DZ (aib 279.3) (+ (/ d1DZ 2) c1DZ)))

      (setq C (/ d1DZ 2))
      (setq A (/ eDZ 2))
      (phyt c a)
      (setq pu26DZ (polar mp1DZ (aib 270.) Laenge))
      (setq pu27DZ (polar pu26DZ (aib 180.) (/ eDZ 2)))
      (setq pu28DZ (polar pu26DZ (aib 0.) (/ eDZ 2)))
      (setq pu29DZ (polar pu28DZ (aib 0.) s5DZ))
      (setq pu30DZ (polar pu27DZ (aib 180.) s5DZ))

      (setq C (+ (/ d1DZ 2) c1DZ))
      (setq A (+ (/ eDZ 2) s5DZ))
      (phyt c a)
      (setq pu31DZ (polar mp1DZ (aib 270.) Laenge))
      (setq pu32DZ (polar pu31DZ (aib 180.) (+ (/ eDZ 2) s5DZ)))
      (setq pu33DZ (polar pu31DZ (aib 0.) (+ (/ eDZ 2) s5DZ)))
      (setq pu34DZ (polar pu33DZ (aib 180.) s5DZ))
      (setq pu35DZ (polar pu32DZ (aib 0.) s5DZ))

      (setq C (+ (/ d1DZ 2) c2DZ))
      (setq A (+ (/ eDZ 2) s5DZ))
      (phyt c a)
      (setq pu36DZ (polar mp1DZ (aib 270.) Laenge))
      (setq pu37DZ (polar pu36DZ (aib 180.) (+ (/ eDZ 2) s5DZ)))
      (setq pu38DZ (polar pu36DZ (aib 0.) (+ (/ eDZ 2) s5DZ)))
      (setq pu39DZ (polar pu38DZ (aib 180.) s5DZ))
      (setq pu40DZ (polar pu37DZ (aib 0.) s5DZ))

      (setq mp3DZ (polar pu11DZ (aib 90.) 5))
      (setq mp4DZ (polar pu12DZ (aib 270.) 5))

      (command "_layer" "_s" Vollinie05 "")
      (command "_arc" "_c" mp1DZ pu1DZ "_a" 22)
      (command "_arc" "_c" mp1DZ pu2DZ "_a" 21.4)
      (command "_arc" pu5DZ "_c" mp1DZ pu14DZ)
      (command "_arc" pu15DZ "_c" mp1DZ pu25DZ)
      (command "_arc" pu8DZ "_c" pu6DZ pu7DZ )
      (command "_line" pu14DZ pu7DZ "")
      (command "_line" pu15DZ pu8DZ "")

      (command "_layer" "_s" Mittellinie "")
      (command "_arc" "_c" mp1DZ pu3DZ "_a" 19.8)
      (command "_line" mp3DZ mp4DZ "")

      (command "_layer" "_s" VerdeckteLinie "")
      (command "_arc" pu4DZ "_c" mp1DZ pu17DZ)
      (command "_arc" pu18DZ "_c" mp1DZ pu24DZ)
      (command "_arc" pu10DZ "_c" pu6DZ pu9DZ )
      (command "_line" pu17DZ pu9DZ "")
      (command "_line" pu18DZ pu10DZ "")
      (command "_line" pu30DZ pu27DZ pu35DZ pu32DZ "_c")
      (command "_line" pu37DZ pu40DZ "")
      (command "_line" pu28DZ pu29DZ pu33DZ pu34DZ "_c")
      (command "_line" pu39DZ pu38DZ "")

;**** Standzarge Detail Tragring, Ventilationsrohr ******************
      (setq pu1DZ (polar bpstzd (aib 180) 50))
      (setq pu2DZ (polar pu1DZ (aib 90) s1DZ))
      (setq pu3DZ (polar pu2DZ (aib 180) 1))
      (setq pu4ADZ (polar pu1DZ (aib 268) 4))
      (setq pu4BDZ (polar pu3DZ (aib 88) 3))
      (setq pu5DZ (polar pu1DZ (aib 180) (+ tltragDZ dtragDZ (MassD 80) (/ vrdDZ 2) 36)))
      (setq pu6DZ (polar pu5DZ (aib 90) s1DZ))
      (setq pu17DZ (polar pu5DZ (aib 0) tltragDZ))
      (setq pu18DZ (polar pu17DZ (aib 270) btragDZ))
      (setq pu19DZ (polar pu18DZ (aib 0) dtragDZ))
      (setq pu20DZ (polar pu19DZ (aib 90) btragDZ))
      (setq pu21DZ (list (- (+ (car pu19DZ) (MassD 80)) (/ vrdDZ 2)) (+ (cadr pu6DZ) vrilDZ)))
      (setq pu22DZ (polar pu21DZ (aib 270) (+ vrilDZ vralDZ s1DZ)))
      (setq pu23DZ (polar pu21DZ (aib 0) vrsDZ))
      (setq pu24DZ (list (car pu23DZ) (cadr pu22DZ)))
      (setq pu27DZ (polar pu21DZ (aib 0) vrdDZ))
      (setq pu25DZ (polar pu27DZ (aib 180) vrsDZ))
      (setq pu26DZ (list (car pu25DZ) (cadr pu22DZ)))
      (setq pu28DZ (list (car pu27DZ) (cadr pu22DZ)))
      (setq pu29DZ (list (car pu21DZ) (cadr pu3DZ)))
      (setq pu30DZ (list (car pu21DZ) (cadr pu5DZ)))
      (setq pu31DZ (list (car pu27DZ) (cadr pu5DZ)))
      (setq pu32DZ (list (car pu27DZ) (cadr pu3DZ)))
      (setq pu33DZ (polar pu28DZ (aib 0) 8))
      (setq pu34DZ (polar pu28DZ (aib 0) 16))
      (setq pu35DZ (polar pu27DZ (aib 90) 8))
      (setq pu36DZ (polar pu27DZ (aib 90) 16))
      (setq pu37DZ (polar pu5DZ (aib 270) 6))
      (setq pu38DZ (polar pu6DZ (aib 90) 8))
      (setq pu39DZ (polar pu5DZ (aib 270) 5))
      (setq pu40DZ (polar pu39DZ (aib 180) 1.5))

      (setq mp8 (list (+ (car pu21DZ) (/ vrdDZ 2)) (+ (cadr pu21DZ) 5)))
      (setq mp7 (list (car mp8) (- (cadr pu22DZ) 3)))

      (setq pu42DZ (polar pu31DZ (aib 0) 24))
      (setq pu43DZ (polar pu31DZ (aib 0) 32))
      (setq pu44DZ (polar pu43DZ (aib 90) 30))
      (setq pu45DZ (polar pu43DZ (aib 90) 8))
      (setq pu46DZ (polar pu45DZ (aib 180) 1.5))
      (setq pu47DZ (polar pu18DZ (aib 270) 8))
      (setq pu48DZ (polar pu17DZ (aib 180) 8))
      (setq pu49DZ (polar pu47DZ (aib 270) 8))
      (setq pu50DZ (polar pu49DZ (aib 270) 8))

;**** Geometrieerzeugung, Detail, Tragring
      (SETQ Text1 "TL")

      (command "_layer" "_s" Text035 "")
      (command "_text" pu40DZ "3.5" "90" Text1)

      (command "_layer" "_s" Mittellinie "")
      (command "_line" mp7 mp8 "")
      (command "_line" pu37DZ pu38DZ "")
 
      (command "_layer" "_s" Vollinie025 "")
      (command "_pline" pu4ADZ pu1DZ pu3DZ pu4BDZ "")
 
      (command "_layer" "_s" Vollinie05 "")
      (command "_line" pu3DZ pu32DZ "")
      (command "_line" pu1DZ pu31DZ "")
      (command "_line" pu29DZ pu6DZ "") 
      (command "_line" pu5DZ pu30DZ "")
      (command "_line" pu17DZ pu18DZ pu19DZ pu20DZ "")
      (command "_line" pu21DZ pu22DZ pu28DZ pu27DZ "_c")
      (command "_line" pu23DZ pu24DZ "")
      (command "_line" pu25DZ pu26DZ "")

      (SETQ BemText (RTOS vrdv 2 0))
      (SETQ BemText1 (strcat "%%C" BemText))
      (SETQ BemText (RTOS d1v 2 0))
      (SETQ BemText2 (strcat "%%C" BemText))

      (command "_layer" "_s" Masslinie "")
      (command "_dim" "_dimstyle _r" BSTilAA )
      (command "_hor" pu21DZ pu27DZ pu36DZ Bemtext1)
      (command "_hor" pu37DZ mp7 pu50DZ "")
      (command "_hor" pu25DZ pu27DZ pu35DZ "")
      (command "_ver" pu28DZ pu27DZ pu34DZ "")
      (command "_ver" pu31DZ pu28DZ pu33DZ "")
      (command "_dim" "_dimstyle _r" BSTilEA )
      (command "_hor" pu37DZ pu18DZ pu49DZ "")
      (command "_ver" pu17DZ pu18DZ pu48DZ "")
      (command "_hor" pu18DZ pu19DZ pu47DZ "")
      (command "_dim" "_dimstyle _r" BSTilEE )
      (command "_ver" pu31DZ pu32DZ pu42DZ "")

      (command "_exit")
      (command "_line" pu43DZ pu44DZ "")
      (command "_text" pu46DZ "2.7" "90" BemText2)
      (command "_insert" "*bempfeil" pu43DZ "" "90") 
    )
  )

;*** Standzargeneinstieg
  (SETQ TASTE4 "1")
  (WHILE (> TASTE4 "0")
    (prompt   "\n------------------------------")
    (prompt   "\n            -----  Standzargen-Einstieg -----      ")
    (prompt   "\------------------------------")
    (prompt   "\n            Einstieg oval, gerade                <1> ")
    (prompt   "\n            Einstieg oval, angepat              <2> ")
    (prompt   "\n            Einstieg rund, gerade                <3> ")
    (prompt   "\n            Einstieg rund, angepat              <4> ")
    (prompt   "\n            Splffnung                          <5> ")
    (prompt   "\------------------------------")
    (prompt   "\n            Keine weiteren Teile                 <0> ")
    (initget 1 "1 2 3 4 5 6 0")
    (setq TASTE4
    (getkword"\n            Bitte whlen Sie eine Option          : "))
    (IF (= TASTE4 "1")
      (PROGN 
        (command "_vslide" "DI280825")
        (EinstiegOval)
      )
    )
    (IF (= TASTE4 "2")
      (PROGN 
        (command "_vslide" "DI280826")
        (EinstiegOval)
      )
    )
    (IF (= TASTE4 "3")
      (PROGN 
        (command "_vslide" "DI280827")
        (EinstiegRund)
      )
    )    
    (IF (= TASTE4 "4")
      (PROGN
        (command "_vslide" "DI280828")
        (EinstiegRund)
      )
    )    
      (IF (= TASTE4 "5")
        (PROGN (Spueloeffnung))
      )
    )
  )
  ) 
  (Endesequenz)
) 
;*** Ende Unterprogramm Standzarge *************************

;*** Unterprogramm fr Stanzargen-Einstieg Oval ****************
(defun EinstiegOval ()
   (setq brbv  (getreal"\n          Abstand Basis bis Rechter Brennpunkt       : "))
   (setq lilaev(getreal  "          Lichte Abmessungen - in Lngsrichtung      : "))
   (setq liquev(getreal  "                               in Querrichtung       : "))
   (setq ringsv(getreal  "          Wandstrke des Ringes                      : "))

;****** Masstabs - Umrechnung
   (setq brb (Mass brbv) lilae (Mass lilaev) lique (Mass liquev))
   (setq rings (Mass ringsv))
   (setq JN (getstring   "          Detailzeichnung einfgen             (J/N) : "))
   (IF (OR (= JN "J" )(= JN "j"))
     (PROGN
       (setq alav  (getreal"\n          uere Lnge                               : "))
       (setq ilav  (getreal  "          innere Lnge                               : "))
       (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
       (setq mfTSTASTE
                (getkword  "\n          Mastabsfaktor - Detailzeichnung         1 : "))
       (setq mfTS (atof mfTSTASTE))
       (IF (= mfTS nil) (setq mfTS 1))
       (command "_redraw")
       (setq bpZEd(getpoint"          Basispunkt, Detailzeichnung................: "))

;*** Masstabs - Umrechnung, Detail
       (setq brbD (MassD brbv) lilaeD (MassD lilaev) liqueD (MassD liquev))
       (setq ringsD (MassD ringsv) alaD (MassD alav) ilaD (MassD ilav))
       (setq d1D (MassD d1v) s1D (MassD s1v) mfTSS (rtos mfTS 2 0))
       (setq BStilAA (strcat "F" mfTSS "AA"))
       (setq BStilEA (strcat "F" mfTSS "AA"))
       (setq BStilEE (strcat "F" mfTSS "AA"))
     )
   )

;*** Punkte, Seitenansicht
   (setq o1 (polar AHP3 (aib 180) brb))
   (setq o2 (polar o1 (aib 90) (/ lique 2)))
   (setq o3 (polar o1 (aib 270) (/ lique 2)))
   (setq o4 (polar o1 (aib 180) (- lilae lique)))
   (setq o5 (list (car o4) (cadr o2)))
   (setq o6 (list (car o4) (cadr o3)))
   (setq o7 (polar o6 (aib 270) rings))
   (setq o8 (polar o5 (aib 90) rings))
   (setq o9 (list (car o2) (cadr o8)))
   (setq o10 (list (car o2) (cadr o7)))
   (setq o11 (polar o10 (aib 270) (Mass 50)))
   (setq o12 (list (car o4) (cadr o11)))
   (setq o13 (polar o8 (aib 90) (Mass 50)))
   (setq o14 (list (car o1) (cadr o13)))

;*** Geometrie, Seitenansicht
   (command "_layer" "_s" Vollinie025 "")
   (command "_line" o11 o14 "")
   (command "_line" o12 o13 "")

   (command "_layer" "_s" Vollinie05 "")
   (command "_pline" o6 o3 "_a" o2 "_l" o5 "_a" o6 "_l" "")
   (command "_pline" o7 o10 "_a" o9 "_l" o8 "_a" o7 "_l" "")

;*** Punkte, Detail Seitenansicht, gerade und angrpat
  (IF (OR (= JN "J" )(= JN "j"))
    (PROGN
      (setq o1D bpZEd)
      (setq o2D (polar o1D (aib 0) (/ liqueD 2)))
      (setq o3D (polar o1D (aib 180) (/ liqueD 2)))
      (setq o4D (polar o1D (aib 90) (- lilaeD liqueD)))
      (setq o5D (list (car o2D) (cadr o4D)))
      (setq o6D (list (car o3D) (cadr o4D)))
      (setq o7D (polar o6D (aib 180) ringsD))
      (setq o8D (polar o5D (aib 0) ringsD))
      (setq o9D (list (car o8D) (cadr o2D)))
      (setq o10D (list (car o7D) (cadr o2D)))
      (setq o11D (polar o10D (aib 180) 4))
      (setq o12D (list (car o11D) (cadr o7D)))
      (setq o13D (polar o8D (aib 0) 4))
      (setq o14D (list (car o13D) (cadr o9D)))
      (setq o15D (polar o1D (aib 270) (+ (/ liqueD 2) ringsD 5)))
      (setq o16D (polar o4D (aib 90) (+ (/ liqueD 2) ringsD 5)))
      (setq o17D (polar o13D (aib 0) 4))
      (setq o18D (polar o2D (aib 90) 8))
      (setq o19D (polar o4D (aib 45) (/ liqueD 2)))
      (setq o20D (polar o4D (aib 45) (+ (/ liqueD 2) ringsD)))
      (setq o21D (polar o4D (aib 45) (/ liqueD 3)))
      (setq o22D (polar o16D (aib 144) 33))
      (setq o22TD (polar o4D (aib 60.) 3))
      (SETQ Text1 "%%UZargeneinstieg")
      (SETQ BemText1 (RTOS (/ liquev 2) 2 0))

;*** Geometrie, Detail, Seitensicht, gerade und angepat
       (command "_layer" "_s" Text07 "")
       (command "_text" o22D "8" "0." Text1)

       (command "_layer" "_s" Mittellinie "")
       (command "_line" o11D o14D "")
       (command "_line" o12D o13D "")
       (command "_line" o15D o16D "")

       (command "_layer" "_s" Vollinie05 "")
       (command "_pline" o6D o3D "_a" o2D "_l" o5D "_a" o6D "_l" "")
       (command "_explode" "_l")
       (command "_pline" o7D o10D "_a" o9D "_l" o8D "_a" o7D "_l" "")
       (command "_explode" "_l")

       (command "_layer" "_s" Masslinie "")
       (command "_dim" "_dimstyle _r" BSTilAA)
       (command "_ver" o13D o14D o17D "")
       (command "_dimstyle _r" BSTilEE)
       (command "_hor" o3D o2D o18D "")
       (command "_hor" o3D o10D o18D "")
       (command "_dimaligned" o19D o20D o20D "")
       (command "_exit")
       (command "_line" o4D o19D "")
       (command "_text" o22TD "2.7" "45." BemText1)

;*** Punkte, Detail, Draufsicht, gerades Rohr
      (IF (= Taste4 "1")
        (PROGN
          (setq o23D (polar o15D (aib 270) 30))
          (setq o24D (polar o23D (aib 270) (* ilaD 2)))
          (setq o25D (polar o24D (aib 90) (/ d1D 2)))
          (setq o27D (polar o24D (aib 270) alaD))
          (setq o28D (polar o24D (aib 270) (+ alaD 6)))
          (setq o29D (polar o28D (aib 0) (* liqueD 1.4)))
          (setq o30D (polar o27D (aib 180) (+ (/ liqueD 2) ringsD)))
          (setq o31D (polar o27D (aib 180) (/ liqueD 2)))
          (setq o32D (polar o27D (aib 0) (+ (/ liqueD 2) ringsD)))
          (setq o33D (polar o27D (aib 0) (/ liqueD 2)))

          (setq C (- (/ d1D 2) s1D))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o44D (polar o25D (aib 270.) Laenge))
          (setq o45D (polar o44D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o46D (polar o44D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (/ d1D 2))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o47D (polar o25D (aib 270.) Laenge))
          (setq o48D (polar o47D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o49D (polar o47D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (- (/ d1D 2) s1D))
          (setq A liqueD)
          (phyt C A)
          (setq o50D (polar o25D (aib 270.) Laenge))
          (setq o51D (polar o50D (aib 180.) liqueD))
          (setq o52D (polar o50D (aib 0.) liqueD))
          (setq C (/ d1D 2))
          (setq A liqueD)
          (phyt C A)
          (setq o53D (polar o25D (aib 270.) Laenge))
          (setq o54D (polar o53D (aib 180.) (+ liqueD 1)))
          (setq o55D (polar o53D (aib 0.) (+ liqueD 1)))
          (setq o56D (polar o28D (aib 180) (* liqueD 1.2)))
          (setq o57D (polar o52D (aib 80) 3))
          (setq o58D (polar o55D (aib 260) 2))
          (setq o59D (polar o51D (aib 100) 3))
          (setq o60D (polar o54D (aib 280) 2))

          (setq o61D (polar o45D (aib 90) ilaD))
          (setq o62D (polar o61D (aib 0) ringsD))
          (setq o63D (polar o62D (aib 0) liqueD))
          (setq o64D (polar o63D (aib 0) ringsD))

;*** Geometrie, Detail, Draufsicht
          (command "_layer" "_s" Mittellinie "")
          (command "_line" o23D o28D "")

          (command "_layer" "_s" Vollinie025 "")
          (command "_line" o57D o52D o55D o58D "")
          (command "_line" o59D o51D o54D o60D "")

          (command "_layer" "_s" Vollinie05 "")
          (command "_line" o61D o64D o32D o30D "_c")
          (command "_line" o62D o31D "")
          (command "_line" o63D o33D "")

          (command "_arc" o51D "_c" o25D o45D)
          (command "_arc" o46D "_c" o25D o52D)
          (command "_arc" o54D "_c" o25D o48D)
          (command "_arc" o49D "_c" o25D o55D)

          (command "_layer" "_s" VerdeckteLinie "")
          (command "_arc" o45D "_c" o25D o46D)
          (command "_arc" o48D "_c" o25D o49D)

          (command "_layer" "_s" Masslinie "")
          (command "_dim" "_dimstyle _r" BSTilAA)
          (command "_ver" o64D o32D o29D "")
          (command "_ver" o24D o30D o56D "")
          (command "_exit")
        )
      )
;*** Punkte, Detail, Draufsicht, angepates Rohr, rund
      (IF (= Taste4 "2")
        (PROGN
          (setq o23D (polar o15D (aib 270) 30))
          (setq o24D (polar o23D (aib 270) (* ilaD 2)))
          (setq o25D (polar o24D (aib 90) (/ d1D 2)))
          (setq o26D (polar o25D (aib 270) (- (- (/ d1D 2) ilaD) s1D)))
          (setq o27D (polar o25D (aib 270) (+ (/ d1D 2) alaD)))
          (setq o28D (polar o27D (aib 270) 6))
          (setq o29D (polar o27D (aib 0) (* liqueD 1.4)))
          (setq o30D (polar o29D (aib 0) 8))
          (setq C (- (- (/ d1D 2) ilaD) s1D))
          (setq A (/ liqueD 2))
          (phyt C A)
          (setq o31D (polar o25D (aib 270.) Laenge))
          (setq o32D (polar o31D (aib 180.) (/ liqueD 2)))
          (setq o33D (polar o31D (aib 0.) (/ liqueD 2)))
          (setq C (- (- (/ d1D 2) ilaD) s1D))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o34D (polar o25D (aib 270.) Laenge))
          (setq o35D (polar o34D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o36D (polar o34D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (+ (/ d1D 2) alaD))
          (setq A (/ liqueD 2))
          (phyt C A)
          (setq o37D (polar o25D (aib 270.) Laenge))
          (setq o38D (polar o37D (aib 180.) (/ liqueD 2)))
          (setq o39D (polar o37D (aib 0.) (/ liqueD 2)))
          (setq C (+ (/ d1D 2) alaD))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o40D (polar o25D (aib 270.) Laenge))
          (setq o41D (polar o40D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o42D (polar o40D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (- (/ d1D 2) s1D))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o44D (polar o25D (aib 270.) Laenge))
          (setq o45D (polar o44D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o46D (polar o44D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (/ d1D 2))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o47D (polar o25D (aib 270.) Laenge))
          (setq o48D (polar o47D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o49D (polar o47D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (- (/ d1D 2) s1D))
          (setq A liqueD)
          (phyt C A)
          (setq o50D (polar o25D (aib 270.) Laenge))
          (setq o51D (polar o50D (aib 180.) liqueD))
          (setq o52D (polar o50D (aib 0.) liqueD))
          (setq C (/ d1D 2))
          (setq A liqueD)
          (phyt C A)
          (setq o53D (polar o25D (aib 270.) Laenge))
          (setq o54D (polar o53D (aib 180.) (+ liqueD 1)))
          (setq o55D (polar o53D (aib 0.) (+ liqueD 1)))
          (setq o56D (polar o27D (aib 180) (* liqueD 1.2)))
          (setq o57D (polar o52D (aib 80) 3))
          (setq o58D (polar o55D (aib 260) 2))
          (setq o59D (polar o51D (aib 100) 3))
          (setq o60D (polar o54D (aib 280) 2))

          (setq o61D (polar o25D (aib 265.) (- (- (/ d1D 2) ilaD) s1D)))
          (setq o62D (polar o25D (aib 265.) (- (- (- (/ d1D 2) ilaD) s1D) 35)))
          (setq o63D (polar o62D (aib 265.) 20))
          (setq o64D (polar o63D (aib 175.) 1.2))
          (setq o65D (polar o25D (aib 275.) (+ (/ d1D 2) alaD)))
          (setq o66D (polar o25D (aib 275.) (- (- (- (/ d1D 2) ilaD) s1D) 35)))
          (setq o67D (polar o66D (aib 275.) 20))
          (setq o68D (polar o67D (aib 185.) 1.2))

          (SETQ BemText (RTOS (- (- (/ d1v 2) ilav) s1v) 2 0))
          (SETQ BemText2 (strcat "R" BemText))
          (SETQ BemText (RTOS (+ (/ d1v 2) alav) 2 0))
          (SETQ BemText3 (strcat "R" BemText))

;*** Geometrie, Detail, Draufsicht
          (command "_layer" "_s" Mittellinie "")
          (command "_line" o23D o28D "")

          (command "_layer" "_s" Vollinie025 "")
          (command "_line" o57D o52D o55D o58D "")
          (command "_line" o59D o51D o54D o60D "")

          (command "_layer" "_s" Vollinie05 "")
          (command "_arc" o35D "_c" o25D o36D)
          (command "_arc" o41D "_c" o25D o42D)
 
          (command "_arc" o51D "_c" o25D o45D)
          (command "_arc" o46D "_c" o25D o52D)
          (command "_arc" o54D "_c" o25D o48D)
          (command "_arc" o49D "_c" o25D o55D)

          (command "_line" o35D o41D "")
          (command "_line" o32D o38D "")
          (command "_line" o33D o39D "")
          (command "_line" o36D o42D "")

          (command "_layer" "_s" VerdeckteLinie "")
          (command "_arc" o45D "_c" o25D o46D)
          (command "_arc" o48D "_c" o25D o49D)

          (command "_layer" "_s" Masslinie "")
          (command "_dim" "_dimstyle _r" BSTilEA)
          (command "_ver" o27D o26D o29D "")
          (command "_dim" "_dimstyle _r" BSTilAA)
          (command "_ver" o36D o27D o30D "")
          (command "_ver" o24D o27D o56D "")
          (command "_exit")
          (command "_line" o62D o61D "")
          (command "_line" o65D o66D "")
 
          (command "_text" o64D "2.7" "86." BemText2)
          (command "_text" o68D "2.7" "94." BemText3)
          (command "_insert" "*bempfeil" o61D "" "85.") 
          (command "_insert" "*bempfeil" o65D "" "95.") 
        )
      )
    )
  )
) 
;*** Ende Unterprogramm EinstiegOval **********************

;*******************************************************************
(defun EinstiegRund ()
   (setq brbv   (getreal"\n          Basis - Mittelpunkt                        : "))
   (setq liquev (getreal  "          Lichter Durchmesser                        : "))
   (setq ringsv (getreal  "          Wandstrke des Ringes                      : "))

;*** Masstabs - Umrechnung
   (setq brb (Mass brbv) lique (Mass liquev) rings (Mass ringsv))
   (setq JN (getstring   "          Detailzeichnung einfgen             (J/N) : "))
   (IF (OR (= JN "J" )(= JN "j"))
     (PROGN
       (setq alav   (getreal"\n          uere Lnge                               : "))
       (setq ilav   (getreal  "          innere Lnge                               : "))
       (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
       (setq mfTSTASTE
                 (getkword  "\n          Mastabsfaktor - Detailzeichnung         1 : "))
       (setq mfTS (atof mfTSTASTE))
       (IF (= mfTS nil) (setq mfTS 1))
       (command "_redraw")
       (setq bpZEd(getpoint"          Basispunkt, Detailzeichnung................: "))

;*** Masstabs - Umrechnung, Detail
       (setq brbD (MassD brbv) liqueD (MassD liquev) ringsD (MassD ringsv))
       (setq alaD (MassD alav) ilaD (MassD ilav))
       (setq d1D (MassD d1v) s1D (MassD s1v) mfTSS (rtos mfTS 2 0))
       (setq BStilAA (strcat "F" mfTSS "AA"))
       (setq BStilEA (strcat "F" mfTSS "AA"))
       (setq BStilEE (strcat "F" mfTSS "AA"))
     )
   )

;*** Punkte, Seitenansicht
   (setq r1 (polar AHP3 (aib 180) brb))
   (setq r2 (polar r1 (aib 270) (+ (/ lique 2) rings (Mass 50))))
   (setq r3 (polar r1 (aib 90) (+ (/ lique 2) rings (Mass 50))))

;*** Geometrie, Seitenansicht
   (command "_layer" "_s" Mittellinie "")
   (command "_line" r2 r3 "")
   (command "_layer" "_s" Vollinie05 "")
   (command "_circle" r1 "_d" lique)
   (command "_circle" r1 "_d" (+ lique rings rings))

;*** Punkte, Detail Seitenansicht, gerade und angepat
  (IF (OR (= JN "J" )(= JN "j"))
    (PROGN
      (setq o1D bpZEd)
      (setq o2D (polar o1D (aib 0) (+ (+ (/ liqueD 2) rings) 4)))
      (setq o3D (polar o1D (aib 90) (+ (+ (/ liqueD 2) rings) 4)))
      (setq o4D (polar o1D (aib 180) (+ (+ (/ liqueD 2) rings) 4)))
      (setq o5D (polar o1D (aib 270) (+ (+ (/ liqueD 2) rings) 4)))
      (setq o6D (polar o3D (aib 144) 33))
      (setq o7D (polar o1D (aib 45) (/ liqueD 2)))
      (setq o8D (polar o1D (aib 225) (/ liqueD 2)))
      (setq o9D (polar o1D (aib 45) (+ (/ liqueD 2) ringsD)))
      (SETQ Text1 "%%UZargeneinstieg")

;*** Geometrie, Detail, Seitensicht, gerade und angepat
      (command "_layer" "_s" Text07 "")
      (command "_text" o6D "8" "0." Text1)

      (command "_layer" "_s" Mittellinie "")
      (command "_line" o3D o5D "")
      (command "_line" o4D o2D "")

      (command "_layer" "_s" Vollinie05 "")
      (command "_circle" o1D "_d" liqueD)
      (command "_circle" o1D "_d" (+ liqueD ringsD ringsD))

      (command "_layer" "_s" Masslinie "")
      (command "_dim" "_dimstyle _r" BSTilEE)
      (command "_dimaligned" o7D o8D o1D "")
      (command "_dimaligned" o7D o9D o9D "")
      (command "_exit")

;*** Punkte, Detail, Draufsicht, gerades Rohr
      (IF (= Taste4 "3")
        (PROGN
          (setq o23D (polar o5D (aib 270) 30))
          (setq o24D (polar o23D (aib 270) (* ilaD 2)))
          (setq o25D (polar o24D (aib 90) (/ d1D 2)))
          (setq o27D (polar o24D (aib 270) alaD))
          (setq o28D (polar o24D (aib 270) (+ alaD 6)))
          (setq o29D (polar o28D (aib 0) (* liqueD 1.4)))
          (setq o30D (polar o27D (aib 180) (+ (/ liqueD 2) ringsD)))
          (setq o31D (polar o27D (aib 180) (/ liqueD 2)))
          (setq o32D (polar o27D (aib 0) (+ (/ liqueD 2) ringsD)))
          (setq o33D (polar o27D (aib 0) (/ liqueD 2)))

          (setq C (- (/ d1D 2) s1D))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o44D (polar o25D (aib 270.) Laenge))
          (setq o45D (polar o44D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o46D (polar o44D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (/ d1D 2))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o47D (polar o25D (aib 270.) Laenge))
          (setq o48D (polar o47D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o49D (polar o47D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (- (/ d1D 2) s1D))
          (setq A liqueD)
          (phyt C A)
          (setq o50D (polar o25D (aib 270.) Laenge))
          (setq o51D (polar o50D (aib 180.) liqueD))
          (setq o52D (polar o50D (aib 0.) liqueD))
          (setq C (/ d1D 2))
          (setq A liqueD)
          (phyt C A)
          (setq o53D (polar o25D (aib 270.) Laenge))
          (setq o54D (polar o53D (aib 180.) (+ liqueD 1)))
          (setq o55D (polar o53D (aib 0.) (+ liqueD 1)))
          (setq o56D (polar o28D (aib 180) (* liqueD 1.2)))
          (setq o57D (polar o52D (aib 80) 3))
          (setq o58D (polar o55D (aib 260) 2))
          (setq o59D (polar o51D (aib 100) 3))
          (setq o60D (polar o54D (aib 280) 2))

          (setq o61D (polar o45D (aib 90) ilaD))
          (setq o62D (polar o61D (aib 0) ringsD))
          (setq o63D (polar o62D (aib 0) liqueD))
          (setq o64D (polar o63D (aib 0) ringsD))

;*** Geometrie, Detail, Draufsicht
          (command "_layer" "_s" Mittellinie "")
          (command "_line" o23D o28D "")

          (command "_layer" "_s" Vollinie025 "")
          (command "_line" o57D o52D o55D o58D "")
          (command "_line" o59D o51D o54D o60D "")

          (command "_layer" "_s" Vollinie05 "")
          (command "_line" o61D o64D o32D o30D "_c")
          (command "_line" o62D o31D "")
          (command "_line" o63D o33D "")

          (command "_arc" o51D "_c" o25D o45D)
          (command "_arc" o46D "_c" o25D o52D)
          (command "_arc" o54D "_c" o25D o48D)
          (command "_arc" o49D "_c" o25D o55D)

          (command "_layer" "_s" VerdeckteLinie "")
          (command "_arc" o45D "_c" o25D o46D)
          (command "_arc" o48D "_c" o25D o49D)

          (command "_layer" "_s" Masslinie "")
          (command "_dim" "_dimstyle _r" BSTilAA)
          (command "_ver" o64D o32D o29D "")
          (command "_ver" o24D o30D o56D "")
          (command "_exit")
        )
      )
;*** Punkte, Detail, Draufsicht, angepates Rohr, rund
      (IF (= Taste4 "4")
        (PROGN
          (setq o23D (polar o5D (aib 270) 30))
          (setq o24D (polar o23D (aib 270) (* ilaD 2)))
          (setq o25D (polar o24D (aib 90) (/ d1D 2)))
          (setq o26D (polar o25D (aib 270) (- (- (/ d1D 2) ilaD) s1D)))
          (setq o27D (polar o25D (aib 270) (+ (/ d1D 2) alaD)))
          (setq o28D (polar o27D (aib 270) 6))
          (setq o29D (polar o27D (aib 0) (* liqueD 1.4)))
          (setq o30D (polar o29D (aib 0) 8))
          (setq C (- (- (/ d1D 2) ilaD) s1D))
          (setq A (/ liqueD 2))
          (phyt C A)
          (setq o31D (polar o25D (aib 270.) Laenge))
          (setq o32D (polar o31D (aib 180.) (/ liqueD 2)))
          (setq o33D (polar o31D (aib 0.) (/ liqueD 2)))
          (setq C (- (- (/ d1D 2) ilaD) s1D))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o34D (polar o25D (aib 270.) Laenge))
          (setq o35D (polar o34D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o36D (polar o34D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (+ (/ d1D 2) alaD))
          (setq A (/ liqueD 2))
          (phyt C A)
          (setq o37D (polar o25D (aib 270.) Laenge))
          (setq o38D (polar o37D (aib 180.) (/ liqueD 2)))
          (setq o39D (polar o37D (aib 0.) (/ liqueD 2)))
          (setq C (+ (/ d1D 2) alaD))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o40D (polar o25D (aib 270.) Laenge))
          (setq o41D (polar o40D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o42D (polar o40D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (- (/ d1D 2) s1D))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o44D (polar o25D (aib 270.) Laenge))
          (setq o45D (polar o44D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o46D (polar o44D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (/ d1D 2))
          (setq A (+ (/ liqueD 2) ringsD))
          (phyt C A)
          (setq o47D (polar o25D (aib 270.) Laenge))
          (setq o48D (polar o47D (aib 180.) (+ (/ liqueD 2) ringsD)))
          (setq o49D (polar o47D (aib 0.) (+ (/ liqueD 2) ringsD)))
          (setq C (- (/ d1D 2) s1D))
          (setq A liqueD)
          (phyt C A)
          (setq o50D (polar o25D (aib 270.) Laenge))
          (setq o51D (polar o50D (aib 180.) liqueD))
          (setq o52D (polar o50D (aib 0.) liqueD))
          (setq C (/ d1D 2))
          (setq A liqueD)
          (phyt C A)
          (setq o53D (polar o25D (aib 270.) Laenge))
          (setq o54D (polar o53D (aib 180.) (+ liqueD 1)))
          (setq o55D (polar o53D (aib 0.) (+ liqueD 1)))
          (setq o56D (polar o27D (aib 180) (* liqueD 1.2)))
          (setq o57D (polar o52D (aib 80) 3))
          (setq o58D (polar o55D (aib 260) 2))
          (setq o59D (polar o51D (aib 100) 3))
          (setq o60D (polar o54D (aib 280) 2))

          (setq o61D (polar o25D (aib 265.) (- (- (/ d1D 2) ilaD) s1D)))
          (setq o62D (polar o25D (aib 265.) (- (- (- (/ d1D 2) ilaD) s1D) 35)))
          (setq o63D (polar o62D (aib 265.) 20))
          (setq o64D (polar o63D (aib 175.) 1.2))
          (setq o65D (polar o25D (aib 275.) (+ (/ d1D 2) alaD)))
          (setq o66D (polar o25D (aib 275.) (- (- (- (/ d1D 2) ilaD) s1D) 35)))
          (setq o67D (polar o66D (aib 275.) 20))
          (setq o68D (polar o67D (aib 185.) 1.2))
          (SETQ BemText (RTOS (- (- (/ d1v 2) ilav) s1v) 2 0))
          (SETQ BemText2 (strcat "R" BemText))
          (SETQ BemText (RTOS (+ (/ d1v 2) alav) 2 0))
          (SETQ BemText3 (strcat "R" BemText))

;*** Geometrie, Detail, Draufsicht
          (command "_layer" "_s" Mittellinie "")
          (command "_line" o23D o28D "")

          (command "_layer" "_s" Vollinie025 "")
          (command "_line" o57D o52D o55D o58D "")
          (command "_line" o59D o51D o54D o60D "")

          (command "_layer" "_s" Vollinie05 "")
          (command "_arc" o35D "_c" o25D o36D)
          (command "_arc" o41D "_c" o25D o42D)
 
          (command "_arc" o51D "_c" o25D o45D)
          (command "_arc" o46D "_c" o25D o52D)
          (command "_arc" o54D "_c" o25D o48D)
          (command "_arc" o49D "_c" o25D o55D)

          (command "_line" o35D o41D "")
          (command "_line" o32D o38D "")
          (command "_line" o33D o39D "")
          (command "_line" o36D o42D "")

          (command "_layer" "_s" VerdeckteLinie "")
          (command "_arc" o45D "_c" o25D o46D)
          (command "_arc" o48D "_c" o25D o49D)

          (command "_layer" "_s" Masslinie "")
          (command "_dim" "_dimstyle _r" BSTilEA)
          (command "_ver" o27D o26D o29D "")
          (command "_dim" "_dimstyle _r" BSTilAA)
          (command "_ver" o36D o27D o30D "")
          (command "_ver" o24D o27D o56D "")
          (command "_exit")
          (command "_line" o62D o61D "")
          (command "_line" o65D o66D "")
 
          (command "_text" o64D "2.7" "86." BemText2)
          (command "_text" o68D "2.7" "94." BemText3)
          (command "_insert" "*bempfeil" o61D "" "85.") 
          (command "_insert" "*bempfeil" o65D "" "95.") 
        )
      )
    )
  )
) 

;*** Ende Unterprogramm EinstiegRund *************************

;********************************************************
(defun Spueloeffnung ()
  (command "_vslide" "DI280829")
  (setq brtv   (getreal"\n          Lichte Breite der Spllochffnung          : "))
  (setq hoev   (getreal  "          Hhe, gerader Teil                         : "))
  (command "_redraw")

;*** Mastabs - Umrechnung
  (setq brt (Mass brtv) hoe (Mass hoev))

;*** Punkte
  (setq s1 (list (- (car AHP3) s2) (+ (cadr AHP3) (/ brt 2))))
  (setq s2 (polar s1 (aib 180) hoe))
  (setq s3 (polar s2 (aib 270) brt))
  (setq s4 (polar s1 (aib 270) brt))
  (setq s5 (polar s3 (aib 270) 4))
  (setq s6 (polar s2 (aib 90) 4))

;*** Geometrie
  (command "_layer" "_s" Vollinie05 "")
  (command "_pline" s1 s2 "_a" s3 "_l" s4 "")

  (command "_layer" "_s" Vollinie025 "")
  (command "_line" s5 s6 "")

  (setq JN (getstring   "          Detailzeichnung einfgen             (J/N) : "))
  (IF (OR (= JN "J" )(= JN "j"))
    (PROGN
      (command "_vslide" "DI280829")
      (setq ringsv (getreal  "          Wandstrke                                 : "))
      (setq alav   (getreal"\n          uere Lnge                               : "))
      (setq ilav   (getreal  "          innere Lnge                               : "))
      (initget 1 "1 2 5 10 15 20 25 33 50 75 100")
      (setq mfTSTASTE
                (getkword  "\n          Mastabsfaktor - Detailzeichnung         1 : "))
      (setq mfTS (atof mfTSTASTE))
      (IF (= mfTS nil) (setq mfTS 1))
      (command "_redraw")
      (setq bpZEd(getpoint"          Basispunkt, Detailzeichnung................: "))

;*** Masstabs - Umrechnung, Detail
      (setq brtD (MassD brtv) hoeD (MassD hoev) ringsD (MassD ringsv))
      (setq alaD (MassD alav) ilaD (MassD ilav))
      (setq d1D (MassD d1v) s1DD (MassD s1v) mfTSS (rtos mfTS 2 0))
      (setq BStilAA (strcat "F" mfTSS "AA"))
      (setq BStilEA (strcat "F" mfTSS "AA"))
      (setq BStilEE (strcat "F" mfTSS "AA"))

;*** Punkte, Detailzeichnung
      (setq s1D (polar bpZEd (aib 0) (/ brtD 2)))
      (setq s2D (polar s1D (aib 90) hoeD))
      (setq s3D (polar s2D (aib 180) brtD))
      (setq s4D (polar s1D (aib 180) brtD))

      (setq s5D (polar s1D (aib 0) ringsD))
      (setq s6D (polar s2D (aib 0) ringsD))
      (setq s7D (polar s3D (aib 180) ringsD))
      (setq s8D (polar s4D (aib 180) ringsD))

      (setq s9D (polar s5D (aib 0) 4))
      (setq s10D (polar s8D (aib 180) 4))
      (setq s11D (polar bpZEd (aib 270) 4))
      (setq s12D (polar bpZEd (aib 90) (+ (+ (+ hoeD (/ brtD 2)) ringsD) 4)))
      (setq s13D (polar s5D (aib 0) 8))
      (setq s14D (polar s1D (aib 270) 8))
      (setq s15D (polar s4D (aib 90) 4))
      (setq s16D (polar s12D (aib 152) 65))
      (setq s17D (polar s7D (aib 180) 4))
      (setq s18D (polar s6D (aib 0) 4))
      (setq s19D (polar bpZEd (aib 90) hoeD))

      (setq s20D (polar s10D (aib 180) 10))
      (setq s21D (polar s20D (aib 180) 4))
      (setq s22D (polar s21D (aib 90) (+ hoeD (/ brtD 2)) ))
      (setq s23D (polar s22D (aib 90) ringsD))
      (setq s24D (polar s21D (aib 180) ilaD))
      (setq s25D (polar s24D (aib 90) (+ hoeD (/ brtD 2)) ))
      (setq s26D (polar s25D (aib 90) ringsD))
      (setq s27D (polar s24D (aib 180) s1DD))
      (setq s28D (polar s27D (aib 90) (+ hoeD (/ brtD 2)) ))
      (setq s29D (polar s28D (aib 90) ringsD))
      (setq s30D (polar s27D (aib 180) alaD ))
      (setq s31D (polar s30D (aib 90) (+ hoeD (/ brtD 2)) ))
      (setq s32D (polar s31D (aib 90) ringsD))
      (setq s33D (polar s26D (aib 90) 14))
      (setq s34D (polar s29D (aib 90) 15))
      (setq s35D (polar s33D (aib 5) 3))
      (setq s36D (polar s34D (aib 185) 4))
      (setq s37D (polar s30D (aib 180) 4))
      (setq s38D (polar s21D (aib 270) 8))
      (setq s39D (polar s23D (aib 90) 8))

      (setq s40D (polar s21D (aib 90) hoeD))
      (setq s41D (polar s40D (aib 0) 4))
      (setq s42D (polar s30D (aib 90) hoeD))
      (setq s43D (polar s42D (aib 180) 4))
      (setq s44D (polar s16D (aib 270) 6.5))
      (setq s45D (polar s32D (aib 0) (- (/ alaD 2) 4)))
      (setq s46D (polar s26D (aib 0) (- (/ ilaD 2) 4)))
      (setq s47D (polar s45D (aib 90) 2))
      (setq s48D (polar s46D (aib 90) 2))

      (SETQ Text1 "%%USplloch"ffnung")
      (SETQ Text2 "%%UAlle Kehlnhte a = ?")
      (SETQ Text3 "auen")
      (SETQ Text4 "innen")

;*** Geometrie, Detailzeichnung
      (command "_redraw")
      (command "_layer" "_s" Text07 "")
      (command "_text" s16D "8" "0." Text1)

      (command "_layer" "_s" Text05 "")
      (command "_text" s44D "3.5" "0." Text2)

      (command "_layer" "_s" Vollinie025 "")
      (command "_pline" s35D s33D s34D s36D "")

      (command "_layer" "_s" VerdeckteLinie "")
      (command "_line" s24D s26D "")
      (command "_line" s27D s29D "")

      (command "_layer" "_s" Vollinie05 "")
      (command "_pline" s1D s2D "_a" s3D "_l" s4D "")
      (command "_pline" s5D s6D "_a" s7D "_l" s8D "")
      (command "_line" s10D s9D "")

      (command "_pline" s21D s23D s32D s30D "")
      (command "_line" s20D s37D "")
      (command "_line" s22D s31D "")
      (command "_line" s26D s33D "")
      (command "_line" s29D s34D "")

      (command "_layer" "_s" Mittellinie "")
      (command "_line" s11D s12D "")
      (command "_line" s17D s19D "")
      (command "_line" s19D s18D "")

      (command "_line" s43D s41D "")

      (command "_layer" "_s" Masslinie "")
      (command "_dim" "_dimstyle _r" BSTilAA)
      (command "_ver" s9D s18D s13D "")
      (command "_hor" s1D s4D s14D "")
      (command "_hor" s30D s21D s38D "")
      (command "_dim" "_dimstyle _r" BSTilEE)
      (command "_hor" s4D s8D s15D "")
      (command "_dim" "_dimstyle _r" BSTilEA)
      (command "_hor" s29D s32D s39D "")
      (command "_hor" s26D s23D s39D "")
      (command "_exit")
      (command "_text" s47D "2.7" "0." Text3)
      (command "_text" s48D "2.7" "0." Text4)
    )
  )
)
;*** Ende Unterprogramm Splffnung ************************

