;----------------------------------------------------------------------
; Programmname :  FLAN-DR.LSP - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            :  Erzeugt Flanschdraufsicht bel. Flansche (Variantenprogramm)
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL:    http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error* )
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   P R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   (c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n-----------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(DEFUN C:FLAN-DR ()
  (Vorgaben)
  (command "OFANG" "KEINER")
  (Setq D 0 DI 0 K 0)
  (prompt "\n--------------------------------------------------")
  (prompt "\n           Flanschdraufsicht (Variantenprogramm)       ")
  (prompt "\n--------------------------------------------------")
  (prompt "\n                                                       ")
  (prompt "\n>>>>>>>    Angaben nur in mm mglich !!!!!    <<<<<<<<<")
  (prompt "\n                                                       ")
  (Setq P1 (Getpoint   "\n           Flansch - Mittelpunkt         : "))
  (COMMAND "_vslide" "FLAN-DR")
  (Setq d1 (Getdist P1 "\n           Rohr-Anschluma  d1 (=li+2s) : "))
  (Setq s  (Getdist P1 "\n           Wandstrke Ansatz              s : "))
  (Setq D  (Getdist P1 "\n           uerer Durchmeser             D : "))
  (Setq K  (Getdist P1 "\n           Lochkreisdurchmesser           k : "))
  (Setq D4 (Getdist P1 "\n           Dichtleistendurchmesser       d4 : "))
  (Setq N  (Getint     "\n           Anzahl Bohrungen        Anzahl n : "))
  (Setq D2 (Getreal    "\n           Durchmesser - Bohrungen       d2 : "))
  (setq mf (getdist    "\n           Mastabsfaktor................ 1 : "))
  (SETQ DI (- d1 (* s 2)))
  (SETQ DI (/ (/ DI 2) mf))
  (SETQ D (/ (/ D 2) mf))
  (SETQ K (/ (/ K 2) mf))
  (SETQ D2 (/ D2 mf))
  (SETQ D4 (/ (/ D4 2) mf))

;**** Startwinkel fr erstes Loch
  (Setq SA (aib (/ 360. (* N 2.))))

;**** Geometrie erzeugen
  (Command "_redraw")
  (COMMAND "_layer" "_s" Vollinie05 "")
  (Command "_circle" P1 D)
  (Command "_circle" P1 DI)
  (Command "_circle" P1 D4)
  (Command "_circle" (Polar P1 SA K) "_d" D2)
  (Command "_array" "_l" "" "_p" P1 N "" "")
  (COMMAND "_layer" "_s" Mittellinie "")
  (Command "_circle" P1 K)
  (Endesequenz)
)

