;----------------------------------------------------------------------
; Programmname : FLANASAL.LSP - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            :  Fansche ASA long welding Variantenprogramm
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL:    http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error* )
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   P R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   (c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n-----------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(DEFUN C:FLANASAL ()
  (Vorgaben)
  (prompt "\n-------------------------------------------------------")
  (prompt "\n    Konstruktionsprogramm --- Flansche nach ANSI B 16.5  ")
  (prompt "\n                                long weldings                               ")
  (prompt "\n-------------------------------------------------------")
  (prompt "\n                                                                            ")
  (setq EINGABE (getstring "\n                     Liegt der Druck unter 400 lb  (J/N): "))
  (IF (OR (= Eingabe "j") (= Eingabe "J"))
      (Progn	
        (SETQ fv 1.6)
        (COMMAND "_vslide" "FLANASL1")
      )
  )
  (IF (OR (= Eingabe "n") (= Eingabe "N"))
      (Progn	
 	(SETQ fv 6.4 )
        (COMMAND "_vsilde" "FLANASL2")
      )
  )
  (prompt "\n          >>>>>>>    Angaben nur in mm mglich !!!!!    <<<<<<<<<")
  (prompt "\n                                                       ")
  (setq Dv(getreal"\n                     Flansch - Durchmesser       ---  D : ")
        bv  (getreal"                     Flansch - Dicke             ---  b : ")
        hv  (getreal"                     Flansch - Hhe              ---  h : ") 
        av  (getreal"                     Ansatz  -                   ---  a : ")
        gv  (getreal"                     Leiste                      ---  g : ")
        kv  (getreal"                     Schraubenlcher             ---  k : ")
  )
  (IF (OR (= Eingabe "j") (= Eingabe "J"))
      (Progn	
        (SETQ bv (- bv 1.6))
      )
  )
  (command "_redraw")
  (prompt "\n----------------------------------------")
  (setq mf(getdist  "\n                     Mastabsfaktor                   1 : "))
  (setq bp1(getpoint"\n                     Basispunkt.......................... "))
  (IF (= mf NIL)
      (Progn	
         (SETQ mf 1.)
      )
  )
  (IF (> Dv 273.)
	   (setq rv 15.9)
	   (setq rv 9.5)
  )
  (setq a(/ av mf) D (/ Dv mf) b (/ bv mf) k (/ kv mf) h (/ hv mf))
  (setq g (/ gv mf) f (/ fv mf) r (/ rv mf))

;*** Punktdefinitionen
  (setq bp2(polar bp1 (aib 270.) f))
  (setq bp3(polar bp1 (aib 270.) h))

  (setq pr1(polar bp1 (aib 0.) (/ g 2)))
  (setq pl1(polar bp1 (aib 180.) (/ g 2)))
  (setq pr13(polar pr1 (aib 270.) f))
  (setq pl13(polar pl1 (aib 270.) f))
  (setq pr5(polar bp2 (aib 0.) (/ D 2)))
  (setq pl5(polar bp2 (aib 180.) (/ D 2)))
  (setq pr6(polar pr5 (aib 270.) b))
  (setq pl6(polar pl5 (aib 270.) b))
  (setq pr9(polar pr6 (aib 180.) (- (/ D 2) (/ a 2))))
  (setq pl9(polar pl6 (aib 0.)   (- (/ D 2) (/ a 2))))
  (setq pr11(polar bp3 (aib 0.) (/ a 2)))
  (setq pl11(polar bp3 (aib 180.) (/ a 2)))

  (setq hr1(polar BP1 (aib 0.) (/ K 2) ))
  (setq hr2(polar hr1 (aib 90.) (* f 5)))
  (setq hr4(polar hr1 (aib 270.) (+ b f (* f 5))))
  (setq hl1(polar BP1 (aib 180.) (/ K 2) ))
  (setq hl2(polar hl1 (aib 90.) (* f 5)))
  (setq hl4(polar hl1 (aib 270.) (+ b f (* f 5))))
  (setq hr5(polar pr11 (aib 270.) 100 ))
  (setq hl5(polar pl11 (aib 270.) 100 ))

  (setq br1 (polar pr9 (aib 0.) r))
  (setq br2 (polar br1 (aib 270.) r))
  (setq br3 (polar pr9 (aib 270.) r))
 
  (setq bl1 (polar pl9 (aib 180.) r))
  (setq bl2 (polar bl1 (aib 270.) r))
  (setq bl3 (polar pl9 (aib 270.) r))

;*** Geometriedarstellung
  (command "_layer" "_s" Vollinie05 "")
  (command"_line" pr1 pl1 "")
  (command"_line" pr1 pr13 "")
  (command"_line" pl1 pl13 "")
  (command"_line" pl5 pr5 "")
  (command"_line" pr5 pr6 "")
  (command"_line" pl5 pl6 "")

  (command "_line" pr6 br1 "")
  (command "_arc" "_c" br2 br1 br3)
  (command "_line" br3 pr11 "")
  (command "_line" pl6 bl1 "")
  (command "_arc" "_c" bl2 bl3 bl1)
  (command "_line" bl3 pl11 "")
  (command "_line" br1 bl1 "")

  (command "_layer" "_s" Mittellinie "")
  (command"_line" hr2 hr4 "")
  (command"_line" hl2 hl4 "")

  (Endesequenz)
)

