;----------------------------------------------------------------------
; Programmname : FLANDIN.LSP - Version: 3.0 - fr AutoCAD Version 13
; Aufgabe            :  Flansche Seitenansicht (Variantenprogramm) DIN 2632/33/34/35/36/37
; (c) 1997 by Ralph Kferstein, Stifterstr. 25, 67065 Ludwigshafen
; Tel./Fax: 0621 - 574658      -     Email: EDV007@aol.com
; URL:    http://members.aol.com/EDV007/PAGE1.HTM
;----------------------------------------------------------------------
; SHAREWARE         S H A R E W A R E         SHAREWARE
;----------------------------------------------------------------------
; Autor: Dipl.-Ing. R. Kferstein * Stifterstr. 25 * 67065 Ludwigshafen 
; Nehme Telearbeitsprojekte aus folgenden Bereichen an:
; CAD/EDV-Dienstleistungen - CAD-Zeichen- & Konstruktionsservice
; Video-/Multimediaproduktionen, Audio/Midi-Komponist
; Softwareentwicklung (Autolisp/V-Basic/T-Basic/EXCEL/Access/Foxro)
;----------------------------------------------------------------------
; Dieses Programm knnen Sie 4 Wochen lang testen
; Bei lngerem Gebrauch mssen Sie sich bei mir registrieren lassen !!!
; Schicken Sie hierfr bitte einen Brief (1BESTEL.TXT) an die o.a.
; Adresse/Faxnummer oder per Email
; Weitere Programme fr AutoCAD finden Sie in der Datei 1README.TXT
;-----------------------------------------------------------------------
; Ich lehne jegliche Garantie oder Haftung fr direkte oder indirekte
; (auch konstruktive) Schden ab. Weiterhin bernehme ich keine Garantie
; fr die Funktion des Programms.
;-----------------------------------------------------------------------
; Fehlerroutine 
(defun Abbruch (s)
   (if (/= s "Function cancelled") (princ (strcat "\nFehler: " s)))
   (setvar "CLAYER" AltLayer)
   (graphscr)
   (SETVAR "cmdecho" 1)
   (SETVAR "blipmode" 1)
   (SETVAR "highlight" 1)
   (SETVAR "TEXTSIZE" AltTexthoehe)
   (SETQ *error* olderr)
   (princ)
)
;-----------------------------------------------------------------------
;Winkel von Altgrad ins Bogenma konvertieren
(defun aib (w) (* pi (/ w 180.)))
;-----------------------------------------------------------------------
; Winkel von Bogenma nach Altgrad konvertieren
(defun bia (b) (* (/ b pi) 180.))
;-----------------------------------------------------------------------
; Tangens - Funktion
(defun tan (w) (/ (sin w) (cos w)))
;-----------------------------------------------------------------------
; Arcus-Sinus - Funktion
(defun asin (x)
   (setq radi (- 1 (* x x)))
   (setq nen (sqrt radi))
   (setq arg (/ x nen))
   (setq winb (atan arg))
)
;-----------------------------------------------------------------------
; Phytagoras
(defun phyt (c a)
   (SETQ CC (* C C))
   (SETQ AA (* A A))
   (SETQ Laenge (SQRT(- CC AA)))
)
;-----------------------------------------------------------------------
;Mastabfaktor - Umrechnung
(defun mass (x) (/ x m))
;-----------------------------------------------------------------------
(defun Vorgaben ()
  (SETQ olderr  *error* )
  (SETQ *error* ABBRUCH)
  (setq AltBemFaktor (getvar "DIMLFAC"))
  (SETQ AltLayer (getvar "CLAYER"))
  (setq AltPDSIZE (getvar "pdsize"))
  (setq AltPDMODE (getvar "pdmode"))
  (SETQ AltTexthoehe (getvar "TEXTSIZE"))
  (SETVAR "cmdecho" 0)
  (SETVAR "blipmode" 0)
  (SETQ Vollinie025 "VOLL-025")
  (SETQ Vollinie035 "VOLL-035")
  (SETQ Vollinie05 "VOLL-05")
  (SETQ Vollinie07 "VOLL-07")
  (setq LOESCHEN "LOESCHEN")
  (SETQ Masslinie "BEMASSUNG")
  (SETQ Mittellinie "STRP-025")
  (SETQ Schraffurlinie "SCHRAFFUR")
  (SETQ VerdeckteLinie025 "STRI-025")
  (SETQ VerdeckteLinie035 "STRI-035")
  (SETQ Text025 "TEXT-025")
  (SETQ Text035 "TEXT-035")
  (SETQ Text05 "TEXT-05")
  (SETQ Text07 "TEXT-07")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   P R  F V E R S I O N  - 4 Wochen lang kostenlos zum Testen")
  (prompt "\n-----------------------------------------------------------------------")
  (prompt "\n   (c) 1997 by  Dipl.-Ing. Ralph Kferstein, Tel./Fax: 0621-574658")
  (prompt "\n-----------------------------------------------------------------------")
)
;----------------------------------------------------------------------
(defun Endesequenz ()
  (setvar "DIMLFAC" AltBemFaktor)
  (setvar "CLAYER" AltLayer)
  (setvar "PDSIZE" AltPDSIZE)
  (setvar "PDMODE" AltPDMODE)
  (setvar "TEXTSIZE" AltTexthoehe)
  (graphscr)
  (SETQ *error* olderr)
  (SETVAR "blipmode" 1)
  (SETVAR "cmdecho" 1)
  (SETVAR "HIGHLIGHT" 1) 
  (PRINC)
)
;-----------------------------------------------------------------------
;Hauptprogramm
(DEFUN C:FLANDIN ()
  (Vorgaben)
  (COMMAND "_vslide" "FLANDIN")
  (prompt "\n--------------------------------------------------")
  (prompt "\n     Variantenprogramm --- Flansche nach DIN 2632-36   ")
  (prompt "\n--------------------------------------------------")
  (prompt "\n                                                                            ")
  (prompt "\n           >>>>>>>    Angaben nur in mm mglich !!!!!    <<<<<<<<<          ")
  (prompt "\n                                                       ")
  (setq d1  (getreal"\n                      Rohr-Anschluma ---   d1 : ")
          D   (getreal"                      Flansch          ---    D : ")
          b   (getreal"                      Flansch          ---    b : ")
          k   (getreal"                      Flansch          ---    k : ")
          h1  (getreal"                      Flansch          ---   h1 : ") 
          d3  (getreal"                      Ansatz           ---   d3 : ") 
          h2  (getreal"                      Ansatz           ---   h2 : ") 
          d4  (getreal"                      Dichtleiste      ---   d4 : ")
          f   (getreal"                      Dichtleiste      ---    f : ")
          d2  (getreal"                      Schrauben        ---   d2 : ")) 
  (setq bf    (- b f))
  (setq h1f   (- h1 f))
  (setq h1bh2 (- h1 (+ h2 b)))
  (setq d3d1  (- d3 d1))
  (command "_redraw")
  (prompt "\--------------------------------------------------")
  (setq m(getdist   "\n                      Mastabsfaktor       1 : "))
  (setq bp1(getpoint"\n                      Basispunkt.............. "))

  (setq d1(/ d1 m) D (/ D m) b (/ b m) k (/ k m) h1 (/ h1 m) d3 (/ d3 m))
  (setq h2 (/ h2 m) d4 (/ d4 m) f (/ f m) d2 (/ d2 m))
  (setq bf (/ bf m) h1f (/ h1f m) h1bh2 (/ h1bh2 m) d3d1 (/ d3d1 m))

  (command "_layer" "_s" Vollinie05 "")
  (setq pr1(polar bp1 (aib 0.) (/ d4 2)))
  (setq pl1(polar bp1 (aib 180.) (/ d4 2)))
  (command "_line" pr1 pl1 "")

  (setq pr13(polar pr1 (aib 270.) f))
  (setq pl13(polar pl1 (aib 270.) f))

   (setq Laenge (/ F (COS(aib 30.))))

   (setq pr2(polar pr1 (aib 300.) Laenge))
   (setq pl2(polar pl1 (aib 240.) Laenge))

;  (setq Fase (* f (/ 2. 3.)))
;  (setq pr2(polar pr13 (aib 0.) Fase))       ;45 Grad Abkantung
;  (setq pl2(polar pl13 (aib 180.) Fase))

  (command "_line" pr1 pr2 "")
  (command "_line" pl1 pl2 "")

  (setq bp2(polar bp1 (aib 270.) f))
  (setq pr5(polar bp2 (aib 0.) (/ D 2)))
  (setq pl5(polar bp2 (aib 180.) (/ D 2)))

  (command "_line" pr5 pl5 "")

  (setq pr6(polar pr5 (aib 270.) (- b f)))
  (setq pl6(polar pl5 (aib 270.) (- b f)))

  (command "_line" pr5 pr6 "")
  (command "_line" pl5 pl6 "")
 
  (setq pr9(polar pr6 (aib 180.) (- (/ D 2) (/ d3 2))))
  (setq pl9(polar pl6 (aib 0.)   (- (/ D 2) (/ d3 2))))

  (command "_line" pr6 pl6 "")

  (setq bp3(polar bp1 (aib 270.) h1))
  (setq pr11(polar bp3 (aib 0.) (/ d1 2)))
  (setq pl11(polar bp3 (aib 180.) (/ d1 2)))

  (command "_line" pl11 pr11 "")

  (setq pr10(polar pr11 (aib 90.) h2))
  (setq pl10(polar pl11 (aib 90.) h2))

  (command "_line" pr9 pr10 "")
  (command "_line" pl9 pl10 "")

  (setq pr3(polar BP2 (aib 0.)     (- (/ K 2) (/ d2 2)) ))
  (setq pr8(polar pr3 (aib 270.) (- b f) ))
  (setq pr4(polar pr3 (aib 0.) d2 ))
  (setq pr7(polar pr8 (aib 0.) d2 ))

  (command "_layer" "_s" VerdeckteLinie "")

  (command "_line" pr3 pr8 "")
  (command "_line" pr4 pr7 "")

  (setq pl3(polar BP2 (aib 180.) (- (/ K 2) (/ d2 2)) ))
  (setq pl8(polar pl3 (aib 270.) (- b f) ))
  (setq pl4(polar pl3 (aib 180.) d2 ))
  (setq pl7(polar pl8 (aib 180.) d2 ))

  (command "_line" pl3 pl8 "")
  (command "_line" pl4 pl7 "")

  (setq pr14(polar pr10 (aib 180.) (/ d1 12)))
  (setq pl14(polar pl10 (aib 0.) (/ d1 12)))

  (command "_layer" "_s" Vollinie035 "")
  (command "_line" pr14 pl14 "") 

  (setq pr15(polar pr11 (aib 270.) (* D 1.3)))
  (setq pl15(polar pl11 (aib 270.) (* D 1.3)))

  (command "_layer" "_s" Vollinie05 "")
  (command "_line" pr10 pr15 "") 
  (command "_line" pl10 pl15 "") 

  (setq hr1(polar BP1 (aib 0.) (/ K 2) ))
  (setq hr2(polar hr1 (aib 90.) (* f 5)))
  (setq hr3(polar BP3 (aib 0.) (/ K 2) ))
  (setq hr4(polar hr3 (aib 90.) (* f 5)))
  (setq hl1(polar BP1 (aib 180.) (/ K 2) ))
  (setq hl2(polar hl1 (aib 90.) (* f 5)))
  (setq hl3(polar BP3 (aib 180.) (/ K 2) ))
  (setq hl4(polar hl3 (aib 90.) (* f 5)))

  (command "_layer" "_s" Mittellinie "")

  (command "_line" hr2 hr4 "")
  (command "_line" hl2 hl4 "")

  (Endesequenz)
)

